commit ec6c50feeb3df050b1732b6b54178a5d83ba1c79
Author: Guillem Jover <guillem.jover@nokia.com>
Date:   Mon Mar 10 20:23:57 2008 +0200

    partutil: make the get little and big endian functions alignment aware

    On architectures where unaligned access is not supported, it
    might have
    to be fixed at runtime which can cause slow downs or make the
    code abort
    (like generating SIGBUS).

 partutil/partutil.c |   20 ++++++++++++++++----
 1 files changed, 16 insertions(+), 4 deletions(-)

commit 2aa1d4117587167b2295431af28f59ddce6a93fd
Author: Guillem Jover <guillem.jover@nokia.com>
Date:   Fri Dec 21 21:35:30 2007 +0200

    release hal 0.5.11~git20071221-1osso1

 debian/changelog |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 4e3fb2ed25f13e33d09a93bf5e08c5b33eb7ed2e
Merge: 7fbb85f... bc52f26...
Author: Guillem Jover <guillem.jover@nokia.com>
Date:   Fri Dec 21 21:58:45 2007 +0200

    Merge branch 'upstream/diablo' into maemo/diablo

    Enable local input.h with the new configure option.

    Conflicts:

	hald/linux/addons/addon-acpi-buttons-toshiba.c
	hald/linux/addons/addon-input.c
	hald/linux/device.c
	hald/linux/probing/probe-input.c
	tools/hal-setup-keymap.c

commit 7fbb85fc5a9852dbde0cb0faab270b8fac1b2070
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Fri Dec 7 21:29:57 2007 +0200

    sync with Debian hal 0.5.10-2

 debian/changelog				    |  436
 +++++++++++++++++++-
 debian/control					    |	 2 +-
 debian/debian-storage-policy-fixed-drives.fdi	    |	11 -
 ...n-storage-policy-ignore-fixed-crypto-drives.fdi |	13 +
 debian/hal-doc.install				    |	 5 +-
 debian/hal-doc.links				    |	 2 +
 debian/hal.dirs				    |	 1 +
 debian/hal.init				    |	86 ++++
 debian/hal.init.dbus				    |	86 ----
 debian/hal.install				    |	 5 +-
 debian/hal.manpages				    |	11 +-
 debian/hal.postinst				    |	78 ++--
 debian/hal.postrm				    |	41 ++-
 debian/hal.preinst				    |	47 +--
 debian/hal.prerm				    |	 7 -
 debian/hald.8					    |	65 ---
 debian/libhal-storage1.shlibs			    |	 1 +
 debian/libhal1.shlibs				    |	 2 +-
 debian/lshal.1					    |	54 ---
 debian/rules					    |	24 +-
 debian/run-hald.sh				    |	 5 +-
 debian/watch					    |	 6 +-
 22 files changed, 655 insertions(+), 333 deletions(-)

commit 9124ddd29b0347ca48527ba57627e7188a671527
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Fri Dec 7 22:05:17 2007 +0200

    add missing semicolon lost in the cleanup

 hald/linux/addons/addon-omap-backlight.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit bc52f26e5f10f52cf87266342b95cf6dbeaf85db
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Wed Dec 12 17:26:05 2007 +0100

    set laptop_panel.brightness_in_hardware=true for all Dell

    Set laptop_panel.brightness_in_hardware=true for all Dell machines.
    See discussion:
    http://thread.gmane.org/gmane.comp.freedesktop.hal/9808

 .../10osvendor/10-dell-laptop-brightness.fdi	    |	 2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit de709b28b744b1221b7111ed836a9317d02369a6
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Dec 11 12:40:14 2007 +0100

    lshal: use -l as default for --show

    IMO lshal --show <udi>/-u make no sense without -l as option to
    show the
    complete device. This patch set long_list=TRUE by default if
    --show/-u is
    used.

 tools/lshal.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit d517d3ad43ffa156b813cd0b8bd4d2cd9c41d992
Author: Sjoerd Simons <sjoerd@luon.net>
Date:	Fri Dec 7 23:09:00 2007 +0100

    fix the keyboard addon to not ignore key repeat events

    This allows one to for example just hold down the brightness keys
    instead of
    needing to tap it to change it multiple steps. Patch by Ryan Lortie.

 hald/linux/addons/addon-input.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 018376873219b30b5d98a5488536fc0c32d581b9
Author: Sjoerd Simons <sjoerd@luon.net>
Date:	Fri Dec 7 22:50:54 2007 +0100

    when initial disc type detection fails fall back to a alternate
    detection method

    This patch from David Castelow provides a fallback if the
    GET CONFIGURATION scsi command fails. This allows disc type detection
    on older drivers.

 hald/linux/probing/linux_dvd_rw_utils.c |  160
 ++++++++++++++++++++++++++++++-
 1 files changed, 158 insertions(+), 2 deletions(-)

commit 380201bc3b460a9635c9f11aca1295e9ee7a12b5
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Fri Dec 7 10:20:01 2007 +0100

    fix build errors with D-Bus versions < v1.0

    Fix build errors with older D-Bus versions (< v1.0) where
    DBUS_API_SUBJECT_TO_CHANGE need to be defined.

 hald/hald.h |	  4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 45ddfd2ecb1e502089dbbb2a7eb04243f93ed561
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Dec 6 21:23:05 2007 +0100

    fix normalised_rate if dis-/charging state is unknown

    This fixes problems with machines which report not the correct
    charging
    state in some cases (e.g. battery report 'charged' if on
    battery). With this
    patch normalised_rate get set only to 0 if:

    * the battery is not a primary (ACPI) battery
    * the machines is on AC or
    * there is in a multi battery system an other primary (ACPI)
    battery is
    discharging

    This should fix: https://bugzilla.novell.com/show_bug.cgi?id=258755

 hald/device_pm.c |   55
 ++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 53 insertions(+), 2 deletions(-)

commit ab31f06ca5388d4915156d3dac60c3fc52908260
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Dec 6 21:16:02 2007 +0100

    fix possible segfault on fdi-cache recreation

    This fixes https://bugzilla.novell.com/show_bug.cgi?id=344231, where
    HAL crash if a fdi-file get changed/updated and a new device appears
    after the recreation of the FDI cache.

 hald/device_info.c |	 4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit ed37c42ba7dc2f78aa4d9f41bc700d5f7d30e214
Author: Frederic Crozat <fcrozat@mandriva.com>
Date:	Thu Dec 6 15:04:53 2007 -0500

    fix addon exiting on system bus restart

    Hi,

    the attached patch prevent some hal addons from exiting when
    system dbus
    is restarted (some addons were already fixed).

    --
    Frederic Crozat <fcrozat@mandriva.com>
    Mandriva

 hald/linux/addons/addon-macbook-backlight.c	|    1 +
 hald/linux/addons/addon-macbookpro-backlight.c |    1 +
 hald/linux/addons/addon-storage.c		|    1 +
 3 files changed, 3 insertions(+), 0 deletions(-)

commit b30e4ade3a041d86bfebbaaa9a21a7bc55784b0d
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Dec 6 20:43:37 2007 +0100

    don't add pci devices without pci vendor/product ID

    Since pci.vendor_id and pci.product_id are mandatory for devices in
    the pci
    namespace/subsystem and get also used to generate the UDI, I would
    propose to
    not add pci devices which miss one of the IDs to the device tree.

    This would e.g. prevent to add the /sys/bus/pci/slot devices which get
    generated by the pciehp kernel modul under linux, since they don't
    provide
    their IDs.

 hald/linux/device.c |	  8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 26ac446dd1b1f2338275c6f2934bf1dbca19cb05
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Dec 6 20:41:55 2007 +0100

    fix endless loop in storage-addon

    This fixes a endless loop if you attach e.g. a USB floppy device which
    already contains a floppy media (because of the initial
    media_status). The
    result is that the media in the device get never detected until
    the state
    change again (remove/readd the media to the device).

    IMO this could theoretically also happen on other devices which
    already
    contains a media when attached.

 hald/linux/addons/addon-storage.c |	8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit ae4298bbe26f8dc1c908c22478879217eda008fb
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Dec 6 20:39:19 2007 +0100

    cleanup set_suspend_hibernate_keys()

    This cleans up set_suspend_hibernate_keys(). Reuse existing code where
    possible, call codesections only if really needed (pmu and suspend2).

 hald/linux/osspec.c |	 45 +++++++++++++++++++--------------------------
 1 files changed, 19 insertions(+), 26 deletions(-)

commit 06511843d74d2afa49847f6d957f86718acd6ba8
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Dec 6 20:33:18 2007 +0100

    prevent flood syslog if battery remaining time is above 60 hours

    This prevents to get the syslog flooded with "remaining_time *very*
    high, returning -1" warning messages on some laptops. With this
    patch the
    message get send only the first 10 times and then only 1 message
    for each 100
    cases (we can changes this also to a higher number).

    We have this patch already since several months in the SUSE package,
    maybe
    it's usefull in general.

 hald/util_pm.c |   22 ++++++++++++++++++++--
 1 files changed, 20 insertions(+), 2 deletions(-)

commit cc99803b80db37769263ee6c1aff859c4bc798f7
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Dec 6 20:08:12 2007 +0100

    read dmi info from sysfs instead of call dmidecode

    This makes HAL to read dmi/smbios information on Linux from sysfs
    (/sys/devices/virtual/dmi/id) instead of use a prober to call and
    parse dmidecode.

    If /sys/devices/virtual/dmi/id isn't available the code falls back
    to the old hald-probe-smbios prober.

    Note: there are three files (for serials/uuid) which are readable
    only for root. Solved this by read these files before drop the
    privileges.

 hald/linux/osspec.c |	230
 ++++++++++++++++++++++++++++++++++++--------------
 1 files changed, 165 insertions(+), 65 deletions(-)

commit 0fb2fa20a3368f0a73432822eb652fece1f46803
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Dec 6 20:02:56 2007 +0100

    linux: ignore uevents for modules and driver

    Make HAL ignore uevents for subsystem=={modules,driver}. We don't
    use them currently (AFAIK) and don't need to run code if we get them.

 hald/linux/osspec.c |	 50
 +++++++++++++++++++++++++++-----------------------
 1 files changed, 27 insertions(+), 23 deletions(-)

commit 4a672df3d884b009d5a2001bbdfc41fd6d97eb48
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Dec 6 18:47:46 2007 +0100

    add Dell laptop panel device only if dcdbas is loaded

    This changes HAL to provide the Dell laptop panel device (for
    brightness
    support) only if the needed dcdbas device is available (which
    means the
    module is loaded).

    The patch aggregate also the different spellings of Dell ("Dell Inc.",
    "Dell Computer Corporation") to one match.

 .../10osvendor/10-dell-laptop-brightness.fdi	    |	22
 +++++++------------
 1 files changed, 8 insertions(+), 14 deletions(-)

commit 441f0cea7f184f4d804f35fc662989d0c9dca100
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Dec 6 18:34:00 2007 +0100

    don't Eject() on dm-devices

    Maybe this is Linux specific, but currently we have the Eject()
    methode also on dm-devices, but this fail because AFAIK dm-devices
    don't support eject (it is a ioctl which is not allowed on dm).

    This adds the Eject() methode only if
    volume.linux.is_device_mapper=false.

 fdi/policy/10osvendor/20-storage-methods.fdi |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit e07bf6f69e2a013eecaef3984348be4cf5a253cc
Author: Florent Mertens <flomertens@gmail.com>
Date:	Thu Dec 6 12:20:20 2007 -0500

    linear MD device are not syncable

    Hello all,

    Linear MD device are not syncable, and so there is no sync-action in
    /sys/block/md0/md/ (at least i don't have it).
    In the actual code, MD device are ignored if this file is not found.
    The attched path fix that issue.

    Cheers,

    Mertens Florent

 hald/linux/blockdev.c		    |	90 ++--
 tools/hal-setup-keymap-hash-name.h |  882
 ++++++++++++++++++------------------
 2 files changed, 491 insertions(+), 481 deletions(-)

commit 45b4a60045cfb4205f5e0e03b54de11af306613a
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Dec 6 10:36:06 2007 +0100

    remove all childs of a device if it get removed

    This change removes all child-devices of a device which get removed.

    This solves problems e.g. with via fdi rules spawned devices,
    which currently
    get not removed if their parent device get removed.

    Currently if the parent get removed they are still there also if
    they are not
    visible in lshal. This mean also, that all addons of a spawned device
    (as
    e.g. the dell backlight addon) are still running. This patch should
    fix it.

 hald/linux/device.c |	 31 +++++++++++++++++++++++++++++--
 1 files changed, 29 insertions(+), 2 deletions(-)

commit 8805336720bff9d710b0d4b5ff5320d52351d616
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Dec 6 10:29:15 2007 +0100

    fix some whitespaces

    Fixed some whitespaces in libhal.c

 libhal/libhal.c |   16 ++++++++++------
 1 files changed, 10 insertions(+), 6 deletions(-)

commit 1be50e5c71fe0db721958668b9bc53dc20cfc502
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Dec 6 10:25:07 2007 +0100

    add udi and some more checks to libhal

    This adds:
    - a minimal check if a given UDI is valid (checks if the UDI starts
    with '/org/freedesktop/Hal/devices/'). This should prevent possible
    (application) crashes if a invalid UDI is send to HAL and reduce
    unneeded dbus calls.
    - some more parameter checks (for LibHalChangeSet, keys ...)

 libhal/libhal.c |  152
 ++++++++++++++++++++++++++++++++++++++----------------
 1 files changed, 107 insertions(+), 45 deletions(-)

commit 322fd1e68a68c5de975e43672e14916f895ba87c
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Dec 6 09:59:01 2007 +0100

    linux: add drm subsystem

    Add the drm (Direct Rendering Manager devices) subsystem to HAL. This
    should allow to get the device file of the dri devices, which allows
    to set
    ACL permissions via HAL on them.

 doc/spec/hal-spec-properties.xml |   33 +++++++++++++++++++
 hald/linux/device.c		  |   64
 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 97 insertions(+), 0 deletions(-)

commit fc5303b493f96c6958308a3072d6bb99a3409f9b
Merge: 533e321... df92c43...
Author: Sjoerd Simons <sjoerd@luon.net>
Date:	Wed Dec 5 22:03:09 2007 +0100

    Merge branch 'master' of ssh://git.freedesktop.org/git/hal

commit df92c43645e97a8be97deefd06413890fe3532f1
Author: Michael Biebl <mbiebl@gmail.com>
Date:	Mon Dec 3 13:50:51 2007 +0100

    fix implicit pointer conversion

    Fixed missing include in hal-disable-polling.c which leading to an
    implicit pointer conversion which in turn can lead to problems.
    Please see [1] for more details.

    [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=%23447657

 tools/hal-disable-polling.c |	  1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 533e321c80db8a29fa562c498c8c0199d61cf039
Author: Sjoerd Simons <sjoerd@luon.net>
Date:	Sun Dec 2 22:17:27 2007 +0100

    use GString to convert a strlist propery to string instead of a
    static buffer

    Instead of a static 256 chars buffer use a GString when converting
    strlist
    properties to string. This prevents clipping the list.

    Also fixes a hal crash because the old code didn't do a proper
    \0 terminate
    when the string overflowed (strncpy is a very nice function *cough*).
    Eventually the string containing garbage would be passed over dbus
    to the
    runner which would disconnect from the private bus.

 hald/device.c |   25 ++++++++-----------------
 1 files changed, 8 insertions(+), 17 deletions(-)

commit 235b1af8625e3c4ce9d1e4d7557a0ff8eb90b232
Merge: 13e70a9... 45edb37...
Author: Sjoerd Simons <sjoerd@luon.net>
Date:	Sun Dec 2 20:40:55 2007 +0100

    Merge branch 'master' of ssh://git.freedesktop.org/git/hal

commit 45edb3725a1681588409489ee70356be0f2b6d2e
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Wed Nov 28 19:33:20 2007 +0100

    added some more checks to partutil code

    Added some more checks to partutil code to prevent possible
    segmentation faults. Check if result of g_slist_nth_data() is
    != NULL before use the returned pointer.

 partutil/partutil.c |	 29 ++++++++++++++++++++++-------
 1 files changed, 22 insertions(+), 7 deletions(-)

commit b8f72cec53415ebc2d32805b049dcc94cef4a854
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Wed Nov 28 16:43:37 2007 +0100

    libhal: fix memory leaks after out of memory conditions

    Fixed  memory leaks after out of memory conditions.

 libhal/libhal.c |   25 +++++++++++++++++++------
 1 files changed, 19 insertions(+), 6 deletions(-)

commit 7ec88b8d9190e57e2eb181a9b3c46646e4c8ad20
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Nov 26 22:24:04 2007 +0100

    fix compiler error, remove braceright

    Fixed compiler errror because of single braceright from commit
    26084ca9089d6d0b5c8952330244af70ddf58386.

 hald/hald_dbus.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit de3c09abffba4a55bfeea2a1ef7080828d836609
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Nov 26 18:56:53 2007 +0100

    fix possible segfault if compiled without IDs

    Fixed possible segfault if HAL get compiled --disable-pci-ids,
    --disable-usb-ids or --disable-pnp-ids.

 hald/ids.h |	19 ++++++++++++++++---
 1 files changed, 16 insertions(+), 3 deletions(-)

commit 111326d934c783716582eb3d4af1bc992421109c
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Nov 26 18:52:21 2007 +0100

    fix endless loop on empty match rules in fdi-files

    Fixed endless loop on empty fdi (match) rules. Simply jump to the next
    rule if this happen.

 hald/device_info.c |	 1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit a28556cc2f78c7d788cdcb35ef6f61fcbbd0f708
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	Thu Nov 8 23:51:47 2007 +0000

    fix uninitialised memory usage in pci_add

    pci_add was using vendor_name, product_name, subsys_vendor_name and
    subsys_product_name unitialised, causing random crashes and garbage
    output.

 hald/linux/device.c |	  8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 26084ca9089d6d0b5c8952330244af70ddf58386
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	Mon Nov 26 16:44:08 2007 +0000

    the singleton hash not yet initialised is not an error

    In local_server_message_handler, only try to remove all the singletons
    for the
    connection if there are any singltons. Previous commit 1f2b6056
    printed an
    error which is incorrect.

 hald/hald_dbus.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit 19852046f26615db65757e3016634a84c39d19c1
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	Sun Nov 11 21:07:53 2007 +0000

    make massif-hald.sh give more useful output

    Make massif_hald tell massif about g_slice as an alloc function.
    Set dbus_realloc as an alloc-fn when running massif.
    Increases num-callers and depth to 24 when caling massif.

 hald/massif-hald.sh |	  8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 3ede34abd7a074cf0b054772c60dd3095989e924
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	Mon Nov 26 17:09:11 2007 +0000

    add --with-linux-input-header configure switch

    This adds a --with-linux-input-header configure switch to allow the
    use of a
    local copy of the latest input.h without having it available in
    include search
    paths.

 configure.in					|    8 ++++++++
 hald/linux/addons/addon-acpi-buttons-toshiba.c |    7 ++++++-
 hald/linux/addons/addon-input.c		|    6 +++++-
 hald/linux/device.c				|    7 ++++++-
 hald/linux/probing/probe-input.c		|    7 ++++++-
 tools/hal-setup-keymap.c			|    6 +++++-
 6 files changed, 36 insertions(+), 5 deletions(-)

commit 13e70a9cdf368dcb63541ec53b2e52cab0a72e89
Merge: d314cab... 6aa022d...
Author: Sjoerd Simons <sjoerd@luon.net>
Date:	Sun Nov 25 12:55:35 2007 +0100

    Merge branch 'master' of ssh://git.freedesktop.org/git/hal

commit 6aa022d4e38302056beeafbd67a6af433822a9bc
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Fri Nov 23 23:13:49 2007 +0100

    cleanup device.c

    Added some comment lines between subsystem code sections. Moved some
    functions of subsystems together.

 hald/linux/device.c |	 18 ++++++++++++------
 1 files changed, 12 insertions(+), 6 deletions(-)

commit 1f2b6056107295031c3a425bc0aac76d11e56bea
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Fri Nov 23 16:57:58 2007 +0100

    fix possible segfault if singletons is NULL

    Fixed segfault if the singletons Hashtable is NULL. This should
    fix fd.o bug 11767 and 12287.

 hald/hald_dbus.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 98c8842c58bdb7592b4b526111f2e1936bd5d520
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Thu Nov 22 21:00:24 2007 +0200

    new upstream snapshot 0.5.10~git20071003-1osso2

 debian/changelog |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit fe02eba6fe66cd3c400505594c01a53918a1cc8a
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Mon Nov 5 22:23:10 2007 +0200

    libhal: fix memory leaks after out of memory conditions

 libhal/libhal.c |   25 +++++++++++++++++++------
 1 files changed, 19 insertions(+), 6 deletions(-)

commit d7f16d3fed16bcef0670b079d153d65ee2a91905
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Fri Nov 2 23:20:17 2007 +0200

    libhal: unref DBusMessages as soon as possible

    Reduces the amount of same calls in different code paths. Fixes few
    double unreferencing, and several resource leaks by unreferencing
    the DBusMessages.

 libhal/libhal.c |  255
 ++++++++++++++++++++++---------------------------------
 1 files changed, 101 insertions(+), 154 deletions(-)

commit acd6a8cf9ab1b26e0867aa7dbaadc36ead2846ff
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Tue Oct 23 20:50:29 2007 +0300

    fix keypad and keyboard product name to match the kernel

 fdi/policy/10osvendor/10-keymap.fdi |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e4e8fb78faf3c326199b1c2cea3a52f149d3dfc5
Author: Daniel Stone <daniel.stone@nokia.com>
Date:	Thu May 31 01:22:16 2007 +0300

    add xkb properties for tablet related devices

 fdi/policy/10osvendor/10-keymap.fdi |	 17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

commit 8e7f21603e91726e0e6d6a8cda01069ba53a569f
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Mon May 14 18:14:24 2007 +0300

    add USB cable status support

    Add a button for the cable with a 'usb.cable' type. And modify the
    'usb_device.cable_type' from the addon as well.

    use mode instead of obsolete USB cable sysfs file

    The cable sysfs file is obsolete, and got removed in recent kernels.
    Use only the mode file, and map its values to the old cable ones for
    the 'usb_device.cable_type' until all applications have switched
    to the
    new key. Switch to use changesets.

 configure.in				|   16 +++
 fdi/policy/10osvendor/10-usb-cable.fdi |   11 ++
 fdi/policy/10osvendor/Makefile.am	|    4 +
 hald/linux/addons/.gitignore		|    1 +
 hald/linux/addons/Makefile.am		|    6 +
 hald/linux/addons/addon-usb-cable.c	|  226
 ++++++++++++++++++++++++++++++++
 hald/linux/device.c			|    8 +
 7 files changed, 272 insertions(+), 0 deletions(-)

commit b8868ee862d69ebc4004659897d1e1bcef6a03fe
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Fri May 11 13:38:03 2007 +0300

    add a video4linux capabilities probe

    Probe the v4l device and add its capabilities, and the device name.

 doc/spec/hal-spec-properties.xml	|   96 +++++++++++++++++++++
 hald/linux/device.c			|   17 ++++-
 hald/linux/probing/.gitignore		|    1 +
 hald/linux/probing/Makefile.am		|   18 ++++-
 hald/linux/probing/probe-video4linux.c |  143
 ++++++++++++++++++++++++++++++++
 5 files changed, 271 insertions(+), 4 deletions(-)

commit 0b94318cc65e652877085eac3c0877c27326965a
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Mon May 14 19:04:43 2007 +0300

    restrict ALS addon to only RX-44 and RX-48

 fdi/policy/10osvendor/10-als.fdi |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit 04e9b57302d4b57e584121a0813990501cdd3a57
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Tue Nov 6 00:23:01 2007 +0200

    cleanup ALS addon

 hald/linux/addons/addon-als.c |   49
 +++++++++++++++++++++++-----------------
 1 files changed, 28 insertions(+), 21 deletions(-)

commit 05a40562585197513c0637a4d0b34238eeb7cc80
Author: Semi Malinen <semi.malinen@nokia.com>
Date:	Mon Apr 30 18:01:20 2007 +0300

    add an ALS addon

    This is an Ambient Light Sensor addon, which is not yet generic,
    but will be
    in the future. This might get generalized later on to a hwmon addon.

 configure.in			   |   11 ++
 fdi/policy/10osvendor/10-als.fdi  |   20 ++++
 fdi/policy/10osvendor/Makefile.am |	4 +
 hald/linux/addons/Makefile.am	   |	6 +
 hald/linux/addons/addon-als.c	   |  219
 +++++++++++++++++++++++++++++++++++++
 5 files changed, 260 insertions(+), 0 deletions(-)

commit c9d0ce36d169f5925266d15947b72aa97ab84a8b
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Mon Apr 30 15:15:45 2007 +0300

    add initial mtd char device support

 hald/linux/blockdev.c |    5 ++++
 hald/linux/device.c   |   53
 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+), 0 deletions(-)

commit 1aaf2c39847c264645aee932c8521468c5122dbc
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Wed Mar 14 17:33:44 2007 +0200

    use embedded input_local.h instead of system linux/input.h

    Add a local copy of input.h from Linux to allow building even when the
    system is ancient, and to make the build consistent across the system
    where 'make dist' was done and where the build happened.

 hald/linux/Makefile.am				|    1 +
 hald/linux/addons/addon-acpi-buttons-toshiba.c |    2 +-
 hald/linux/addons/addon-input.c		|    2 +-
 hald/linux/device.c				|    2 +-
 hald/linux/input_local.h			| 1240
 ++++++++++++++++++++++++
 hald/linux/probing/probe-input.c		|    2 +-
 tools/Makefile.am				|    2 +-
 tools/hal-setup-keymap.c			|    2 +-
 8 files changed, 1247 insertions(+), 6 deletions(-)

commit 31ef6a28bf19af3ab30806a65120d5b9bcf945c1
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Wed Mar 14 15:30:49 2007 +0200

    add support for mmc_host slot_names

    Add a new key for mmc_host to identify its position, the slot_name
    can be
    something like external/internal, or any other unique identifier that
    distinguishes it from the other possible mmc_host present in the
    Computer.

 doc/spec/hal-spec-properties.xml |    8 ++++++++
 hald/linux/device.c		  |    2 ++
 2 files changed, 10 insertions(+), 0 deletions(-)

commit 14d1e8d3cef9ab48c6ee2156cf4c1c760232277f
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Fri Mar 2 15:45:18 2007 +0200

    initial support for OMAP hw name/version...

 hald/linux/osspec.c		 |   29 +++++
 hald/linux/probing/Makefile.am  |    8 ++
 hald/linux/probing/probe-omap.c |  247
 +++++++++++++++++++++++++++++++++++++++
 3 files changed, 284 insertions(+), 0 deletions(-)

commit 6bf07400a43596c122bd924720f8190d0675aa6f
Author: Ismo Laitinen <ismo.laitinen@nokia.com>
Date:	Wed May 2 18:25:24 2007 +0300

    scan the mmc bus after having scanned the classes

    This is a workaround to make the volumes show up in HAL. More
    research is
    needed to hunt the real problem.

 hald/linux/coldplug.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 2f39533d9d9633cd4b352a9b241f031594ac57bd
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Tue Feb 13 20:12:13 2007 +0200

    add support for mmc covers

    Initial draft of the MMC cover support...

 fdi/policy/10osvendor/10-mmc-policy.fdi |   14 ++
 fdi/policy/10osvendor/Makefile.am	 |    1 +
 hald/linux/addons/.gitignore		 |    1 +
 hald/linux/addons/Makefile.am		 |    4 +
 hald/linux/addons/addon-mmc.c		 |  270
 +++++++++++++++++++++++++++++++
 5 files changed, 290 insertions(+), 0 deletions(-)

commit 918c69b8f7441e26a24bb3876650bc68ba9b4fba
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	Thu Nov 30 19:49:52 2006 +0000

    add addon for omap gpio

    Exposes omap gpio switches as HAL buttons.

    Signed-off-by: Guillem Jover <guillem.jover@nokia.com>

 fdi/policy/10osvendor/10-omap-gpio.fdi |   16 ++
 fdi/policy/10osvendor/Makefile.am	|    4 +-
 hald/linux/addons/Makefile.am		|    4 +
 hald/linux/addons/addon-omap-gpio.c	|  311
 ++++++++++++++++++++++++++++++++
 4 files changed, 334 insertions(+), 1 deletions(-)

commit 3b82d8e91f4d03dd21db4d09acba0480a06c4793
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Mon Oct 22 20:40:02 2007 +0300

    add debian/ package directory

 debian/README.Debian			       |   13 +
 debian/changelog			       | 1162
 +++++++++++++++++++++++++
 debian/compat				       |    1 +
 debian/control				       |  133 +++
 debian/copyright			       |  232 +++++
 debian/debian-storage-policy-fixed-drives.fdi |   11 +
 debian/hal-doc.install			       |    2 +
 debian/hal-unmount.sh			       |   16 +
 debian/hal.default			       |    1 +
 debian/hal.dirs			       |    2 +
 debian/hal.docs			       |    1 +
 debian/hal.init.dbus			       |   86 ++
 debian/hal.install			       |   12 +
 debian/hal.manpages			       |    2 +
 debian/hal.postinst			       |  102 +++
 debian/hal.postrm			       |   22 +
 debian/hal.preinst			       |   57 ++
 debian/hal.prerm			       |    7 +
 debian/hal.udev.rules			       |    5 +
 debian/hald.8				       |   65 ++
 debian/libhal-dev.install		       |    4 +
 debian/libhal-storage-dev.install	       |    4 +
 debian/libhal-storage1-dbg.install	       |    1 +
 debian/libhal-storage1.install		       |    1 +
 debian/libhal1-dbg.install		       |    1 +
 debian/libhal1.install			       |    1 +
 debian/libhal1.shlibs			       |    1 +
 debian/lshal.1				       |   54 ++
 debian/patches/01_hal_debian_dbuspolicy.patch |   20 +
 debian/patches/23_addon_acpi.patch	       |   28 +
 debian/patches/readme-remove-hacking.patch    |   12 +
 debian/preferences.fdi			       |   59 ++
 debian/rules				       |   81 ++
 debian/run-hald.sh			       |   10 +
 debian/shlibs.local			       |    1 +
 debian/watch				       |    4 +
 36 files changed, 2214 insertions(+), 0 deletions(-)

commit d0794f6c3d61e0bb396d2c08604c332a9c035921
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Tue Nov 20 15:36:20 2007 +0100

    switch probe-net-bluetooth to use changesets

    Switch probe-net-bluetooth to use changesets.

 hald/linux/probing/probe-net-bluetooth.c |   22 +++++++++++++++++-----
 1 files changed, 17 insertions(+), 5 deletions(-)

commit 031cbb3317250bca61de97d62df334b907c6b4be
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Tue Nov 20 15:30:44 2007 +0100

    probe-net-bluetooth: get property from env instead of asking hald

    Get property from environment instead of asking hald.

 hald/linux/probing/probe-net-bluetooth.c |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit 7f414a36784efa0dbef3a337518dc3cd3a1d7b4a
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Tue Nov 20 15:00:29 2007 +0100

    dereference pointer after checking it's not NULL

    Dereference pointer after checking it's not NULL in
    partutil/partutil.c.

 partutil/partutil.c |	 24 ++++++++++++++++++------
 1 files changed, 18 insertions(+), 6 deletions(-)

commit 522f8bede85239dc0279a94d0b1e9c1da4e601f6
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Tue Nov 20 14:50:43 2007 +0100

    libhal: do not dereference *reason_why_locked if it's NULL

    Do not dereference *reason_why_locked if it's NULL after call
    dbus_malloc0().

 libhal/libhal.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 02d471d199d6a50f989cde9f452f5f70dc9f7a3d
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Tue Nov 20 14:47:35 2007 +0100

    fix file descriptor leaks on error conditions

    Fixed file descriptor leaks on error conditions if open()
    used.

 hald/create_cache.c			  |    3 +-
 hald/linux/addons/addon-omap-backlight.c |   36
 ++++++++++++++++++-----------
 2 files changed, 24 insertions(+), 15 deletions(-)

commit b9826360e9149c34e3871cd848168fd7d06b80f3
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Tue Nov 20 14:37:38 2007 +0100

    fixed indentation

    Fixed indentation in hald-addon-omap-backlight.

 hald/linux/addons/addon-omap-backlight.c |  211
 +++++++++++++++---------------
 1 files changed, 106 insertions(+), 105 deletions(-)

commit d314cab5b733d8340aa89d0ab40e4daa6eb3c689
Author: Sjoerd Simons <sjoerd@luon.net>
Date:	Sun Nov 18 23:42:24 2007 +0100

    assign pid to a gint64 before passing it as an _INT64 in a dbus
    message

    This patch assigns a GPid to an gint64 before passing as
    a DBUS_TYPE_INT64 in a dbus message. Fixes alignment issues and
    ensures the correct size of the passed argument without the need to
    use __attribute__ ((aligned))

 hald-runner/main.c   |    5 +++--
 hald-runner/runner.c |    3 ++-
 2 files changed, 5 insertions(+), 3 deletions(-)

commit 1852641290ec7c0f75e85ba8ef794c0e74923677
Author: Michael E Brown <Michael_E_Brown@dell.com>
Date:	Thu Nov 15 21:35:26 2007 +0100

    fix version check code for libmsbios in configure.in

    This patch fixes the version check for libsmbios. It currently
    fails if the major bumps (which I am planning to do shortly).

 configure.in |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 534735f7844300fec22cfebcf515ca46c9b91879
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Mon Nov 12 20:03:34 2007 +0100

    fixed possible inifinite loop when removing trailing spaces

    Fixed possible inifinite loop when removing trailing spaces. Athough
    this is not going to happen given current content of the files
    parsed, there's the possibility that the loop could never end.

 hald/linux/probing/probe-smbios.c |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ec7703996ece6aa53eea002d194384cf419b2796
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Nov 12 19:56:31 2007 +0100

    removed double definition of HAL_HELPER_TIMEOUT

    Removed double definition of HAL_HELPER_TIMEOUT in hald/util.h and
    hald/hald_runner.h which could cause problems if one of the both
    values get may changed in the future.

    Since the timeout is needed for hald_runner calls removed the
    define from hald/util.h.

 hald/util.h |	  1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 64e4ac8ff8570f315c6a99cdf6d221ba845dcf5a
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Nov 12 19:48:59 2007 +0100

    fix hal to work with libsmbios v0.13.12

    Fixed HAL to work again with libsmbios v0.13.12 where the binaries
    get moved from /usr/bin/ to /usr/sbin/. Needed to change some paths
    in hal-system-killswitch-{g,s}et-power-linux to work with the new
    and older versions correctly.

 tools/linux/hal-system-killswitch-get-power-linux |   15 +++++++++++----
 tools/linux/hal-system-killswitch-set-power-linux |   19
 +++++++++++++------
 2 files changed, 24 insertions(+), 10 deletions(-)

commit dd44931834020a50ad7cfe0900a6af315010e575
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Sun Nov 11 18:56:05 2007 +0100

    update dmi chassis types

    Updated dmi chassis types (added 0x1A and 0x1B), added comment
    about the related numbers which represent the text.

 hald/linux/osspec.c |	  4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 4a75be3cee0cc71b694296bdc679ed0578fabf4a
Author: Frederic Crozat <fcrozat@mandriva.com>
Date:	Mon Nov 5 19:44:14 2007 +0100

    fix for int_outof

    I discovered a bug in int_outof implementation, which wasn't working
     at all and I fixed it while discussing with David over IRC.

    But it seems my patch never got committed, Here it is

 hald/create_cache.c |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fa857d10e83fab9bdf0bacf72c55547177ac43fc
Author: Jeff Mitchell <kde-dev@emailgoeshere.com>
Date:	Fri Nov 2 14:58:38 2007 -0400

    Saw that the description here hadn't been updated from long-ago
    changes.

 doc/spec/hal-spec-properties.xml |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b8123a11b9b03e9c8db10039242d57533816c3a0
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Oct 30 19:12:32 2007 +0100

    fixed missing includes partly for gcc 4.3

    Fixed compiler warning caused by missing includes in
    hal-disable-polling.c.
    Fixed also missing include of string.h for gcc 4.3.

 hald/linux/addons/addon-dell-backlight.cpp |	 1 +
 tools/hal-disable-polling.c		    |	 2 ++
 2 files changed, 3 insertions(+), 0 deletions(-)

commit 5958eefdceec19f7b66343ec368710784908fc63
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Oct 30 14:46:44 2007 +0100

    quick fix for make dist/distcheck due to WOL

    Fixed (quick ...) make distcheck due to linking WOL files for linux
    in tools/linux/. Use install-data-hook and uninstall-hook to be sure
    that hal-system-wol-linux is installed before call 'ln -sf'.

 tools/linux/Makefile.am |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit b1b9c0b0eb25b7a7eb070380eac66603eb0d37db
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Oct 30 13:55:02 2007 +0100

    make new scripts for WOL executable

    Maked new scripts for WOL executable.

 0 files changed, 0 insertions(+), 0 deletions(-)

commit adec1e7dfd0464ad067f690548319723475866a9
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Oct 30 13:16:52 2007 +0100

    added missing file from commit eb6d5b9c

    Added missing file (tools/linux/hal-system-wol-linux) from commit
    eb6d5b9c.

 tools/linux/hal-system-wol-linux |   81
 ++++++++++++++++++++++++++++++++++++++
 1 files changed, 81 insertions(+), 0 deletions(-)

commit eb6d5b9c24e4eb42a8e9993a3936cf95aafacf12
Author: Holger Macht <hmacht@suse.de>
Date:	Mon Oct 29 15:44:06 2007 -0400

    add support for Wake On LAN

    On Tue 28. Aug - 14:21:42, David Zeuthen wrote:
    >
    > On Tue, 2007-08-14 at 15:22 +0200, Holger Macht wrote:
    > > +wol_supported() {
    > > +    UDI=$1
    > > +
    > > +    IFACE=`hal-get-property --udi $UDI --key net.interface`
    > > +    if [ -z "$IFACE" ]; then
    > > +   echo "org.freedesktop.Hal.Device.WakeOnLAN.NotSupported"
    > > +   return 1
    > > +    fi
    >
    > Actually I think IFACE is the same as HAL_PROP_NET_INTERFACE;
    saves a
    > fork + some IPC. Ditto for getting other properties too.
    >
    > Btw, there should probably exist tools/hal-system-wol-* that
    looks sorta
    > like this (this is snipped from another script in tools/) to check
    > whether the caller is actually privileged to do this
    >
    > #!/bin/sh
    > . hal-functions
    >
    > hal_check_priv org.freedesktop.hal.wol.<the-action>
    > hal_exec_backend
    >
    > and you should define these PolicyKit actions in
    policy/hal-wol.policy

    Added PolicyKit support and included suggestions from Dan Nicholson.

    This time, everything is included in one single patch.

 doc/spec/hal-spec-interfaces.xml  |   55
 +++++++++++++++++++++++++++++++++++++
 fdi/policy/10osvendor/30-wol.fdi  |   28 +++++++++++++++++++
 fdi/policy/10osvendor/Makefile.am |	3 +-
 policy/Makefile.am		   |	3 +-
 policy/hal-wol.policy		   |   35 +++++++++++++++++++++++
 tools/Makefile.am		   |	3 ++
 tools/hal-system-wol-enable	   |   24 ++++++++++++++++
 tools/hal-system-wol-enabled	   |   20 +++++++++++++
 tools/hal-system-wol-supported    |   20 +++++++++++++
 tools/linux/Makefile.am	   |   11 +++++++-
 10 files changed, 199 insertions(+), 3 deletions(-)

commit 1491787fdf29fd77e4cbd13af70434ee3e7032ee
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Wed Oct 17 13:25:09 2007 +0200

    fix GSList related memory leaks

    This fixes several memory leaks caused by not free'd GSList objects.

 hald/device_info.c   |    1 +
 hald/linux/apm.c     |    1 +
 hald/linux/hotplug.c |    2 ++
 hald/linux/pmu.c     |    2 ++
 4 files changed, 6 insertions(+), 0 deletions(-)

commit cbe856603a0969756fdcc09ac764a81494d3cbf7
Author: David Zeuthen <davidz@redhat.com>
Date:	Thu Oct 11 18:17:29 2007 -0400

    update NEWS

 NEWS |  307
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 299 insertions(+), 8 deletions(-)

commit 32d1f52a2e6c08d83723fe9d11417eeefb90768f
Author: Bastien Nocera <hadess@hadess.net>
Date:	Thu Oct 11 16:12:00 2007 -0400

    add bluray support

    On Wed, 2007-10-10 at 16:35 +0200, Danny Kukawka wrote:
    > On Mittwoch, 10. Oktober 2007, Bastien Nocera wrote:
    > > Heya,
    > >
    > > I posted an untested patch, with the values taken from the
    latest dvd
    > > +rw-tools version:
    > > http://bugs.freedesktop.org/show_bug.cgi?id=12767
    > >
    > > I'd appreciate comments, and actual testing. Note that the
    spec isn't
    > > updated, and that the Blu-ray video disc detection probably
    doesn't
    > > work, as they're usually UDF, not ISO9660.
    >
    > Some comments:
    > * the patch didn't compile ('}' missing in probe-volume.c:264)

    Told you it was untested :)

    > * I would prevent mix LIBHAL_STORAGE_ICON_DISC_* with
    >	DRIVE_CDROM_CAPS_* in probe-storage.c

    Thinko, good catch.

    > * in get_disc_capacity_dvdr_from_type() im miss code for 0x42
    (BR-R RRM) not
    >	sure if they should get handled like 0x41 (BD-R SRM)

    0x42 isn't supported by dvd+rw-tools, so I don't know if the capacity
    calculation works in the same way. Maybe adding a comment to that
    effect
    would be useful.

    > I have added a new version of the patch with this stuff fixed and
    also add
    > some more support for HD DVD* discs (didn't add code to
    > get_disc_capacity_dvdr_from_type() atm).

    Looks good.

 hald/linux/probing/linux_dvd_rw_utils.c |   36
 +++++++++++++++++++++++++++++++
 hald/linux/probing/linux_dvd_rw_utils.h |    7 ++++++
 hald/linux/probing/probe-storage.c	 |   12 ++++++++++
 hald/linux/probing/probe-volume.c	 |    7 ++++++
 hald/solaris/probing/probe-volume.c	 |    2 -
 5 files changed, 62 insertions(+), 2 deletions(-)

commit a268049eb5caabbe97f6f8d34e8a095b00e340f4
Author: David Zeuthen <davidz@redhat.com>
Date:	Wed Oct 10 15:28:17 2007 -0400

    fix segfault when setting up keymap

 tools/hal-setup-keymap.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 94b60f1a712a84649f2890bcd4060a73d29cb195
Author: Bill Nottingham <notting@redhat.com>
Date:	Tue Oct 9 13:47:50 2007 -0400

    handle 'move' events for network devices

    udev emits 'move' events when network interfaces are renamed. This
    patch
    adds support for hald to handle such events.

 hald/linux/device.c  |   13 +++++++++++++
 hald/linux/hotplug.c |   12 ++++++++++++
 hald/linux/hotplug.h |    2 ++
 hald/linux/osspec.c  |   17 +++++++++++++++++
 4 files changed, 44 insertions(+), 0 deletions(-)

commit 66cb813715538818770df7685ab2be4d85d75a07
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Sep 25 15:27:43 2007 -0400

    skip the ACL entry instead of bailing out when using bad fdi files

    See https://bugzilla.redhat.com/show_bug.cgi?id=305801 for details

 tools/hal-acl-tool.c		    |	14 +++-
 tools/hal-setup-keymap-hash-name.h |  119
 ++++++++++++++++++------------------
 2 files changed, 71 insertions(+), 62 deletions(-)

commit d0dfd958d45c81ab57713d07e42634e1c5110ccb
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Sep 25 11:49:12 2007 -0400

    bump fdi generation timeout to 60s

    Normally this only takes a few hundred ms, however fcrozat reports
    that it takes 22 seconds to generate the fdi chace when he uses non-VT
    capable virtual hosts.

 hald/mmap_cache.c |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0739ba39c3d6fea8efe1725b160e18ff826ec267
Author: Ruediger Oertel <ro@suse.de>
Date:	Thu Sep 20 20:19:27 2007 +0200

    fixed configure for macbook addons to build also on x86_64

    Fixed configure for macbook addons to build also on x86_64.

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 8fe351c3c324a115210d396d241c9878af743740
Author: Dirk MÃ¼ller <dmueller@suse.de>
Date:	Thu Sep 20 19:48:49 2007 +0200

    fixed access of freed memory

    Fixed access of freed memory in function libhal_free_property_set().

 libhal/libhal.c |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 5dea29db08b7d8130f19c511250b849b8dca8c46
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Sep 11 18:31:47 2007 +0200

    forward ThinkPad ACPI event for killswitch

    Forward the ThinkPad ACPI event '7000' from the killswitch as
    ButtonPressed=killswitch from the hal-addon-acpi to allow e.g.
    NM to monitor if the killswitch was used.

 hald/linux/addons/addon-acpi.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit fcb9ac034c674cbe10cfe89aad5637fee8e55a5d
Author: Doug Goldstein <cardoe@gentoo.org>
Date:	Fri Aug 31 14:54:46 2007 -0400

    hal-disable-polling symlink support

    allows hal-disable-polling to take a device node that's actually a
    symlink to
    real device node and successfully resolve it and use it rather then
    error out
    with device not found.

 tools/hal-disable-polling.c |	 22 ++++++++++++++++++----
 1 files changed, 18 insertions(+), 4 deletions(-)

commit d8651578ff433dac884a349382388644a34ea69e
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Aug 31 15:27:06 2007 -0400

    fix last commit for LUKS; forgot to refact error handling

 tools/hal-luks-teardown |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 13dea3cefe32bfa400804775527788399ff08fd3
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Aug 31 15:25:56 2007 -0400

    split the "can setup LUKS?" action into two actions (removable/fixed)

    This should fix https://bugzilla.novell.com/show_bug.cgi?id=306694

 policy/hal-storage.policy |   13 +++++++++++--
 tools/hal-luks-setup	   |   16 ++++++++++++++--
 tools/hal-luks-teardown   |   13 +++++++++++--
 3 files changed, 36 insertions(+), 6 deletions(-)

commit 5c93ba91b1b744b8d0c63c9e3486f5c3dacedc1e
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Aug 31 15:13:11 2007 -0400

    update hal-setup-keymap-hash-name.h

 tools/hal-setup-keymap-hash-name.h |  672
 +++++++++++++++++-------------------
 1 files changed, 316 insertions(+), 356 deletions(-)

commit 55bb15119a6e907740be72ddefe21e8bf2ca4d9b
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Aug 31 14:43:18 2007 -0400

    require PolicyKit 0.5

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c7f2d8ce617970c3636a61061b8954bdeffe716a
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Aug 31 14:33:09 2007 -0400

    Revert "make return value for method calls implemented via programs
    be UINT32"

    This reverts commit 7b159b55d6398d2d240817276ae27ed68f11deda.

 doc/spec/hal-spec-properties.xml		|   17 ++++++++---------
 hald/hald_dbus.c				|    8 ++++----
 hald/linux/addons/addon-dell-backlight.cpp	|    8 ++++----
 hald/linux/addons/addon-macbook-backlight.c	|    8 ++++----
 hald/linux/addons/addon-macbookpro-backlight.c |    8 ++++----
 hald/linux/addons/addon-omap-backlight.c	|    8 ++++----
 6 files changed, 28 insertions(+), 29 deletions(-)

commit c279d7c1f8b52b1b99767e7c7a03305b573f7c31
Author: Daniel Stone <daniel@fooishbar.org>
Date:	Wed Aug 8 01:46:53 2007 +0300

    add input.x11_driver

    Add the input.x11_driver property, which specifies an X11 input
    driver to use,
    as well as an initial FDI that tries to use evdev on Linux.

 doc/spec/hal-spec-properties.xml	|    8 ++++++++
 fdi/policy/10osvendor/10-x11-input.fdi |   23 +++++++++++++++++++++++
 fdi/policy/10osvendor/Makefile.am	|    1 +
 3 files changed, 32 insertions(+), 0 deletions(-)

commit 635e9105b70ebed78e6b8ca65622a096a490bf8d
Author: Daniel Stone <daniel@fooishbar.org>
Date:	Wed Aug 8 01:46:50 2007 +0300

    add input.xkb properties

    Add input.xkb.{rules,model,layout,variant,options} to the spec and
    add a
    default implementation, which specifies a keyboard ruleset to use for
    XKB.

 doc/spec/hal-spec-properties.xml    |	 76
 +++++++++++++++++++++++++++++++++++
 fdi/policy/10osvendor/10-keymap.fdi |	 16 +++++++-
 2 files changed, 91 insertions(+), 1 deletions(-)

commit 9df2bc84351059f773dbe69f8119124109fff3db
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Fri Aug 31 11:39:37 2007 +0200

    added power_management.quirk.no_fb to spec

    Added missing power_management.quirk.no_fb to spec.

 doc/spec/hal-spec-properties.xml |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit f3e160d0ab85f62b76400cb521b4d1b5813d0711
Author: Kay Sievers <kay.sievers@vrfy.org>
Date:	Fri Aug 31 03:20:57 2007 +0200

    hotplug: handle "change" events for unknown devices as "add"

    If we see a "change" event for a device we do not already know, we use
    the event to add the device. For already known devices, we call
    refresh().

 hald/linux/hotplug.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit a871c7d40e13eb247bce34aae7a9ceafaf719b10
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Aug 28 15:31:42 2007 -0400

    handle the fact that event%d is no longer a child of input%d

    See

     http://lists.freedesktop.org/archives/hal/2007-July/009211.html

    for discussion.

 hald/linux/device.c |	 47
 +++++++++++++++++++++++++++++++++++------------
 1 files changed, 35 insertions(+), 12 deletions(-)

commit 0073b22bb97522e2407121152446b1e057928e9f
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Aug 28 20:48:01 2007 +0200

    add soundcard device and fix device_file handling

    Add the sound card device to HAL (e.g. /sys/devices/pci*/*/card0) to
    represent the correct sysfs structure if HAL runs on a kernel
    which was
    compiled with !CONFIG_SYSFS_DEPRECATED. The alsa and oss devices are
    now childs of the releated sound card device.

    Changed checks for empty device files path to check also for
    device_file[0] == '\0'.

 hald/linux/device.c |	 38 ++++++++++++++++++++++++++++++--------
 1 files changed, 30 insertions(+), 8 deletions(-)

commit 926e7c2979c12a0d0f9316b31d66beac5a8f4b19
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Aug 28 19:42:21 2007 +0200

    add new fdi directives *_outof

    This introduce new fdi-file <match> directives for strings. The
    new are:
     - int_outof
     - string_outof
     - prefix_outof
     - contains_outof

    They all work like the normal directives (string, prefix, contains),
    but only
    on string properties and match against a ';'-separated list (any
    other ideas
    for a char as separator?) as in this examples:

      <match key="usb.product_id" int_outof="0x4115;0x4116">
      - matches if "usb.product_id" is '0x4115' or '0x4115'

      <match key="system.hardware.product" string_outof="foo;bar">
      - matches if "system.hardware.product" is exact 'foo' or 'bar'

      <match key="system.hardware.product" prefix_outof="foo;bar">
      - matches if "system.hardware.product" starts with 'foo' or 'bar'

      <match key="system.hardware.product" contains_outof="foo;bar">
      - matches if "system.hardware.product" contains the (sub-)string
	'foo' or 'bar'

    This new match directives allow us to reduce the size (and number of
    duplicated rules) of many fdi files in hal and hal-info. As example
    I reduced:

      - 30-keymap-acer.fdi from 28532 to 8123 bytes (~ -72 %)
      - 10-usb-music-players.fdi from 78817 to 49860 Bytes (~ -37 %)

 doc/spec/hal-spec-fdi-files.xml |   40 +++++++++++++++++++
 fdi/fdi.dtd			 |    4 ++
 hald/create_cache.c		 |    8 ++++
 hald/device_info.c		 |   83
 +++++++++++++++++++++++++++++++++++++++
 hald/rule.h			 |    6 ++-
 5 files changed, 140 insertions(+), 1 deletions(-)

commit 7deca6dbcdd21325077943ca65ba88db5be6040b
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Aug 28 19:23:17 2007 +0200

    add more parameter checks to libhal

    This patch adds some more parameter check to some of the libhal
    functions to avoid possible trouble (e.g. in
    libhal_free_property_set()).

 libhal/libhal.c |   61
 +++++++++++++++++++++++++++++++++++++++++++++++-------
 1 files changed, 53 insertions(+), 8 deletions(-)

commit 223efeb9ded17135935dc67cdaf4e64e98bfbcd2
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Aug 28 19:18:11 2007 +0200

    fix indirections in fdi files (prepend/append copy_property)

    This patch fixes indirections in the <prepend> and <append> merging
    directives
    for FDI files if they are used with type="copy_proptery" as it
    work already
    with <merge>.

    This allows such line:

    <append key="foo.bar"
    type="copy_property">@info.parent:foo2.bar2</append>

    Should also fix fd.o #9849.

 hald/device_info.c |	33 ++++++++++++++++++++++++++++-----
 1 files changed, 28 insertions(+), 5 deletions(-)

commit 778987b83a36437419bdfab926a1e95e2ea03191
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Aug 28 19:14:39 2007 +0200

    fix indirections in fdi files

    This patch fixes indirections (e.g. @info.parent:foo.bar) in <merge>,
    <prepend>, <append> and <addset> merging fdi-file directives to
    work as
    already described in the spec to allow e.g. such lines:

    <merge key="@info.parent:foo.bar" type="string">test</merge>
    <merge key="@info.parent:foo.bar" type="copy_property">
			@storage.originating_device:foo.bar</merge>

    This patch also aggregate the code for merging rule types RULE_APPEND
    and RULE_PREPEND since they currently contain nearly the same code.

 hald/device_info.c |	85
 ++++++++++++++++++++++++++++------------------------
 1 files changed, 46 insertions(+), 39 deletions(-)

commit 02d4acb9dc2c535475a942f48abfa156d84b93c8
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Aug 28 19:10:11 2007 +0200

    fix detection of storage.cdrom.*_speed* values (fd.o 10399)

    The attached patch fixes the in fd.o #10399 reorted problem that the
    following properties get never updated on media changes:
     * storage.cdrom.read_speed (int)
     * storage.cdrom.write_speed (int)
     * storage.cdrom.write_speeds (strlist)

    HAL update now also these properties on media changes to provide
    always
    up-to-date values.

 hald/linux/probing/probe-storage.c |	93
 ++++++++++++++++++------------------
 1 files changed, 47 insertions(+), 46 deletions(-)

commit 2948fca27b08642a03d9bee4c1659f72a79ae2f0
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Aug 28 19:02:51 2007 +0200

    fixed changeset handling for HAL_PROPERTY_TYPE_STRLIST

    This patch fixes some problems with the workflow and signal
    handling in
    changesets via libhal for HAL_PROPERTY_TYPE_STRLIST:

    * If libhal_changeset_set_property_strlist() get currently used to
    add a
      stringlist to HAL after call libhal_device_commit_changeset()
      for each
      new entry of the list a 'PROPERTY_CHANGED' signal get emitted.
      This seems to be wrong and make also no sence because you can't find
      out what in the list was changed/added, since the signals get
      emitted
      after the commit call where the list is already complete changed.
      I changed this to commit the signal only one for each call of
      libhal_changeset_set_property_strlist().

    * If libhal_changeset_set_property_strlist() get currently used in the
      code HAL use hal_device_property_strlist_clear() to clear the
      list for
      the new list. This function also call hal_property_strlist_clear()
      which
      doesn't work (which we already detected in March 2007) and
      cause some
      times later a crash in HAL. I fixed this by remove the strlist
      property
      from the hashtable and add an new empty property instead with
      the same
      key.

 hald/device.c			|   66
 ++++++++++++++++++++++++++++++----------
 hald/device.h			|    9 ++++-
 hald/device_info.c		|    6 ++--
 hald/freebsd/hf-usb.c		|    2 +-
 hald/hald_dbus.c		|   34 ++++++++++++++++----
 hald/hald_test.c		|    4 +-
 hald/linux/osspec.c		|    2 +-
 hald/solaris/devinfo_storage.c |    4 +-
 8 files changed, 93 insertions(+), 34 deletions(-)

commit a55046077f803bb37121362cc506ed530b79283b
Author: Doug Goldstein <cardoe@gentoo.org>
Date:	Tue Aug 28 09:20:42 2007 -0400

    add missing uint64 matching to fdi.dtd

    uint64 matching is present in the code and in the spec, however
    it is missing from the dtd.

 fdi/fdi.dtd |	  1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit b2ab695dd714f55eeaa0beafaf4ac53a95d4e446
Merge: 8a151ac... 6efebcf...
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Aug 28 12:05:38 2007 -0400

    Merge branch 'master' of ssh://david@git.freedesktop.org/git/hal

commit 8a151accd08babe666a6eb597a45d2a96a6a672b
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Aug 28 12:04:35 2007 -0400

    avoid setting SELinux context on the PolKitCaller object if it's
    non-existant

 hald/access-check.c |	  6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 6efebcfcfe690ce8f8f2e2976bf100032d853f19
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Aug 28 13:31:15 2007 +0200

    fixed typo in PMU code

    Fixed typo in PMU code which prevent detect the battery.

 hald/linux/pmu.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 72510af187df46dfc2cc268d51ca2d47f4bb3b89
Author: Frederic Crozat <fcrozat@mandriva.com>
Date:	Tue Aug 28 11:10:17 2007 +0200

    handle renaming of SG_FLAG_LUN_INHIBIT in sg.h

    > while fixing sg_ui.sbp is relatively easy (just add cast), what
    > SG_FLAG_LUN_INHIBIT is supposed to do and what should be used
    instead?

    I've attached an improved patch (inspired from k3b).

 hald/linux/probing/linux_dvd_rw_utils.c |   12 ++++++++++--
 1 files changed, 10 insertions(+), 2 deletions(-)

commit 60d18a1852680559c8db96e25e09e62048ad3669
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Aug 27 14:11:43 2007 -0400

    use direct connection if available

    Without this NM's excessive calls into GetPower() for wlan killswitch
    results in a lot of NameOwnerChanged signals and unique bus name
    usage.

 tools/hal-is-caller-privileged.c |   45
 +++++++++++++++++++++++--------------
 1 files changed, 28 insertions(+), 17 deletions(-)

commit 9aa4c3acde9e4d37fb5d2f9c39a76fec568111c2
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Aug 27 12:01:34 2007 -0400

    update to work with PolicyKit HEAD

 hald/hald_dbus.c				|    4 +-
 hald/linux/addons/addon-cpufreq.c		|    2 +-
 hald/linux/addons/addon-dell-backlight.cpp	|    2 +-
 hald/linux/addons/addon-macbook-backlight.c	|    2 +-
 hald/linux/addons/addon-macbookpro-backlight.c |   10 +-
 hald/linux/addons/addon-omap-backlight.c	|    2 +-
 policy/hal-device-file.policy			|  150 +++++++++---------
 policy/hal-killswitch.policy			|   42 ++---
 policy/hal-lock.policy				|   24 +--
 policy/hal-power.policy			|  204
 ++++++++++++------------
 policy/hal-storage.policy			|   96 +++++------
 tools/hal-acl-tool.c				|    2 +-
 tools/hal-luks-setup				|    2 +-
 tools/hal-luks-teardown			|    2 +-
 tools/hal-storage-mount.c			|   11 +-
 tools/hal-storage-shared.c			|    4 +-
 tools/hal-system-killswitch-get-power		|    2 +-
 tools/hal-system-killswitch-set-power		|    2 +-
 tools/hal-system-lcd-get-brightness		|    2 +-
 tools/hal-system-lcd-set-brightness		|    2 +-
 tools/hal-system-power-hibernate		|    2 +-
 tools/hal-system-power-reboot			|    4 +-
 tools/hal-system-power-set-power-save		|    2 +-
 tools/hal-system-power-shutdown		|    4 +-
 tools/hal-system-power-suspend			|    2 +-
 tools/hal-system-power-suspend-hybrid		|    2 +-
 26 files changed, 278 insertions(+), 305 deletions(-)

commit cd0d218accc1e1f665069028566c4d949c19f73c
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Aug 23 22:02:02 2007 +0200

    fix detection of system.formfactor=laptop for ACPI machines

    There are problems on laptops if the smbios.chassis.type is not
    directly
    mapped from the smbios to 'laptop' (e.g. smbios tell it's 'Unknown').

    In this case HAL currently call as next coldplug_synthesize_events()
    after
    the smbios probing and first then start to synthesizing the ACPI
    events/
    devices. But in the ACPI code HAL set system.formfactor=laptop,
    if it isn't
    already detected as Laptop (e.g. if the machine has a battery).

    The problem is: all other devices as e.g. the WLAN device get
    synthesized
    before the ACPI devices. Hence all fdi-file checks for laptop can
    fail with
    the result:
     * the properties get not set as planed
     * e.g. the IPW killswitch device get not spawned

    Fixed the problem for the ACPI case by check for a battery bay or
    a lid
    button in /proc/acpi/*. we can ignore the APM case for the
    moment. Changed
    acpi_synthesize() a little bit to let the function run without
    synthesize
    ACPI devices because this function already check if the machine is
    a laptop.

    In computer_probing_helper_done() HAL check now if system.formfactor
    isn't
    set or not 'laptop' and calls acpi_check_is_laptop() in this case,
    to do the
    needed checks and set if needed the machine as latop as soon as
    possible
    before othere devices get handeled.

 hald/linux/acpi.c   |	 36 ++++++++++++++++++++++++++----------
 hald/linux/acpi.h   |	  2 ++
 hald/linux/osspec.c |	  7 +++++++
 3 files changed, 35 insertions(+), 10 deletions(-)

commit c940b3cb8e6951e4e8d94fc5661dfc8982860bfa
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Aug 23 18:44:08 2007 +0200

    fix hal-ipw-killswitch-linux to return status of killswitch

    Fixed hal-ipw-killswitch-linux to return the status of the killswitch
    and not the status of WLAN/radio. It returns now 0 if the killswitch
    is not active and 1 if the switch is activated and WLAN is off.

 tools/linux/hal-ipw-killswitch-linux.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 455004a6e503cc0cbf995ab182014850848b551b
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Aug 23 16:33:02 2007 +0200

    source hal-functions in hal-luks-teardown

    Fixed hal-luks-teardown to source needed hal-functions.

 tools/hal-luks-teardown |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit db8bd2dcb434384f3a24f8f0112343720be1b8a0
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Aug 23 15:32:50 2007 +0200

    allow gid= for hfs, remove uid= for hfs+  and handle hfs like fat

    This patch adds support for mountoption gid= to HFS partitions
    and handle
    them like FAT partitions in hal-storage-mount.

    Removed uid= mount option from HFS+ partitions because this filesystem
    has per file uid support and it dont support this option.

 fdi/policy/10osvendor/20-storage-methods.fdi |    2 +-
 tools/hal-storage-mount.c		      |    3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit e8e3988db89e062210d9d97778775ae27e2b4815
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Aug 16 15:45:31 2007 +0200

    fix compilerwarning in serial_get_prober()

    Fixed compilerwarning in serial_get_prober() about incompatible
    pointer types.

 hald/linux/device.c |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2f0499ff4b9b814d4e444348d6dcd313804ddcce
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Aug 14 14:40:19 2007 -0400

    support for ACL on USB devices where the device node is on the
    real device

 fdi/policy/10osvendor/20-acl-management.fdi |	 21 ++++++++++++++++++---
 1 files changed, 18 insertions(+), 3 deletions(-)

commit afcd255ed7dd4729824242f216549c24b5a7a603
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Fri Aug 10 18:08:26 2007 +0200

    fix possible segfault on serial device check

    Applied slightly adopted patch from Natanael Copa
    <natanael.copa@gmail.com>:
    > The problem is that serial_get_prober() dont check if
    > hal_device_property_get_string() returns NULL or not.

 hald/linux/device.c |	  7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit a8a8333385e54620e928c167172d418abee42c57
Author: Faidon Liambotis <paravoid@debian.org>
Date:	Fri Aug 10 14:41:52 2007 +0200

    fix misplacement of the ipw killswitch

    The ipw 'if' block in the killswitch scripts was incorrectly placed.

 tools/linux/hal-system-killswitch-get-power-linux |   22
 ++++++++++----------
 tools/linux/hal-system-killswitch-set-power-linux |   12 +++++-----
 2 files changed, 17 insertions(+), 17 deletions(-)

commit e02e6347eef578b59f514dfa7109c9093b28aebd
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Aug 9 20:01:55 2007 +0200

    use hardcoded paths to sysfs and proc

    Commited updated and tested patch from Richard Hughes
    <hughsient@gmail.com>
    to use hardcoded paths to /sys and /proc instead of all the not really
    needed calls of get_hal_{proc,sysfs}_path() because sysfs is always
    under /sys and proc under /proc. This remove also several g_strlcat()/
    g_strlcpy() calls and some variables.

 hald/linux/acpi.c	   |   35 ++++++++++-------------------------
 hald/linux/apm.c	   |	7 ++-----
 hald/linux/blockdev.c	   |	6 +++---
 hald/linux/coldplug.c	   |   35 +++++++++--------------------------
 hald/linux/device.c	   |   11 ++++-------
 hald/linux/hotplug.c	   |	2 +-
 hald/linux/osspec.c	   |   32 ++------------------------------
 hald/linux/osspec_linux.h |	4 ----
 hald/linux/pmu.c	   |   21 +++++++--------------
 9 files changed, 38 insertions(+), 115 deletions(-)

commit bd213ae5a9ca9bc1f8889059647f25462936b855
Author: David Zeuthen <davidz@redhat.com>
Date:	Thu Aug 9 13:28:45 2007 -0400

    fix libhal_psi_has_more() incorrect behavior

    The last entry is not returned.

 libhal/libhal.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e87f18c41a3f998a7c2b59f041fc9cd19026c048
Author: David Zeuthen <davidz@redhat.com>
Date:	Thu Aug 9 12:52:08 2007 -0400

    use correct mode for open(3p)

    From: Joe Orton <jorton@redhat.com>

    This is caught by the new glibc open-as-macro feature (as a build
    failure): is 0644 appropriate or this file?

 tools/hal-acl-tool.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 584d44e2257d70ed034b5d72a13996b8490920ed
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Aug 9 14:15:22 2007 +0200

    fixed libhal code docu

    Fixed libhal code docu, removed type from commit #e9717094

 libhal/libhal.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 781c3d56b2e86a5fc5babffb63212edeb3f09583
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Aug 9 13:37:56 2007 +0200

    fixed return type of libhal_ctx_init_direct()

    Fixed one return of libhal_ctx_init_direct() to return not FALSE,
    but correct LibHalContext* if dbus_connection_add_filter() fail.

 libhal/libhal.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 521e0e73d7f5d999289afa1a81c370451e6428d6
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Aug 7 15:49:47 2007 +0200

    fix get ACPI version from sysfs (fd.o #11290)

    Fixed get ACPI version from sysfs with adopted patch from
    Alan Swanson <swanson@ukfsn.org> to fix fd.o #11290.
    The ACPI version string is since 2.6.21 in
    /sys/module/acpi/parameters/acpica_version.

 hald/linux/acpi.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit ea5031665092d90050036b13821b8a88df46bb4c
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Aug 7 15:06:53 2007 +0200

    fixed PolicyKit detection to check for >= 0.4

    Fixed configure to check for PolicyKit >= 0.4 as added by commit
    5509d858. Use now polkit_module in the checks. Also update the
    NEWS file for PolicyKit and set ConsoleKit to 'optional'.

 NEWS	      |    3 ++-
 configure.in |    2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 91dfcc4763ad9cea8eb729eccec0b307144f5ecd
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Aug 7 14:42:16 2007 +0200

    fixed compiler warning about unused return value of asprintf()

    Fixed compiler warning about unused return value of asprintf()
    by check the value and exit if the function return with -1.

 tools/hal-device.c |	13 ++++++++-----
 1 files changed, 8 insertions(+), 5 deletions(-)

commit 32975e1254efb7f21a1f011e5ec142706b38585e
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Aug 6 15:57:49 2007 +0200

    stop hald-addon-dell-backlight if needed kernel module isni't loaded

    Currently the hald-addon-dell-backlight is running also if the
    needed dcdbas kernel module is not loaded. In this case it provide
    the brightness interface with only one brightness level, which is
    useless.

    Simply exit the addon if the kernel module is missing to prevent
    to have a useless interface for brightness.

 hald/linux/addons/addon-dell-backlight.cpp |	 5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 89b8830183dfd5755133b9fabccb37ecbc29d979
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Aug 6 15:51:37 2007 +0200

    cleanup DBusError handling in addon-acpi main_loop()

    Cleanup the DBusError handling in addon-acpi main_loop() to
    reduce not needed calls of dbus_error_free() and dbus_error_init().

 hald/linux/addons/addon-acpi.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit edb23c093069e45afc0fe17b01b669a32f07886d
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Jul 26 21:59:29 2007 +0200

    fix build errors with D-Bus versions < v1.0

    Fix build errors with older D-Bus versions (< v1.0) where
    DBUS_API_SUBJECT_TO_CHANGE need to be defined.

 hald/device.h	 |    4 ++++
 libhal/libhal.h |    4 ++++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit f43039ee9a0fea64b8550a0096e37b6954f60628
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Jul 26 21:49:35 2007 +0200

    fix compiler warning and error in if statement

    Fix compiler warning about possible error in if statement which is
    also logical incorrect.

 hald/linux/probing/probe-storage.c |	 8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 8a485fbd3ad451c8a76b72d26d674c43545e6644
Author: Richard Hughes <richard@hughsie.com>
Date:	Thu Jul 26 19:08:15 2007 +0100

    initialise the error in the acpi watcher

    Sometimes the acpi addon quits when none
    of the known cases get hit. This trivial
    patch initialises the error only at startup
    and stops the 'pressing fn on a x60' causes
    gnome-power-manager to stop noticing events

    This should fix jrb's laptop.

 hald/linux/addons/addon-acpi.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit bf8be88f49fcbbc9e84929e3aa7cad58679f3353
Author: David Zeuthen <davidz@redhat.com>
Date:	Wed Jul 25 21:02:38 2007 -0400

    the PK policy files move to $datadir from $sysconfdir

 hald/debug-hald.sh    |    2 +-
 hald/run-hald.sh      |    2 +-
 hald/valgrind-hald.sh |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 68eb19a7cf5e31203bf7d1c8728e61afc74975bb
Author: David Zeuthen <davidz@redhat.com>
Date:	Wed Jul 25 21:02:09 2007 -0400

    fix up how we detect Apple laptops

 fdi/policy/10osvendor/10-macbook-backlight.fdi |    6 +++---
 fdi/policy/10osvendor/10-macbookpro-utils.fdi	|    2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit a4711146e3249cba3feb8b6a37a09083bf1c08d7
Author: David Zeuthen <davidz@redhat.com>
Date:	Wed Jul 25 19:28:40 2007 -0400

    include <message> elements in PK policy files

    For details, see

    http://gitweb.freedesktop.org/?p=PolicyKit.git;a=commit;h=e833c740cb2b124e451b028637148bc829c3c650

 policy/hal-device-file.policy |    8 ++++++++
 policy/hal-killswitch.policy  |    2 ++
 policy/hal-lock.policy        |    1 +
 policy/hal-power.policy       |   11 +++++++++++
 policy/hal-storage.policy     |    5 +++++
 5 files changed, 27 insertions(+), 0 deletions(-)

commit 7c3e2496491a27e29bfd75643b30a05cf1c8435b
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Jul 24 15:59:37 2007 -0400

    update to work with PK HEAD

 policy/hal-power.policy   |	4 ++--
 policy/hal-storage.policy |	4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit fff833c05abb0f57f8579ba68013e4da2af7190d
Author: Richard Hughes <richard@hughsie.com>
Date:	Sun Jul 22 15:06:58 2007 +0100

    add two more recovery partitions for acer

 fdi/policy/10osvendor/20-storage-methods.fdi |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 7ae57596f106cb186b45f933e89f2fd5b318e159
Author: Richard Hughes <richard@hughsie.com>
Date:	Sat Jul 21 22:27:25 2007 +0100

    add another dell recovery partition

 fdi/policy/10osvendor/20-storage-methods.fdi |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit de7c9383d96776143ac49536260b80ab82c3890f
Author: Richard Hughes <richard@hughsie.com>
Date:	Sat Jul 21 10:43:15 2007 +0100

    add recovery partitions by other vendors

    After my recent blog post, I've got a long list of vendors
    recovery partitions. Add to the existing HP entry and add
    the other vendors. Trivial addition.

 fdi/policy/10osvendor/20-storage-methods.fdi |   38
 +++++++++++++++++++++++++-
 1 files changed, 37 insertions(+), 1 deletions(-)

commit fb82cfd3c981c3b583cb978e131083f8a48642e5
Author: David Zeuthen <davidz@redhat.com>
Date:	Thu Jul 19 17:21:08 2007 -0400

    document the storage.removable.support_async_notification property

 doc/spec/hal-spec-properties.xml |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 1113ce0b76bae9d48bbc894248a167f783c00428
Author: David Zeuthen <davidz@redhat.com>
Date:	Thu Jul 19 15:07:55 2007 -0400

    avoid polling SATA AN capable drives and rely on "change" uevents

    This allows us to avoid waking up libata all the freaking time.

    Also, to do this refactor and rewire some of the support for "change"
    uevents in the hal core.

    See https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=halpolling
    for further discussion.

 fdi/policy/10osvendor/20-storage-methods.fdi |    4 ++-
 hald/linux/blockdev.c			      |   27
 +++++++++++++++++++++++++-
 hald/linux/blockdev.h			      |    2 +
 hald/linux/device.c			      |    9 +++----
 hald/linux/device.h			      |    2 +-
 hald/linux/hotplug.c			      |   14 +++++++++++-
 hald/linux/hotplug.h			      |    1 +
 hald/linux/osspec.c			      |    9 +++++++-
 hald/linux/probing/probe-storage.c	      |    2 +
 tools/hal-setup-keymap-hash-name.h	      |    5 +++-
 10 files changed, 63 insertions(+), 12 deletions(-)

commit 91ee90545a4e4f1d9ee666d8fdb1dfbb49ffca11
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Jul 17 15:22:25 2007 -0400

    shut up some debugging info

 hald/device_info.c |	 2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 69881e0cd2b400012ce28eef887bdf0dd0d2526b
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Jul 17 15:11:23 2007 -0400

    avoid emitting hotplug events during coldplug

 hald/linux/osspec.c |	  7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit bfec0c1df2d3f55851e3774af38ee8e20aab0a9c
Author: Richard Hughes <richard@hughsie.com>
Date:	Tue Jul 17 17:35:03 2007 +0100

    update to latest keycode input from linus

    New keycodes have been pushed into input.h - allow to use them in
    fdi files

 tools/hal-setup-keymap-hash-name.h |  805
 +++++++++++++++++-------------------
 1 files changed, 374 insertions(+), 431 deletions(-)

commit f282f061898492cda468382f9a69df8ebc06eb2e
Merge: ee7e6e0... ddc1015...
Author: Richard Hughes <richard@hughsie.com>
Date:	Tue Jul 17 16:49:26 2007 +0100

    Merge branch 'master' of
    git+ssh://hughsient@git.freedesktop.org/git/hal

commit ee7e6e0c59581bed30e0b286a31b650fbddbc2de
Author: Richard Hughes <richard@hughsie.com>
Date:	Tue Jul 17 16:47:45 2007 +0100

    fix the input parameter for the SetPowerSave method

    When we were fixing the uint/int retval problem a few months ago the
    SetPowerSave method got changed from u SetPowerSave (b) to u
    SetPowerSave (i). The hal-system-power-set-power-save script
    assumes the
    bool rather than the signed int. This gives the error in
    gnome-power-manager:

    ** WARNING **: ERROR:
     usage : hal-set-property --udi <udi> --key <key> aborting...

    This also causes an abort if --g-fatal-warnings is used to run g-p-m.

    I assume you just changed the b to an i as an oversight, in which case
    the attached patch fixes the problem. If you do want to keep the
    script
    input parameter as an int we'll have to fix up the shell we are using.

 fdi/policy/10osvendor/10-power-mgmt-policy.fdi |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ddc1015be5e210cad4739fcfccfecb27fca754c8
Author: Andrey Borzenkov <arvidjaar@mail.ru>
Date:	Tue Jul 17 11:43:29 2007 -0400

    allow IDE media detection if /proc/ide is missing

    /proc/ide is optional in 2.6.22; let hald get media information from
    sysfs if /proc/ide does not exist. May be we can always do it instead.

 hald/linux/blockdev.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 5509d85896d057d025d9a5a30c4042e9efb71ce8
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Jul 17 11:42:53 2007 -0400

    work with PK head

 configure.in |    2 +-
 hald/hald.c  |   85
 +++++++++++++++-------------------------------------------
 2 files changed, 23 insertions(+), 64 deletions(-)

commit d6c277cfb680e08c2b0689e103c5597c749df001
Author: Richard Hughes <richard@hughsie.com>
Date:	Tue Jul 17 14:10:02 2007 +0100

    we only support pm-utils for SetLowPowerMode

    Remove the per-distro checks for the setlowpowermode scripts
    this should all be done in the cross distro pm-utils.

 tools/linux/hal-system-power-set-power-save-linux |   35
 +++++----------------
 1 files changed, 8 insertions(+), 27 deletions(-)

commit 7ae50f83021c13ba7ed7f75dc6334f176e76962e
Author: Kay Sievers <kay.sievers@vrfy.org>
Date:	Wed Jul 11 02:14:10 2007 +0200

    volume_id: update version requirement in configure.in

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ac51780c0934ca21e50d3edc5ffa642353beda85
Merge: 5e20fa3... 03ba32d...
Author: Richard Hughes <richard@hughsie.com>
Date:	Tue Jul 10 18:15:06 2007 +0100

    Merge branch 'master' of
    git+ssh://hughsient@git.freedesktop.org/git/hal

commit 5e20fa37cb0e855e9f7e23f09e692521cda26010
Author: Richard Hughes <richard@hughsie.com>
Date:	Tue Jul 10 18:13:48 2007 +0100

    add battery type 'usb' into the spec

 doc/spec/hal-spec-properties.xml |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 03ba32d721e60f7e6e3afa61048278dbbcccfc00
Author: Kay Sievers <kay.sievers@vrfy.org>
Date:	Tue Jul 10 18:53:59 2007 +0200

    volume_id: prepare for future API changes

    A future version of libvolume_id will change its API and the "struct
    volume_id" will not be accessible directly anymore. It will require
    udev version 111.

 NEWS				    |	 4 +-
 hald/linux/probing/probe-storage.c |	11 ++++--
 hald/linux/probing/probe-volume.c  |	70
 +++++++++++++++--------------------
 3 files changed, 39 insertions(+), 46 deletions(-)

commit f42df3da3119e9cbf6ddf3764fd56ae701c0da1a
Author: Richard Hughes <richard@hughsie.com>
Date:	Tue Jul 10 10:54:50 2007 +0100

    correct two typos to the power_supply code

    Correct two typos, one was not using rechargeable prefix, and one for
    setting charging with the discharging value. Oops. Found by marco,
    many thanks.

 hald/linux/device.c |	  4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 6e6be2581895b3751e069f3fec69eb3bfa74cba4
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Jul 9 15:38:41 2007 -0400

    fix build

 tools/linux/hal-ipw-killswitch-linux.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 988aed5de7dc83f0e715f67ff6840d2e79be6b57
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Jul 9 15:21:42 2007 -0400

    fix up location of hal-ipw-killswitch-linux and add copyright+license
    header

 tools/linux/Makefile.am			   |	2 +-
 tools/linux/hal-ipw-killswitch-linux.c		   |   23
 +++++++++++++++++++++
 tools/linux/hal-system-killswitch-get-power-linux |	4 +-
 tools/linux/hal-system-killswitch-set-power-linux |	4 +-
 4 files changed, 28 insertions(+), 5 deletions(-)

commit 98deefad69138777fc8236048913918b587469c5
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:	Mon Jul 9 15:19:15 2007 -0400

    ipw killswitch support

 tools/linux/Makefile.am			   |   19 ++++
 tools/linux/hal-ipw-killswitch-linux.c		   |  108
 +++++++++++++++++++++
 tools/linux/hal-system-killswitch-get-power-linux |   11 ++
 tools/linux/hal-system-killswitch-set-power-linux |   12 +++
 4 files changed, 150 insertions(+), 0 deletions(-)

commit feb067c138071aca82bf78f8ecb8fd2052603220
Author: Daniel Stone <daniel@fooishbar.org>
Date:	Mon Jul 9 12:59:16 2007 -0400

    autogen.sh: srcdir != objdir safety

    Run autoreconf from the srcdir, not just configure.

 autogen.sh |	 2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a88fc4ff5e21668d4c41fa5bc7d2188791250b7a
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Jul 9 12:42:15 2007 -0400

    only match on Apple, not "Apple Computer, Inc." for macbook (pro)
    backlight

 fdi/policy/10osvendor/10-macbook-backlight.fdi |    2 +-
 fdi/policy/10osvendor/10-macbookpro-utils.fdi	|    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 8652398da0134f5b4bf42564b6269b0c88dfd187
Author: Richard Hughes <richard@hughsie.com>
Date:	Thu Jul 5 16:25:12 2007 +0100

    power_supply current is measured in ua not uw

 hald/linux/device.c |	  4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit bed698872323c46fc6b44ffde10b1b2244b7e228
Author: Richard Hughes <richard@hughsie.com>
Date:	Thu Jul 5 15:46:47 2007 +0100

    add ups and usb power supply types and set battery.type key

    Add UPS and USB power supply types as defined in the power supply
    class
    and also set battery.type key to the battery type value. This
    fixes g-p-m
    on machine using the power_supply class.

 hald/linux/device.c |	 10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 075ca0f6df9893f972b045771ae703e95cf3f6de
Author: Richard Hughes <richard@hughsie.com>
Date:	Wed Jul 4 18:13:29 2007 +0100

    fix some warnings in the device_pm code

    Fix a couple of warnings for unused variables, and include all the
    correct headers.
    No code changes.

 hald/device_pm.c |    4 ++--
 hald/device_pm.h |    2 ++
 2 files changed, 4 insertions(+), 2 deletions(-)

commit ac8cd419764f9131f7972e064ab1f84112e06817
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Jul 3 19:04:04 2007 -0400

    add docs for new system.hardware.primary_video.* properties

 doc/spec/hal-spec-properties.xml |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+), 0 deletions(-)

commit f0552218bb71daa863a62d9ad578810e9f3e24e7
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Jul 3 19:03:45 2007 -0400

    set system.hardware.primary_video.[vendor,product] keys

    This is to be used for more fine-grained quirk matching; unfortunately
    matching on DMI data is not sufficient since some vendors reuse the
    same DMI data for laptops with graphics cards from different vendors.

    From Phil Knirsch at Red Hat:
    > I've just checked again: We have 2 Dell D620 machines here, one
    with an
    > Intel, the other with a Nvidia card and both have the identical
    product
    > and vendor. :(

    Even worse is this

    http://www.amazon.com/Sony-VGN-SZ450N-Notebook-Processor-Business/dp/B000M5ZHM4

    > Hybrid Graphics System lets toggle between NVidia GeForce Go 7400
    (up
    > to 335 MB shared) and Intel Graphics Media Accelerator 950 (224 MB
    > shared)

 hald/linux/osspec.c |	 35 +++++++++++++++++++++++++++++++++++
 1 files changed, 35 insertions(+), 0 deletions(-)

commit 356ccdfa3bbf64648c48da8b756eaccef13d0dd9
Author: Richard Hughes <richard@hughsie.com>
Date:	Tue Jul 3 18:03:51 2007 +0100

    add the power_supply abstract battery

    Add the power_supply classes as used in OLPC and will in future be
    used by
    PMU and ACPI. This commit does not include new battery keys as these
    will be
    discussed on list first.

 hald/linux/device.c |	323
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 323 insertions(+), 0 deletions(-)

commit a2baf6b11fed6d64bf4e01db6e9a0fe279d7ee43
Author: Richard Hughes <richard@hughsie.com>
Date:	Tue Jul 3 17:58:24 2007 +0100

    remove util_compute_percentage_charge

    Remove the function util_compute_percentage_charge, nothing uses it.

 hald/util_pm.c |   45 ++-------------------------------------------
 hald/util_pm.h |    2 --
 2 files changed, 2 insertions(+), 45 deletions(-)

commit 7ee02808055c54b34c2f0581396222323b00a915
Author: Richard Hughes <richard@hughsie.com>
Date:	Tue Jul 3 17:54:54 2007 +0100

    use device_pm_* in acpi.c

    Use the abstract device_pm_* functions in acpi.c to reduce code
    duplication.

 hald/linux/acpi.c |  220
 ++++++-----------------------------------------------
 1 files changed, 23 insertions(+), 197 deletions(-)

commit 03f1aa8e441ae189d589827b412dabbb3cd78523
Author: Richard Hughes <richard@hughsie.com>
Date:	Tue Jul 3 17:34:36 2007 +0100

    use device_pm_* in pmu.c

    Use the abstract device_pm_* functions in pmu.c to reduce code
    duplication.

 hald/linux/pmu.c |   35 ++++-------------------------------
 1 files changed, 4 insertions(+), 31 deletions(-)

commit 79dd4756c2e4ba011da3663230ebe37a7d8b67ea
Author: Richard Hughes <richard@hughsie.com>
Date:	Tue Jul 3 17:33:06 2007 +0100

    dont use util_compute_percentage_charge in apm

    Don't use util_compute_percentage_charge in apm, it's a waste of time.

 hald/linux/apm.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d7144f2aa1b59f9a0acfa0daada69e2a4ffd54d8
Author: Richard Hughes <richard@hughsie.com>
Date:	Tue Jul 3 17:27:26 2007 +0100

    add device_pm.{c|h} to abstract out some of the common code

    This can't just be put into util_pm as it relies on HalDevice,
    which we
    can't use in addons and probers. It's also needed for other cleanup
    patches I'll need for power_supply device class device.

 hald/Makefile.am |    3 +-
 hald/device_pm.c |  259
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 hald/device_pm.h |   34 +++++++
 3 files changed, 295 insertions(+), 1 deletions(-)

commit b627afcf95501c5d629a2140dfb70e8b510729c8
Author: Richard Hughes <richard@hughsie.com>
Date:	Tue Jul 3 16:43:27 2007 +0100

    add a refresh handler for linux devices

    Some stuff in sysfs now sends out uevents when values change. A good
    example of this is the power_supply class which sends out a uevent
    when
    the percentage value changes or the battery or ac adapter is removed.

    At the moment we ignore the uevents, but the attached patch adds a
    refresh() method that can be used to update the values.

 hald/linux/device.c  |   26 ++++++++++++++++++++++++++
 hald/linux/device.h  |    1 +
 hald/linux/hotplug.c |    5 +++--
 3 files changed, 30 insertions(+), 2 deletions(-)

commit 002f3d5493d3c1041634771747d7f9d690198ce3
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Jul 3 13:17:45 2007 +0200

    fix API documentation of libhal

    Fixed API documentation of libhal
    (libhal_device_singleton_addon_is_ready)

 libhal/libhal.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d8c796dadae3202e7223a6996af4ed0a59133675
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Jul 3 13:05:46 2007 +0200

    free volumelabel from commit 2d1d72e8

    Free volumelabel introduced with commit 2d1d72e8 as pointed
    out by Iulian Ciorascu <iulica@box.co.uk>.

 hald/linux/blockdev.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 9d447fd35831485cff998be16a922bf2683688f5
Merge: 30855b8... adeac81...
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Jul 3 12:54:51 2007 +0200

    Merge branch 'master' of ssh://dkukawka@git.freedesktop.org/git/hal

commit 30855b8049123a948bb91515f3221683d3f9b3da
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Jul 3 12:53:33 2007 +0200

    fix usage of g_list_free1() to fit HAL requirements

    This replace usage of g_list_free1() with g_list_free_1() to fit the
    current HAL requirements for glib version >= 2.6.0. As it look to
    me g_list_free1() was e.g. not part of 2.6.8 and is also only a
    redefine of g_list_free_1().

 hald/hald_dbus.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit adeac81114edea79b7188b496c8862e5ec7162c9
Merge: 0dd3b53... bed20e9...
Author: Richard Hughes <richard@hughsie.com>
Date:	Tue Jul 3 11:51:33 2007 +0100

    Merge branch 'master' of
    git+ssh://hughsient@git.freedesktop.org/git/hal

commit 0dd3b53ea3bdfa9017e74c84bb3b969d17b4383d
Author: Richard Hughes <richard@hughsie.com>
Date:	Tue Jul 3 11:51:07 2007 +0100

    add debug message when we remove a device when the prober fails

    For debugging it would be nice to be told in the debugging spew when a
    device is removed from a prober failure, else it's impossible to
    debug when
    something doesn't work in the prober and the device is silently
    removed.

 hald/linux/device.c |	  2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit bed20e91b52fbea7f48f239c7d1283952d17afd9
Merge: d1364d6... 295917c...
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Jul 3 12:46:35 2007 +0200

    Merge branch 'master' of ssh://dkukawka@git.freedesktop.org/git/hal

commit d1364d620749a72e85000d4ce09f5494fe538792
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Jul 3 12:39:38 2007 +0200

    s/HAVE_GPERF/have_gperf/ in configure results overview

    s/HAVE_GPERF/have_gperf/ in configure results overview

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 295917ce0e54f6fa91d44cb5a58ffad80707a2a0
Merge: 314ee3c... 2d1d72e...
Author: Sjoerd Simons <sjoerd@luon.net>
Date:	Tue Jul 3 12:25:27 2007 +0200

    Merge branch 'master' of ssh://git.freedesktop.org/git/hal

commit 2d1d72e8c9f3ff0ed4fc9e3147aacc607f250f39
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Jul 3 12:21:15 2007 +0200

    replace '/' in volume labels with '_' if part of UDI

    This fixes fd.o #11401 by replacing '/' in volume labels with '_'
    if they
    get part of the UDI. This should avoid trouble with D-Bus.

 hald/linux/blockdev.c |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit b11bf7d875ae74a6f4f402d5a2d4d264abc7bdbb
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Jul 3 10:56:17 2007 +0200

    don't compile Re-map keys without gperf

    This fixes a problem with the "Re-map multimedia keys" feature while
    compiling. If you have an older, or not up-to-date kernel the complete
    compiling fail because hal-setup-keymap-hash-name.h may conatains
    defines which would not work with your kernel version or your headers.

    From now hal-setup-keymap-hash-name.h get always new genereated and
    you are only able to compile the re-map feature if you have gperf
    available.

 NEWS	      |    7 ++++---
 configure.in |   37 +++++++++++++++++++++++--------------
 2 files changed, 27 insertions(+), 17 deletions(-)

commit 3a5e6376eb23fe3f44b2a10c40549cae29c2200d
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	Fri Jun 22 13:21:18 2007 +0100

    [PATCH] document singleton addons

    Adds documentation to the spec for info.addons.singleton and the
    org.freedesktop.Hal.SingletonAddon interface.

 doc/spec/hal-spec-interfaces.xml |  100
 +++++++++++++++++++++++++++++++++++++-
 doc/spec/hal-spec-properties.xml |   75 ++++++++++++++++++++++++++++-
 2 files changed, 172 insertions(+), 3 deletions(-)

commit fe2c65da50d93f8242fddfeb164337fee4be1873
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	Fri Jun 22 14:47:34 2007 +0100

    [PATCH] convert linux addon-input into a singleton addon

    Converts hald-addon-input to a singleton addon, making use of the
    new additions
    to libhal api.  This uses the glib mainloop for listening to input
    events and
    the dbus connection. Adds dependancy on glib and dbus-glib.

 fdi/policy/10osvendor/10-input-policy.fdi |	8 +-
 hald/linux/addons/Makefile.am		   |	2 +-
 hald/linux/addons/addon-input.c	   |  295
 +++++++++++++++++++++++------
 3 files changed, 238 insertions(+), 67 deletions(-)

commit 9b91611b5803faaf7578efb25db8951790790f3e
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	Wed Jun 6 18:35:02 2007 +0100

    [PATCH] convert libhal to use a hashtable for property sets

    Uses uthash (http://uthash.sourceforge.net/) as a hashtable
    implementation
    for LibHalPropertySet. Slight changes have been made to uthash.h to
    remove float usage and clean up compiler warnings.

 libhal/Makefile.am |	 4 +-
 libhal/libhal.c    |	90 ++------
 libhal/uthash.h    |  605
 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 630 insertions(+), 69 deletions(-)

commit e9717094756042e4cb69000bea8ed14d8bbd2645
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	Fri Jun 22 15:47:30 2007 +0100

    [PATCH] libhal support for addon singletons

    Adds api to libhal for supporting addon singletons:
     - libhal_device_singleton_addon_is_ready for singletons to signal
     readyness.
     - libhal_ctx_set_singleton_device_added and
       libhal_ctx_set_singleton_device_removed for setting a callback
       on singleton
       DeviceAdded/Removed. The properties of the new device are passed
       as a
       LibHalPropertySet to the callback.
     - a number of direct accessors for properties in a LibHalPropertySet

 libhal/libhal.c |  496
 ++++++++++++++++++++++++++++++++++++++++++++-----------
 libhal/libhal.h |   64 +++++++-
 2 files changed, 458 insertions(+), 102 deletions(-)

commit e62950dd443510e4a41f73e12c79a73c0fee297d
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	Thu Jun 7 11:57:05 2007 +0100

    [PATCH] hald core support for singleton addons

    Introduces a new property info.addons.singletons for specifything
    addon singletons for a given device.

    A mapping of singleton commandlines to connection and devices
    serviced is
    maintained in hald_dbus.c. hald now expects a call of
    SingletonAddonIsReady on
    the interface org.freedesktop.Hal.Manager on
    /org/freedesktop/Hal/Manager when
    an addon is ready to service requests. When a singleton is ready,
    DeviceReady
    on the interface org.freedesktop.Hal.SingletonAddon on the object
    /org/freedesktop/Hal/SingletonAddon in the addon is called for
    all queued
    devices.
    Once a singleton is ready, device adds and removes result in a direct
    call of
    DeviceReady.

 hald/hald.c	  |   26 +++++
 hald/hald_dbus.c |  327
 +++++++++++++++++++++++++++++++++++++++++++++++++++++-
 hald/hald_dbus.h |    3 +
 3 files changed, 352 insertions(+), 4 deletions(-)

commit 664c3a4023adb99d2fce053ce4d706834bb74d01
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	Thu Jun 7 11:52:55 2007 +0100

    [PATCH] add hald-runner support for singleton addons

    Introduces a new method StartSingleton on org.freedesktop.HalRunner.
    This
    takes one parameter of an array of strings for the environment to
    launch the
    singleton. hald-runner keeps a list of running singletons, which
    are killable
    only by KillAll.

    The patch also adds hald_runner_start_singleton for starting a
    singleton.

 hald-runner/main.c   |   51 +++++++++++++++++++++++++++------
 hald-runner/runner.c |   37 +++++++++++++++--------
 hald-runner/runner.h |    1 +
 hald/hald_runner.c   |   78
 +++++++++++++++++++++++++++++++++++++------------
 hald/hald_runner.h   |    6 ++++
 5 files changed, 132 insertions(+), 41 deletions(-)

commit 90a7e5e4047780cd3694a116e142d274f54228fc
Author: Richard Hughes <richard@hughsie.com>
Date:	Tue Jul 3 00:02:58 2007 +0100

    add power_management.quirk.reset_brightness

    Add power_management.quirk.reset_brightness so we can reset the
    brightness
    state as a quirk action. The pm-utils parts are already in place.

 doc/spec/hal-spec-properties.xml		   |	8 ++++++++
 tools/linux/hal-system-power-hibernate-linux	   |	1 +
 tools/linux/hal-system-power-suspend-hybrid-linux |	1 +
 tools/linux/hal-system-power-suspend-linux	   |	1 +
 4 files changed, 11 insertions(+), 0 deletions(-)

commit 1ea4c66304e52b697bdd308ab32bb766ad786bc7
Merge: eea8c52... e8a22c0...
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Jul 2 18:51:32 2007 -0400

    Merge branch 'master' of ssh://david@git.freedesktop.org/git/hal

commit eea8c525243e6ef842f8f91ac2a3665220c74320
Author: Daniel Drake <dsd@gentoo.org>
Date:	Fri Jun 22 22:54:58 2007 +0100

    [PATCH] don't die if /proc/mdstat doesn't exist

    The recent commit to add MD support causes HAL to exit early during
    startup if /proc/mdstat isn't watchable.

    This breaks HAL on my system which runs a kernel without MD support at
    all, so /proc/mdstat doesn't exist.

    Allow the NOENT error but continue to bail out on other conditions.

 hald/linux/osspec.c |	 20 ++++++++++++++++----
 1 files changed, 16 insertions(+), 4 deletions(-)

commit e8a22c066d0e1b6861e801fe9a517ddaef568708
Merge: 3f4580d... 0d6f53e...
Author: Richard Hughes <richard@hughsie.com>
Date:	Mon Jul 2 23:44:15 2007 +0100

    Merge branch 'master' of
    git+ssh://hughsient@git.freedesktop.org/git/hal

commit 3f4580dfe7a5abf3acb1aabf58d03a50cf5137fa
Author: Richard Hughes <richard@hughsie.com>
Date:	Mon Jul 2 23:43:06 2007 +0100

    propagate --quirk-none to pm-utils

    Propagate --quirk-none to pm-utils so we can tell if a system
    will suspend
    by having a set quirk even tho we need to do nothing.

 tools/linux/hal-system-power-hibernate-linux	   |	1 +
 tools/linux/hal-system-power-suspend-hybrid-linux |	1 +
 tools/linux/hal-system-power-suspend-linux	   |	1 +
 3 files changed, 3 insertions(+), 0 deletions(-)

commit 532101d8f8929b566240ff77e50928f91381f6b9
Author: Richard Hughes <richard@hughsie.com>
Date:	Mon Jul 2 23:35:30 2007 +0100

    only allows the use of pm-utils for suspend, hibernate and
    suspend-hybrid

    Only allow pm-utils to suspend and hibernate in the helper
    scripts. This is
    something that's been on the HAL TODO for a few months.

    Distros can still patch in other support if *really* required, but
    upstream only should support one 'blessed' method.

 tools/linux/hal-system-power-hibernate-linux	   |   60 ++-------------
 tools/linux/hal-system-power-suspend-hybrid-linux |   15 ++++
 tools/linux/hal-system-power-suspend-linux	   |   83
 +++------------------
 3 files changed, 31 insertions(+), 127 deletions(-)

commit 0d6f53e362552899648467c22c767570b0825029
Merge: 96834a0... b662746...
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Jul 2 18:27:08 2007 -0400

    Merge branch 'master' of ssh://david@git.freedesktop.org/git/hal

commit 96834a07de4fe66d506427a99b001f796ddea019
Author: Sjoerd Simons <sjoerd@luon.net>
Date:	Mon Jul 2 18:25:14 2007 -0400

    free changeset elements keys

    Changeset element keys weren't freed, causing memleaks. Mostly in the
    UPS addon, which uses it for every change it notices.

 libhal/libhal.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit b6627461f897e0f6886ef73cbf415a28afa53279
Author: Richard Hughes <richard@hughsie.com>
Date:	Mon Jul 2 23:20:48 2007 +0100

    add hal_util_get_bool_from_file convenience helper

    Patch attached adds a hal_util_get_bool_from_file convenience helper.
    I need this for the power_supply class support which will be submitted
    soon. util.c needs a massive cleanup, which is another thing on
    my TODO.

 hald/util.c |	 18 ++++++++++++++++++
 hald/util.h |	  2 ++
 2 files changed, 20 insertions(+), 0 deletions(-)

commit 38f939ae9b0d600ff71290263a5f13d04527c786
Author: Richard Hughes <richard@hughsie.com>
Date:	Mon Jul 2 23:17:49 2007 +0100

    add two more strings to the battery technology list

    Add a ACPI 'lipo' and OLPC 'lifo' to the battery type list.

 hald/util_pm.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 314ee3c92e02b35c19a14e0d7465e7c0df2a7903
Author: Sjoerd Simons <sjoerd@luon.net>
Date:	Thu Jun 21 14:58:54 2007 +0200

      free changeset elements keys

      Changeset element keys weren't freed, causing memleaks. Mostly in
      the UPS
      addon, which uses it for every change it notices.

 libhal/libhal.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 1d38172d34d8bfbb728b9f1cc5fe386f711c1a05
Author: David Zeuthen <davidz@redhat.com>
Date:	Wed Jun 20 02:23:04 2007 -0400

    update to new API in PolicyKit 0.3

 configure.in		       |    2 +-
 hald/access-check.c	       |   14 +-----
 policy/Makefile.am	       |    8 ++--
 policy/hal-device-file.policy |   65 +++++++----------------------
 policy/hal-killswitch.policy  |   17 ++------
 policy/hal-lock.policy        |    9 +---
 policy/hal-power.policy       |   89
 ++++++++++-------------------------------
 policy/hal-storage.policy     |   41 +++++--------------
 tools/hal-acl-tool.c	       |   13 +-----
 9 files changed, 65 insertions(+), 193 deletions(-)

commit d63d3029ef7447dcaea6329c95edf1565569b43a
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Jun 18 14:03:53 2007 -0400

    add Macbook2,1 support for backlight control

    Verified by Ryan Lortie

     http://lists.freedesktop.org/archives/hal/2007-June/008771.html

 fdi/policy/10osvendor/10-macbook-backlight.fdi |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit e55f40c21abbb207ebb4812d194bd1e131d6fb4a
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Jun 12 14:23:38 2007 -0400

    change PolicyKit policy such only active sessions have access
    to devices

    We make an exception for optical drives; even inactive users can
    access
    these - think CD burning and coasters.

 policy/hal-device-file.policy |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit b3c16b648f49760498de3aede818e7024620b96f
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Jun 12 14:22:39 2007 -0400

    add the code in hal-acl-tool to emit ACLAdded and ACLRemoved signals

 tools/hal-acl-tool.c |  192
 ++++++++++++++++++++++++++++++++++++++++++--------
 1 files changed, 163 insertions(+), 29 deletions(-)

commit a157eb506a950fb1bc2d944c5ef3e7ea7b3d52bb
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Jun 12 14:21:50 2007 -0400

    add suport for ACLAdded and ACLRemoved signals on Device.AccessControl
    if

    Both signals have a single parameter; an unsigned 32-bit integer being
    the UNIX user id.

 doc/spec/hal-spec-interfaces.xml |   48
 ++++++++++++++++++++++++++++++++++++++
 doc/spec/hal-spec-properties.xml |    3 ++
 2 files changed, 51 insertions(+), 0 deletions(-)

commit 89d9fbf8cef868f4a3535ff60a1055c95323ccde
Author: Jeff Mitchell <kde-dev@emailgoeshere.com>
Date:	Mon Jun 11 16:10:05 2007 -0400

    Provide some extra information as to what information should be put
    in the sub-namespaces.

 doc/spec/hal-spec-properties.xml |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit c1a5e770569eaf2d038dd7e982037cc221446716
Author: Jeff Mitchell <kde-dev@emailgoeshere.com>
Date:	Tue Jun 5 08:18:34 2007 -0400

    Deprecate portable_audio_player.access_method because recent spec
    changes have rendered it useless at best and misleading at worst.

 doc/spec/hal-spec-properties.xml |   36
 ++++++------------------------------
 1 files changed, 6 insertions(+), 30 deletions(-)

commit e7b7241a92149429a9e74a01f83c7fcce585f5ce
Author: Richard Hughes <richard@hughsie.com>
Date:	Mon Jun 11 16:32:18 2007 +0100

    fix build when gperf is not installed

    Make still tries to rebuild the .h file, even when present.
    If gperf is not installed, don't let make even _try_ to rebuild
    the file.

 configure.in	   |   10 ++++++++++
 tools/Makefile.am |	6 +++++-
 2 files changed, 15 insertions(+), 1 deletions(-)

commit a492453b15abfbaada99e1fd51a516acb480331d
Author: Richard Hughes <richard@hughsie.com>
Date:	Fri Jun 8 00:01:43 2007 +0100

    fix i8042 KBD keyboard mapping

    We need to convert the large values displayed in dmesg to sensible
    values that
    we can use with setkeycodes ioctl. We do this in the code rather
    than the fdi
    as the value is displayed in dmesg, and we don't want to make it
    even more
    complicated for the user.

 tools/hal-setup-keymap.c |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)

commit 86492b76139a273171157c42365c6232bca2fc7e
Author: Richard Hughes <richard@hughsie.com>
Date:	Thu Jun 7 21:56:57 2007 +0100

    add newlines to error text in hal-setup-keymap.c

 tools/hal-setup-keymap.c |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit 7b159b55d6398d2d240817276ae27ed68f11deda
Author: David Zeuthen <davidz@redhat.com>
Date:	Wed Jun 6 14:25:43 2007 -0400

    make return value for method calls implemented via programs be UINT32

    See the thread here

     http://lists.freedesktop.org/archives/hal/2007-May/008485.html

    for details.

 doc/spec/hal-spec-properties.xml		|   17 +++++++++--------
 hald/hald_dbus.c				|    8 ++++----
 hald/linux/addons/addon-dell-backlight.cpp	|    8 ++++----
 hald/linux/addons/addon-macbook-backlight.c	|    8 ++++----
 hald/linux/addons/addon-macbookpro-backlight.c |    8 ++++----
 hald/linux/addons/addon-omap-backlight.c	|    8 ++++----
 6 files changed, 29 insertions(+), 28 deletions(-)

commit 3734b53bafd98672db52ce55678f80136a5af84c
Author: Richard Hughes <richard@hughsie.com>
Date:	Wed Jun 6 16:48:45 2007 +0100

    fix matching devices against dmi properties on the computer device

    I've been tracing this, and it appears that when we do the match
    against
    smbios.system.manufacturer then the following properties are on
    computer
    are as follows:

     device udi = /org/freedesktop/Hal/devices/computer
      system.kernel.name = 'Linux'  (string)
      system.kernel.machine = 'i686'  (string)
      info.bus = 'unknown'  (string)
      info.udi = '/org/freedesktop/Hal/devices/computer'  (string)
      info.subsystem = 'unknown'  (string)
      info.product = 'Computer'  (string)
      system.kernel.version = '2.6.21-1.3194.fc7'  (string)

    This leads me to think that we are not actually waiting for the dmi
    prober to finish before we do the fdi scanning, and are thus not
    matching.

    1. We create computer with:

     device udi = /org/freedesktop/Hal/devices/computer
      system.kernel.name = 'Linux'  (string)
      system.kernel.machine = 'i686'  (string)
      info.bus = 'unknown'  (string)
      info.udi = '/org/freedesktop/Hal/devices/computer'  (string)
      info.subsystem = 'unknown'  (string)
      info.product = 'Computer'  (string)
      system.kernel.version = '2.6.21-1.3194.fc7'  (string)

    2. We then add devices using coldplug_synthesize_events, doing
    di_search_and_merge on each one as they are added.

    3. We then run the probers and wait until they finish.

    4. We then run di_search_and_merge on the computer device in
    computer_probing_helper_done.

    Now, the display matching quirks work because the device they
    are added
    to is not a device added by coldplug (but computer itself), and thus
    step 4 matches them and merges them. The laptop_panel quirks do
    not work
    as the new device is added and di_search_and_merge'd before the
    probers
    have finished, and we do not rescan devices doing absolute references
    after step 4.

    Let me do some more testing to verify, and see if I can come up with a
    fix that doesn't break lots of other stuff.

 hald/linux/osspec.c |	 36 ++++++++++++++++++++----------------
 1 files changed, 20 insertions(+), 16 deletions(-)

commit 3455b5104bddca13e7ed5e7ec04e6fc4e8b5ac2e
Author: Richard Hughes <richard@hughsie.com>
Date:	Wed Jun 6 14:22:05 2007 +0100

    make hal-setup-keymap.c use strerr rather than stdout

    Make the printfs in hal-setup-keymap.c use strerr rather than stdout
    so we can see them in the debug output.

 tools/hal-setup-keymap.c |   26 +++++++++++++-------------
 1 files changed, 13 insertions(+), 13 deletions(-)

commit 8670a01517bb33d046cfb6416de13c411e6a3f6c
Author: Richard Hughes <richard@hughsie.com>
Date:	Tue Jun 5 17:04:11 2007 +0100

    add keymap capabilities into hal

    Add keymapping infrastructure into hal so we can remap
    scancode->keycodes
    at boot time, fixing many multimedia keyboards. Thanks to everybody
    who
    helped review this.

 configure.in			     |	 16 +
 doc/spec/hal-spec-properties.xml    |	 39 ++
 fdi/policy/10osvendor/10-keymap.fdi |	  9 +
 fdi/policy/10osvendor/Makefile.am   |	  4 +
 tools/.gitignore		     |	  3 +
 tools/Makefile.am		     |	 33 ++
 tools/hal-setup-keymap-hash-name.h  |	991
 +++++++++++++++++++++++++++++++++++
 tools/hal-setup-keymap.c	     |	154 ++++++
 8 files changed, 1249 insertions(+), 0 deletions(-)

commit 21edb06bbf0e24a1c1c9948c2a8e73b58ebbb516
Author: Jeff Mitchell <kde-dev@emailgoeshere.com>
Date:	Tue Jun 5 08:16:56 2007 -0400

    Formatting fix

 doc/spec/hal-spec-properties.xml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dd685ffae8953d59a297260fbb3e80e3dac38d28
Merge: bb4ad77... f7d40b5...
Author: Richard Hughes <richard@hughsie.com>
Date:	Mon Jun 4 18:27:21 2007 +0100

    Merge branch 'master' of
    git+ssh://hughsient@git.freedesktop.org/git/hal

commit bb4ad77fb66f7c3bba9e6eda02eac95c373db04b
Author: Richard Hughes <richard@hughsie.com>
Date:	Mon Jun 4 18:24:18 2007 +0100

    fix some more .gitignore

 doc/man/.gitignore	       |    1 +
 hald/linux/probing/.gitignore |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 60054cddb9d28976a060f96178040f4617a76879
Author: Richard Hughes <richard@hughsie.com>
Date:	Mon Jun 4 18:21:12 2007 +0100

    make verbosity optional in create cache.

    This add a verbose mode to help track down a bug I'm trying
    to fix. It also fixes lots of whitespace issues.

 hald/create_cache.c |	102
 ++++++++++++++++++++++++++++-----------------------
 1 files changed, 56 insertions(+), 46 deletions(-)

commit f7d40b59b6c611df5eabb351ab5cf87fbd7167b1
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Jun 4 13:20:57 2007 -0400

    add a note about making addons aware of suspend/resume

 doc/TODO |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 281bc1f76ef048bc884c1259e97edd61a9b07a9d
Author: Jeff Mitchell <kde-dev@emailgoeshere.com>
Date:	Mon Jun 4 08:30:15 2007 -0400

    More accurate information handed down to me from higher-ups.
    Older pre-MTP devices are actually mostly PDE, not PTP.

 doc/spec/hal-spec-properties.xml |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit f9d9cd823bcd0c52289780d99163dc85ebb56db6
Author: Martin Szulecki <compiz@sukimashita.com>
Date:	Sun Jun 3 21:40:44 2007 -0400

    fix Macbook Backlight not working after waking up from suspend to ram

 hald/linux/addons/addon-macbook-backlight.c |	  4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit be426425d6e3629b39b90c9a468a875e446f0785
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Jun 1 16:44:00 2007 -0400

    also change type from uint32_t to int32_t

 hald/hald_dbus.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8873d79ec94d921e2950d1b860c79be39df30c4f
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Jun 1 16:41:10 2007 -0400

    actually return INT32 rather than UINT32 to adhere to the spec

    This should fix some problems with laptop panels; see the list
    archives for May 2007.

 hald/hald_dbus.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit edef57f684d34513f542344c0cc4bad40bccf043
Author: Doug Goldstein <cardoe@gentoo.org>
Date:	Fri Jun 1 08:47:28 2007 +0100

    fix trivial bugs in hald-generate-fdi-cache

    hald-generate-fdi-cache's usage is incorrect. This patch cleans it up.

 hald/create_cache.c |	  5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 558d4315edd4921cfdabb9f6648316dc50f05395
Author: Holger Macht <holger@homac.de>
Date:	Wed May 30 11:28:24 2007 +0200

    readd information about the SetCPUFreqGovernor method

    The spec misses information about how the SetCPUFreqGovernor exactly
    works. Readd information that this method sets the very same
    governor for
    all CPUs found in the system and that the interface behind contains a
    dynamic userspace scaling algorithm.

 doc/spec/hal-spec-interfaces.xml |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit e638b2d4ac8f77a4a2048fe4cffa4585c8df6928
Author: Holger Macht <holger@homac.de>
Date:	Wed May 30 10:16:03 2007 +0200

    fixup return value documentation of CPUFreq interface

    The SetCPUFreq* methods wrongly stated in the spec that they would
    return
    an integer value. In reality, they return void and only throw an
    exception
    on error.

 doc/spec/hal-spec-interfaces.xml  |   10 +++++-----
 hald/linux/addons/addon-cpufreq.c |	3 ---
 2 files changed, 5 insertions(+), 8 deletions(-)

commit 2db79ac593441c1ab1f2e4f147ea5facf04050a3
Author: David Zeuthen <davidz@redhat.com>
Date:	Thu May 24 14:34:42 2007 -0400

    create lock file with predictable permissions

    This was initially reported as a RHEL5 bug #241032, but after analysis
    it was determine there is no security issue

    Steve Grubb <sgrubb@redhat.com>:
    > I was working on an IDS script and found this file:
    >
    > ls -l  /media/.hal-mtab-lock
    > --ws--Sr-x 1 root root 0 Nov 15  2006 /media/.hal-mtab-lock
    >
    > Looking at open 3p man page, if you pass the O_CREAT flag to
    open, it
    > will look for arg 3 to get the mode. In this case it turns out to be
    > the stack contents. I wonder how dangerous this could be if
    by random
    > chance its setuid root and world writable?

    David Zeuthen <davidz@redhat.com>:
    > Steve, thanks for catching that. Using mode 0600 is the right
    > approach; the lock file is private to HAL components all running as
    > uid 0. Also, on HAL startup we need to delete the lock file
    otherwise
    > it won't get recreated with the appropriate mode.

    David Zeuthen <davidz@redhat.com>:
    > Hmm, playing around with passing various modes in; when I pass
    04777 I
    > get this
    >
    > $ ls -l /media/.hal-mtab-lock
    > -rwsr-xr-x 1 root root 0 2007-05-23 17:31 /media/.hal-mtab-lock
    >
    > which makes sense as hald calls umask(022) when it daemonizes and
    this is
    > inherited by the process that creates the lock file. Hence, we
    will never ever
    > write files in this situation that are world writable. Since the
    the lock file
    > is always zero bytes we're good. There is no risk of attack here.

 tools/hal-storage-cleanup-all-mountpoints.c |	  7 ++-----
 tools/hal-storage-shared.c		     |	  3 +--
 2 files changed, 3 insertions(+), 7 deletions(-)

commit 354965cdea7f6c9c9d3a51257dcef2f39f29e79b
Author: Jeff Mitchell <kde-dev@emailgoeshere.com>
Date:	Wed May 23 15:23:03 2007 -0400

    New parts of the portable_audio_player spec as discussed on the ML.

 doc/spec/hal-spec-properties.xml |   52
 ++++++++++++++++++++++++++++++++++---
 1 files changed, 47 insertions(+), 5 deletions(-)

commit 596b57f35cf4fdb4be919de0b4270e9c28edb16e
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Wed May 23 20:11:35 2007 +0200

    set info.category='laptop_panel' for all laptop panels

    This patch sets info.category='laptop_panel' for all laptop
    panels. Set
    org.freedesktop.Hal.Device.LaptopPanel.method_* keys only if the value
    of laptop_panel.access_method is not 'custom'.

 .../10osvendor/10-laptop-panel-mgmt-policy.fdi     |	24
 +++++++++++--------
 fdi/policy/10osvendor/10-macbook-backlight.fdi     |	 1 +
 fdi/policy/10osvendor/10-macbookpro-utils.fdi	    |	 1 +
 fdi/policy/10osvendor/10-omap-backlight.fdi	    |	 1 +
 4 files changed, 17 insertions(+), 10 deletions(-)

commit 366ab0006278f6c23fc3c33dea7eb61a42fe941e
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Wed May 23 20:05:17 2007 +0200

    updated allowed libparted versions

    Updated again the list of allowed liparted version by add v1.8.7

 configure.in |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit b1c697e02d3fba032a131e73de1eea28a5f821c6
Author: Richard Hughes <hughsient@gmail.com>
Date:	Wed May 23 13:35:08 2007 -0400

    add special button device for LENOVO also

    Trivial patch attached, required because the new thinkpads have a
    vendor DMI string of LENOVO rather than IBM.

 fdi/policy/10osvendor/10-ibm-buttons.fdi |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 46f3e6001e5249acb287236a65887bb5dfebad97
Author: Doug Goldstein <cardoe@gentoo.org>
Date:	Wed May 23 13:28:59 2007 -0400

    the runner doesn't handle D-Bus disconnect properly

    It appears that if the connection to D-Bus is lost or some such is
    lost, HAL doesn't check the result of DBusPendingCall from
    dbus_connection_send_with_reply() [1] to see if the result is not NULL
    and as such an invalid case is being hit within the D-Bus API and
    we're hitting a D-Bus assert and causing a crash.

    Provided is a patch to see if it's NULL and handle it properly.

 hald/hald_runner.c |	 7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 60331db08e98a61ced21273381ed076b4cc252f3
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Wed May 23 13:23:03 2007 -0400

    fix return type of SetPowerSave()

    The spec say about SetPowerSave() on the
    org.freedesktop.Hal.Device.SystemPowerManagement interface the return
    type should be integer, but in
    fdi/policy/10osvendor/10-power-mgmt-policy.fdi the return value type
    get specified as boolean.

    This patch change the type to Integer as the spec say and the code
    allow since it forward the retun value of the called tool to set the
    mode.

 fdi/policy/10osvendor/10-power-mgmt-policy.fdi |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 198d462af5ea36a374954e9975277014b1374093
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Wed May 23 13:10:45 2007 -0400

    remove brightness-up event from acpi addon for IBM

    since the brightness-up event for IBM (Thinkpads) also get emitted
    via the
    input layer and hotkey-setup HAL now (on actual kernel/systems)
    emit two
    signals. One from the input device and one from ACPI. This patch
    removes the
    ACPI event handling for this event.

 hald/linux/addons/addon-acpi.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 089d8702d847bd6945fb8a658786c9bf10afbcc1
Author: Dirk Mueller <dmueller@suse.de>
Date:	Fri May 11 17:52:54 2007 +0200

    fix header to compile with -pedantic

    Fix header of libhal-storage to compile with -pedantic

 libhal-storage/libhal-storage.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 523d7190fb6c2261dc8b16301008d5581cb7fdcc
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun May 6 22:25:39 2007 -0400

    use correct integer size

 hald/linux/blockdev.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit c53f3e46e53204bb1d1910b7fbbd81edaf61c29b
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun May 6 21:14:08 2007 -0400

    recognize Linux MD aka Software RAID devices

    Since pictures says more than a thousand words...

     http://people.freedesktop.org/~david/hal-md-normal.png
     http://people.freedesktop.org/~david/hal-md-degraded.png
     http://people.freedesktop.org/~david/hal-md-recover.png

    This patch only adds detection by exploiting the fact that in Linux
    2.6.19 and later /proc/mdstat is pollable. Later on we'll add D-Bus
    interfaces to add methods for assembly, teardown of RAID arrays as
    well as adding hot spares.

    I wonder if it's worth abstracting Software RAID so FreeBSD and
    Solaris can implement this too? It's probably too
    different.. Thoughts?

 NEWS				  |    2 +-
 doc/spec/hal-spec-properties.xml |  115 +++++++++
 hald/linux/blockdev.c		  |  487
 +++++++++++++++++++++++++++++++++++++-
 hald/linux/blockdev.h		  |    2 +
 hald/linux/coldplug.c		  |   10 +
 hald/linux/hotplug.c		  |    5 +-
 hald/linux/osspec.c		  |   46 +++-
 hald/linux/osspec_linux.h	  |    2 +
 8 files changed, 650 insertions(+), 19 deletions(-)

commit a5861634bc0961d379c16fdafb4e1268ecbbd37b
Author: Michael Biebl <mbiebl@gmail.com>
Date:	Thu May 3 13:42:48 2007 -0400

    install hal-is-caller-privileged.1 manpage conditionally

    Installing the hal-is-caller-privileged.1 manpage conditionally was
    not a bad idea, imo.  You could use the attached patch to achieve that
    again (even if it makes the Makefile.am a bit more inconsistent, as
    you have to specificy hal-is-caller-privileged at two places)

 doc/man/Makefile.am |	  8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit d3138a8f990e5d88c357d3a11841cc31aa40f6dd
Author: Kay Sievers <kay.sievers@vrfy.org>
Date:	Thu May 3 01:56:13 2007 -0400

    creating link /dev/root to device / is mounted from

    On 4/23/07, David Zeuthen <david@fubar.dk> wrote:
    > On Sun, 2007-04-22 at 14:01 +0200, Kay Sievers wrote:
    > > But we may just want to change HAL to handle mnt_dir == "/" as a
    > > special case, instead of assuming the name to be a
    device-node. That
    > > should solve the real problem we are seeing here.
    >
    > I'm fine taking a patch to do that. Thanks!

    Does this work for you Doug?

    Thanks,
    Kay

 hald/linux/blockdev.c |   89
 +++++++++++++++++++++++++++----------------------
 1 files changed, 49 insertions(+), 40 deletions(-)

commit 504bbb362ceec73dc1bf1a4afee7a9ff32c74c70
Author: Frederic Crozat <fcrozat@mandriva.com>
Date:	Thu May 3 00:13:08 2007 -0400

    allow acl, user_xattr on ext2

    Even if ext2 is quite old, there is no reason to not allow acl and
    user_xattr on this kind of file system.

 fdi/policy/10osvendor/20-storage-methods.fdi |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 5c3cd0c0ff5e66876ee1cf8a6a5e1ea617987bdd
Author: Frederic Crozat <fcrozat@mandriva.com>
Date:	Thu May 3 00:11:42 2007 -0400

    allow flush for vfat

    Since latest kernel have now "flush" support for vfat, it is a
    good idea
    to allow this option for removable media mounting.

 fdi/policy/10osvendor/20-storage-methods.fdi |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 1d2f1300c84a34a095e95c739472d97c6c9923f0
Author: Bastien Nocera <hadess@hadess.net>
Date:	Wed May 2 23:27:00 2007 -0400

    define new property power_management.quirk.none

 doc/spec/hal-spec-properties.xml |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 627a4c08677b5a9c703d51d694c945110ce1d8cf
Author: David Zeuthen <davidz@redhat.com>
Date:	Wed May 2 23:18:16 2007 -0400

    incorporate autotools changes

    Suggested here

     http://lists.freedesktop.org/archives/hal/2007-May/008218.html

 configure.in	     |	  2 +-
 doc/man/Makefile.am |	 10 +++-------
 2 files changed, 4 insertions(+), 8 deletions(-)

commit 6a3d21ee7d309c8107098e175f8d15f8ea191684
Author: David Zeuthen <davidz@redhat.com>
Date:	Wed May 2 21:51:32 2007 -0400

    introduce new <addset> operator

    This appends a value to a strlist if, and only if, it doesn't exist
    already.

 doc/spec/hal-spec-fdi-files.xml |   29 ++++++++++++++++++-----------
 fdi/fdi.dtd			 |    8 +++++++-
 hald/create_cache.c		 |    3 +++
 hald/device_info.c		 |   14 ++++++++++++++
 hald/rule.h			 |    1 +
 5 files changed, 43 insertions(+), 12 deletions(-)

commit b023f793ea9791acdda64fbab5b3536deb793454
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Wed May 2 00:05:10 2007 -0400

    update configure.in and use autoreconf

    Update the autotools files to not use obsolete macros and variables
    and add proper quotation. Switch to autoreconf which will call any
    needed program. Also autoreconf -Wall should be clean now (except
    for external problems).

 autogen.sh			    |	65 +-------
 configure.in			    |  346
 ++++++++++++++++++++++--------------
 doc/api/libhal-storage/Makefile.am |	 2 +-
 doc/api/libhal/Makefile.am	    |	 2 +-
 hald-runner/Makefile.am	    |	 2 +-
 hald/Makefile.am		    |	 2 +-
 hald/dummy/Makefile.am		    |	 2 +-
 hald/freebsd/Makefile.am	    |	 2 +-
 hald/freebsd/addons/Makefile.am    |	 2 +-
 hald/freebsd/libprobe/Makefile.am  |	 2 +-
 hald/linux/Makefile.am		    |	 2 +-
 hald/linux/addons/Makefile.am	    |	 2 +-
 hald/linux/probing/Makefile.am     |	 2 +-
 hald/solaris/Makefile.am	    |	 2 +-
 hald/solaris/addons/Makefile.am    |	 2 +-
 hald/solaris/probing/Makefile.am   |	 2 +-
 libhal-storage/Makefile.am	    |	 2 +-
 libhal/Makefile.am		    |	 2 +-
 partutil/Makefile.am		    |	 2 +-
 tools/Makefile.am		    |	 2 +-
 20 files changed, 233 insertions(+), 214 deletions(-)

commit a0997ff7f0ced238e702f2b0e201038687ede468
Author: David Zeuthen <davidz@redhat.com>
Date:	Wed Apr 25 15:25:27 2007 -0400

    also pass correct options for pm-hibernate

 tools/linux/hal-system-power-hibernate-linux |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit d695eb749f5f1ace2d90be0605a100b1cc714266
Author: David Zeuthen <davidz@redhat.com>
Date:	Wed Apr 25 15:24:23 2007 -0400

    pass correct options to pm-suspend

 tools/linux/hal-system-power-suspend-linux |	 6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit f2b0e5ae7eb888ea332bc66217f9612b73255711
Author: Kristian HÃ¸gsberg <krh@redhat.com>
Date:	Wed Apr 25 15:20:39 2007 -0400

    update firewire prober to use correct ioctl codes

 hald/linux/probing/probe-ieee1394-unit.c |   13 +++++--------
 1 files changed, 5 insertions(+), 8 deletions(-)

commit 8e6daa796eec0bf639567ed94a784838c1fc5fdb
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Apr 24 15:19:23 2007 -0400

    properties in net.bluetooth.* are not Bluez specific; remove bluez_
    prefix

 doc/spec/hal-spec-properties.xml	  |    8 ++++----
 hald/linux/probing/probe-net-bluetooth.c |    2 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 5757293a4d44b1696e4c935ab346546ce2673d73
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Apr 24 15:08:04 2007 -0400

    forgot to add hal-lock.policy

 policy/hal-lock.policy |   38 ++++++++++++++++++++++++++++++++++++++
 1 files changed, 38 insertions(+), 0 deletions(-)

commit b44cc7ffc6a8cf38c5e80d5f00885a4aae3876be
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Apr 23 23:45:59 2007 -0400

    recognize touchpads + add TODO about sorting out input device
    classification

 doc/TODO	     |	  2 ++
 hald/linux/device.c |	  8 +++++++-
 2 files changed, 9 insertions(+), 1 deletions(-)

commit c7a1f06380e4dc839c68b23235075834682dcf38
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Apr 23 23:29:39 2007 +0200

    fix hald_runner_kill_all()

    This patch fixes declaration of hald_runner_kill_all() which is
    declared
    in the headerfile without argument, but in the code with a argument:
    hald_runner_kill_all(HalDevice * device). Due to the usage of the
    function
    in the code changed the code in hald/hald_runner.c to work without an
    argument.

    Fix also bugreport fd.o #8656

 hald/hald_runner.c |	 4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit 765979cfd55e28762a9756fcb45ae64816f7f034
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Apr 23 23:17:09 2007 +0200

    fix detection of libusb

    Not sure why we check for libusb-config to find out if libusb and the
    needed headers are available, but this fix this issue to the correct
    check (e.g. for distributions where libusb and a libusb-devel
    package exist). Fixed also NEWS file for correct libusb version.

    Should also fix fd.o bug #8654

 NEWS	      |   10 +++++-----
 configure.in |   11 ++++-------
 2 files changed, 9 insertions(+), 12 deletions(-)

commit b44ce6775fc8a8a3c0dbe9ebbee68879777c38ee
Author: Doug Goldstein <cardoe@gentoo.org>
Date:	Mon Apr 23 15:56:31 2007 -0400

    fdi spec fixes and correct implementation

    For fdi matching the "prefix", "prefix_ncase", "suffix", and
    "suffix_ncase" were missing from the spec. This patch adds them to the
    spec. Also "double" was never implemented and this patch implements it
    as well. It also reorders the code/spec to match the same order.

 doc/spec/hal-spec-fdi-files.xml |   87
 +++++++++++++++++++++++++++------------
 hald/device_info.c		 |   17 +++++++-
 hald/rule.h			 |    3 +-
 3 files changed, 77 insertions(+), 30 deletions(-)

commit e6ab4d554f21bfa1df56022b0e007da5c6e7363f
Author: Julius Schulz-Zander <lists-hal@fazzepullis.de>
Date:	Mon Apr 23 15:53:43 2007 -0400

    fix speling of AC adapter

 doc/spec/hal-spec-properties.xml |   10 +++++-----
 hald/linux/acpi.c		  |    6 +++---
 2 files changed, 8 insertions(+), 8 deletions(-)

commit bf29b2f07dc05cf8b95463ad76b0b2ebe4ed596a
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Apr 23 15:35:53 2007 -0400

    change namespace for bluez-specific properties

 doc/spec/hal-spec-properties.xml	  |   12 ++++++------
 hald/linux/probing/probe-net-bluetooth.c |   19 ++++++-------------
 2 files changed, 12 insertions(+), 19 deletions(-)

commit 192f5284c77846f4537209fde4a945f7d2159eee
Author: Luiz Augusto von Dentz <luiz.dentz@gmail.com>
Date:	Mon Apr 23 15:25:35 2007 -0400

    recognize bluetooth network capabilities

    This is fd.o #10577

    http://bugs.freedesktop.org/show_bug.cgi?id=10577

 doc/spec/hal-spec-properties.xml	  |   62 ++++++++-
 hald/linux/device.c			  |   79 ++++++----
 hald/linux/probing/Makefile.am		  |    5 +-
 hald/linux/probing/probe-net-bluetooth.c |  240
 ++++++++++++++++++++++++++++++
 4 files changed, 354 insertions(+), 32 deletions(-)

commit f849652ff11b22b8685c9bd4728e8eb2299a4c96
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Apr 22 22:27:18 2007 -0400

    document Bluetooth ACL / SCO, fixup UDI generation and make coldplug
    work

    Looks like coldplugging in broken in interesting ways. I had to add
    the hack for coldplug.c to get things rolling - need to talk to Kay
    about that....

 doc/spec/hal-spec-properties.xml |  106
 ++++++++++++++++++++++++++++++++++++++
 hald/linux/coldplug.c		  |   35 ++++++++++++-
 hald/linux/device.c		  |   45 ++++++++++++----
 3 files changed, 173 insertions(+), 13 deletions(-)

commit 78f05b63f792b2130f0ac20bbea02b8754bf406d
Author: Luiz Augusto von Dentz <luiz.dentz@gmail.com>
Date:	Sun Apr 22 21:20:26 2007 -0400

    properly recognize Bluetooth SCO and ACL devices

    This fixes fd.o #10631.

    http://bugs.freedesktop.org/show_bug.cgi?id=10631

 hald/linux/device.c |	 40 +++++++++++++++++++++++++++++++---------
 1 files changed, 31 insertions(+), 9 deletions(-)

commit 9e37dd339cba8e16587fa666c58906bf3bc1ef35
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Apr 22 21:14:56 2007 -0400

    policy definitions are now XML files in PolicKit master

 hald/hald_runner.c	       |    2 +-
 policy/Makefile.am	       |    1 +
 policy/hal-device-file.policy |  192 +++++++++++++++++++-------------
 policy/hal-killswitch.policy  |   78 ++++++++-----
 policy/hal-power.policy       |  249
 ++++++++++++++++++++++++++---------------
 policy/hal-storage.policy     |  149 ++++++++++++++-----------
 6 files changed, 410 insertions(+), 261 deletions(-)

commit b2ee178b46b40d6f5e1ff77d7ec36424f859e5c3
Author: Martin Pitt <martin@piware.de>
Date:	Wed Apr 18 15:33:07 2007 -0400

    support more Macbook Pro models

    Matthew recently fixed the FDIs to support newer MacBook Pro models.

    Patch applies cleanly to 0.5.9 and git head.

    (changed by davidz: s/smbios.system.product/system.hardware.product)

 fdi/policy/10osvendor/10-macbookpro-utils.fdi |   15 +++++++++++++++
 1 files changed, 15 insertions(+), 0 deletions(-)

commit 753d45da8df992a3d8126c022f56ee807b4690d4
Author: Martin Pitt <martin@piware.de>
Date:	Wed Apr 18 15:25:38 2007 -0400

    allow 'utf8' mount option for NTFS

    this tiny patch allows NTFS users to supply the 'utf8' mount option.
    Yay unicode! :) It applies to 0.5.9 stable and git head.

 fdi/policy/10osvendor/20-storage-methods.fdi |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 87a6750f28d820628f74ad1cb39b3c94fa6ff9bd
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Wed Apr 18 15:17:52 2007 -0400

    fix problems with case if vid->label[0] is '\0'

    Fix problems with the case where vid->label[0] is '\0'. Don't call
    strdup_valid_utf8 in this case, simply ignore the label in this case.
    Cleaned up the code to prevent code duplication.

    This fix fd.o bug #10362.

 hald/linux/probing/probe-volume.c |   42
 ++++++++++++++++--------------------
 1 files changed, 19 insertions(+), 23 deletions(-)

commit 49f699f3c2ea38fbfe1f75b004a5917ac482fe98
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Wed Apr 18 15:17:18 2007 -0400

    fix possible segfault in probe-volume if vid->type == NULL

    Fix possible segfaults in probe-volume and libhal if vid->type ==
    NULL. Adde d checks for vid->type != NULL to probe-volume.c and new
    checks for parameter (LIBHAL_CHECK_PARAM_VALID) of
    libhal_changeset_set_property_string().

    This fix also fd.o bug #10429.

 hald/linux/probing/probe-volume.c |   20 +++++++++++++++++---
 libhal/libhal.c		   |	3 +++
 2 files changed, 20 insertions(+), 3 deletions(-)

commit b0e7e06138994fac45d08774a20774d04e8245de
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Apr 17 01:49:19 2007 -0400

    changes to compile against recent PolicyKit

 configure.in		  |    2 +-
 hald/access-check.c	  |   60
 +++++++++++++++++++++++-----------------------
 hald/dummy/Makefile.am   |    2 +-
 hald/freebsd/Makefile.am |    2 +-
 hald/hald.c		  |   16 ++++++------
 hald/hald.h		  |    2 +-
 hald/hald_dbus.c	  |    2 +-
 hald/linux/Makefile.am   |    2 +-
 hald/solaris/Makefile.am |    2 +-
 tools/hal-acl-tool.c	  |   46 +++++++++++++++++-----------------
 10 files changed, 68 insertions(+), 68 deletions(-)

commit 9dc01220f522f2a84120e9f2c4916a46d8d547ec
Author: Doug Goldstein <cardoe@gentoo.org>
Date:	Mon Apr 16 15:40:05 2007 -0400

    fix how we build partutil

    05_freebsd_partutil_make_fix.patch corrects the syntax in the
    Makefile.am (don't forget to autoreconf) and I just inverted the logic
    in it since we only want that code to compile on Linux so it'll fix it
    for Solaris as well.

 partutil/Makefile.am |   11 +++--------
 1 files changed, 3 insertions(+), 8 deletions(-)

commit f2b9797c440aeafafffb056a3872ecf3ba014a15
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Apr 15 23:12:17 2007 -0400

    remove use of "action parameters" now that they're going in PolicyKit

 doc/man/hal-is-caller-privileged.1.in		|    3 --
 hald/access-check.c				|   22 ++-------------
 hald/access-check.h				|    1 -
 hald/hald_dbus.c				|   35
 +++---------------------
 hald/linux/addons/addon-cpufreq.c		|    1 -
 hald/linux/addons/addon-dell-backlight.cpp	|    1 -
 hald/linux/addons/addon-macbookpro-backlight.c |   14 ++++-----
 libhal/libhal.c				|   16 -----------
 libhal/libhal.h				|    1 -
 tools/hal-acl-tool.c				|    9 +++---
 tools/hal-is-caller-privileged.c		|   29 -------------------
 tools/hal-storage-mount.c			|    1 -
 tools/hal-storage-shared.c			|    2 -
 13 files changed, 17 insertions(+), 118 deletions(-)

commit b127bfc1e6d03a380d56d48ee189058e84c694f0
Author: Joe Marcus Clarke <marcus@FreeBSD.org>
Date:	Sat Apr 14 17:21:52 2007 -0400

    fix compilation on FreeBSD

    Fix issues with the FreeBSD backend using functions that were
    removed from
    HAL prior to the 0.5.9 release. This patch wouldn't be available
    without the
    help of Roy Marples.

    Submitted by:	Doug Goldstein <cardoe@gentoo.org>

 hald/freebsd/hf-pci.c |   13 ++++++++++---
 hald/freebsd/hf-usb.c |    8 +++++---
 2 files changed, 15 insertions(+), 6 deletions(-)

commit 15272b99f8d373b9bcd239112231f5bef099d24f
Author: Joe Marcus Clarke <marcus@FreeBSD.org>
Date:	Sat Apr 14 17:14:15 2007 -0400

    do not re-probe devices that are managed by hald-addon-storage

    Do not re-probe devices that are managed by hald-addon-storage
    since that
    will result in a double-probe and data corruption.	In particular,
    this
    fixes a problem with CD unmounting when ATAPICAM is enabled.

 hald/freebsd/hf-storage.c |   26 +++++++++++++++++++++++++-
 1 files changed, 25 insertions(+), 1 deletions(-)

commit e23764b2828274cbc7d4c32570cfba8b9c661903
Author: Doug Goldstein <cardoe@gentoo.org>
Date:	Thu Apr 12 16:00:56 2007 -0400

    use stdlib.h not malloc.h

    Doug Goldstein wrote:
    > malloc.h is deprecated for stdlib.h, FreeBSD 6.2 is enforcing this
    a bit
    > stronger now apparently. This patch fixes up it's usage.
    >

    new and improved.

    added as necessary...

    mallopt... is... ugh.. but that's something totally different..

 hald/cache_test.c   |	  2 +-
 hald/create_cache.c |	  2 +-
 hald/hald.c	     |	  6 +++++-
 3 files changed, 7 insertions(+), 3 deletions(-)

commit 81aa6e39d309d3cdba216f8076e3b5260fb4bcfa
Author: Doug Goldstein <cardoe@gentoo.org>
Date:	Thu Apr 12 15:53:32 2007 -0400

    fix fdi cache regen logic error

    There's a logic error in the check of the return from fdi cache regen.
    Basically if exit_type wasn't HALD_RUN_SUCCESS (which is defined as 0)
    or return_code isn't 0 or 2, then an error occurred. Based on the
    order users would have the following in their logs.

    12:54:13.827 [I] mmap_cache.c:137: In regen_cache_cb exit_type=0,
    return_code=0
    12:54:13.827 [E] mmap_cache.c:190: fdi cache regeneration failed!

    The following patch corrects the issue and should be applied to 0.5.9
    branch as well.

 hald/mmap_cache.c |	6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 5745da44f3bb43dafd9b53cbfcfc1218619a5263
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Apr 12 15:43:17 2007 -0400

    only start one hald-addon-input addon

    this patch fixes the problem that one device can have get started
    the same
    hald-addon-input addon multiple times. This work only together with
    my patch
    for the contains_not FDI-file directive.

 fdi/policy/10osvendor/10-input-policy.fdi |	8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit f6e67686c719511dc2c076afb82627bf72ce5977
Merge: b6f4424... f7b4842...
Author: David Zeuthen <davidz@redhat.com>
Date:	Thu Apr 12 15:39:38 2007 -0400

    Merge branch 'master' of ssh://david@git.freedesktop.org/git/hal

commit b6f44244aa9e9923e90d5f7c275cb68c60a5bbf3
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Apr 12 15:39:06 2007 -0400

    fix contains_not fdi-directive

    This patch fixes the contains_not FDI file directive/rule to return
    true (let
    the match not fail) if the property is not set on the device. This
    allow to
    have this rule:

	   <match key="info.addons" contains_not="hald-addon-input">
	     <append key="info.addons"
	     type="strlist">hald-addon-input</append>
	   </match>

    Without this patch this fails if info.addons is not already
    set. With the
    change it would match if:
    * info.addons is not available
    or
    * info.addons contains no string 'hald-addon-input'

 doc/spec/hal-spec-fdi-files.xml |    8 ++++----
 hald/device_info.c		 |   31 ++++++++++++++++---------------
 2 files changed, 20 insertions(+), 19 deletions(-)

commit f7b4842d5d1587123645c27ff00d52d6a302f881
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Apr 10 13:13:47 2007 +0200

    fixed make distcheck by remove hal-lock.policy from Makefile.am

    Fixed make distcheck by remove not existing hal-lock.policy from
    Makefile.am.

 policy/Makefile.am |	 3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 7f3217196c67ec495796700a2d062242344e8b26
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Apr 10 12:33:08 2007 +0200

    fix build without policykit enabled/available

    Fixed build without policykit enabled/available. Added some ifdef's.

 hald/hald.c		    |	 3 ++-
 tools/hal-storage-shared.c |	 4 +++-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 8b320279cfb6a8ce96fcf5f271f7280c825b30a9
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Apr 9 18:38:50 2007 -0400

    update to compile cleanly with PolicyKit master

 hald/hald.c |	 16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 95ddfe38d0f24ffe5250f19d4e44dcdc22f20158
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Apr 9 15:29:23 2007 -0400

    also update man page for hal-is-caller-privileged

 doc/man/hal-is-caller-privileged.1.in |   13 ++++++++-----
 1 files changed, 8 insertions(+), 5 deletions(-)

commit e4b6fcb25a2a954ca201781246cfae7acfb80214
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Apr 9 15:22:00 2007 -0400

    take advantage of new parameter API in PolKitAction

    These actions currently set parameters

     hal-storage-mount-[removable|fixed]:
      - fstype
      - mount-point
      - mount-options

     hal-lock
      - interface

 hald/access-check.c				|   42 ++++++----
 hald/access-check.h				|    3 +-
 hald/ci-tracker.c				|   94
 +++++++++++++++++++++++
 hald/debug-hald.sh				|    3 +-
 hald/hald_dbus.c				|   62 ++++++++++-----
 hald/linux/addons/addon-cpufreq.c		|    3 +-
 hald/linux/addons/addon-dell-backlight.cpp	|   11 ++-
 hald/linux/addons/addon-macbookpro-backlight.c |   27 ++++---
 hald/run-hald.sh				|    3 +-
 hald/valgrind-hald.sh				|    2 +
 libhal/libhal.c				|   24 +++++-
 libhal/libhal.h				|    3 +-
 policy/Makefile.am				|    3 +-
 policy/hal-device-file.policy			|   16 ++++
 tools/Makefile.am				|    2 +-
 tools/hal-acl-tool.c				|    1 +
 tools/hal-functions				|    8 +-
 tools/hal-is-caller-privileged.c		|   48 ++++++++++--
 tools/hal-storage-mount.c			|   97
 +++++++++++++----------
 tools/hal-storage-shared.c			|   14 ++--
 20 files changed, 339 insertions(+), 127 deletions(-)

commit c994c40ad21a3a956690757eb0193e73fdc8bf72
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Apr 8 19:09:13 2007 -0400

    changes to cope with PolicyKit mass renaming

 Makefile.am			 |    2 +-
 configure.in			 |    8 ++--
 hald/access-check.c		 |   12 +++---
 hald/debug-hald.sh		 |    2 +-
 hald/run-hald.sh		 |    2 +-
 hald/valgrind-hald.sh		 |    2 +-
 policy/.gitignore		 |    6 +++
 policy/Makefile.am		 |   20 +++++++++
 policy/hal-device-file.policy	 |   70 ++++++++++++++++++++++++++++++
 policy/hal-killswitch.policy	 |   28 ++++++++++++
 policy/hal-power.policy	 |   91
 +++++++++++++++++++++++++++++++++++++++
 policy/hal-storage.policy	 |   63 +++++++++++++++++++++++++++
 privileges/.gitignore		 |    6 ---
 privileges/Makefile.am		 |   20 ---------
 privileges/hal-device-file.priv |   70 ------------------------------
 privileges/hal-killswitch.priv  |   28 ------------
 privileges/hal-power.priv	 |   91
 ---------------------------------------
 privileges/hal-storage.priv	 |   63 ---------------------------
 tools/hal-acl-tool.c		 |   10 ++--
 19 files changed, 297 insertions(+), 297 deletions(-)

commit 2cefd63578435f4f2a1be7dc612489131947f65f
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Apr 8 17:20:32 2007 -0400

    add back ChangeLog

 Makefile.am |	 22 +++++++++++++++++++++-
 1 files changed, 21 insertions(+), 1 deletions(-)

commit 367ba9f251dbfbc909ee6ee50f4542bef38b6570
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Apr 8 16:50:17 2007 -0400

    prefix CK object paths with /org/fd/CK so PolicyKit gets the
    right path

 hald/access-check.c |	 10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 36c552bcaf7cae5e880f46e67ddeacf4a3c38131
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Apr 8 02:10:16 2007 -0400

    libpolkit changed a bit; update to new API

 hald/access-check.c  |    8 ++++----
 tools/hal-acl-tool.c |    8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit b20d801f2d25e727d0461e903ca6d8c6d38b3f72
Author: David Zeuthen <davidz@redhat.com>
Date:	Sat Apr 7 12:33:54 2007 -0400

    don't include hal-file-monitor.c in hald/linux/osspec.c

    This makes 'make distcheck' happy again.

 hald/linux/osspec.c |	  2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 77ecc2310130d6fd712cb40b3080e5e67dd4b544
Author: David Zeuthen <davidz@redhat.com>
Date:	Sat Apr 7 12:27:47 2007 -0400

    add the "-extra-options" privileges for mounting

    This still needs some rethinking; we should probably test for this
    privilege even if the user asks for options not already mentioned in
    the volume.valid_options property.

 privileges/hal-storage.priv |	 14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit 5d5b66fdca8caf8c985f1990f9f6bc7ec18d92ed
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Apr 6 21:56:51 2007 -0400

    silence debug spew from the file monitor

    ... in a not so gently way. We really need to revisit the logging
    infrastructure in HAL; just today I had to extend the number of lines
    in gnome-terminal from 5000 to 10000 just to see what happened early
    at startup.

 hald/linux/hal-file-monitor.c |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit 1d6a396237a1fc50493a8c11e2e429c61574eda5
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Apr 6 21:32:19 2007 -0400

    use the new file monitor abstraction to watch fdi directories

 hald/device_info.c  |	 20 +-------
 hald/hald.c	     |	  4 +-
 hald/linux/osspec.c |	120
 -------------------------------------------------
 hald/mmap_cache.c   |	123
 ++++++++++++++++++++++++++++++++-------------------
 hald/mmap_cache.h   |	  2 +-
 hald/osspec.h	     |	  3 -
 6 files changed, 84 insertions(+), 188 deletions(-)

commit 8c1b67d8dd16b69e4b4be7b6ae8cebf65b90aeb3
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Apr 6 21:07:31 2007 -0400

    use new file monitoring interface and integrate witk PK master

    Yay, I can now edit my privilege configuration files and see
    permissions on /dev/scd0 change in real time. Very cool.

 hald/Makefile.am	       |    3 +-
 hald/freebsd/osspec.c	       |    7 +
 hald/hald.c		       |  130 ++++++++-
 hald/hald_dbus.c	       |   73 +++--
 hald/hald_dbus.h	       |    2 +
 hald/linux/Makefile.am        |   35 +--
 hald/linux/hal-file-monitor.c |  676
 +++++++++++++++++++++++++++++++++++++++++
 hald/linux/osspec.c	       |   37 ++-
 hald/osspec.h		       |    3 +
 hald/solaris/osspec.c	       |    7 +
 privileges/Makefile.am        |    9 +-
 tools/hal-acl-tool.c	       |    8 +-
 12 files changed, 907 insertions(+), 83 deletions(-)

commit c7f7bfcbfa708874497c519b2b8a41fbec9406d7
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Apr 6 21:05:56 2007 -0400

    file monitoring interface

    From ConsoleKit - relicensed under the AFL 2.1 with permission from
    Jon William McCann:

    On 4/6/07, David Zeuthen <david@fubar.dk> wrote:
    > On Wed, 2007-04-04 at 20:13 -0400, William Jon McCann wrote:
    > > Somewhat off topic but since you mentioned that polkit will need
    to do
    > > file monitoring I'm in the process of writing a little inotify
    > > abstraction to use in CK.  I should be done in the next couple
    of days
    > > and it may be useful to you too.
    > >
    > > I need it in CK to be able to detect idleness on text sessions.
    >
    > This is very cool; I'm copying into HAL right now. Are you OK with
    > relicensing the header file under the AFL 2.1? I'd like that
    interface
    > to be shared code and each HAL backend implements an object
    like this.
    > If so, I'll just copy paste your reply into the commit log when
    > committing the code. Thanks!

    Yes, you have my permission to relicense the code under the AFL 2.1.
    :)

 hald/hal-file-monitor.h |   86
 +++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 86 insertions(+), 0 deletions(-)

commit e2cdd3577964013b46878c86083e4315357cdb6f
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Apr 6 17:39:20 2007 -0400

    for run-hald.sh + friends move fdi+privilege 'make install' to /tmp

    Otherwise the unprivileged hald process (running as user haldaemon)
    won't be able to reread PolicyKit file changes.

 hald/debug-hald.sh    |   20 +++++++++++++-------
 hald/run-hald.sh      |   21 ++++++++++++---------
 hald/valgrind-hald.sh |   17 ++++++++++-------
 3 files changed, 35 insertions(+), 23 deletions(-)

commit f4682e40a6d647c255e8e0405db4a4ba47a0cb2f
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Apr 6 17:27:04 2007 -0400

    make distcheck happy again and remove ChangeLog from tarballs

    The contents of the ChangeLog file are already in NEWS.

 Makefile.am	   |   28 ++--------------------------
 hald/ci-tracker.c |	2 +-
 hald/hald_dbus.c  |	6 +++++-
 3 files changed, 8 insertions(+), 28 deletions(-)

commit 383c9dcff3b29bd7bdcdf4e232ee41cabb004927
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Apr 6 17:11:24 2007 -0400

    add a note to the TODO about that we shouldn't use setfacl(1) directly

 doc/TODO |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit b575b030b15cc7ee927a9d610fb63b79a2b4df46
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Apr 6 17:04:07 2007 -0400

    clarify how access control now that our PolicyKit support works

    In particular, remove docs for the access_control.grant_local_session
    and access_control.grant_local_active_session as these are now
    obsolete.

    (very good thing that 0.5.9 marked them as experimental and subject to
    go the way of the Dodo at any point).

 doc/spec/hal-spec-access-control.xml |   30 +++++++++++++++++-----------
 doc/spec/hal-spec-properties.xml     |   36
 +++++++++++++--------------------
 2 files changed, 32 insertions(+), 34 deletions(-)

commit 4e0855fb81b46155bb6895cb875f07ee343a5b93
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Apr 6 16:49:11 2007 -0400

    briefly note in the spec how the PermissionDeniedByPolicy exception
    works

 doc/spec/hal-spec-interfaces.xml |   17 +++++++++++++----
 1 files changed, 13 insertions(+), 4 deletions(-)

commit f01bae02d42385e8e5e43c9ddbecb43f1518404d
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Apr 6 16:36:55 2007 -0400

    remote safety valves used in development

 tools/linux/Makefile.am			   |	2 ++
 tools/linux/hal-system-power-hibernate-linux	   |	3 ---
 tools/linux/hal-system-power-reboot-linux	   |	3 ---
 tools/linux/hal-system-power-shutdown-linux	   |	3 ---
 tools/linux/hal-system-power-suspend-hybrid-linux |	3 ---
 tools/linux/hal-system-power-suspend-linux	   |	3 ---
 6 files changed, 2 insertions(+), 15 deletions(-)

commit 9893a20754f96c0091f6db169398ebcda7e82e07
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Apr 6 16:27:06 2007 -0400

    port HAL over to use PolicyKit master

    In the process, include hal-functions and make out shell-script based
    method handlers share that.

 configure.in					    |	41 +++--
 doc/man/Makefile.am				    |	 6 +-
 doc/man/hal-is-caller-privileged.1.in		    |	70 +++++++
 doc/spec/hal-spec-interfaces.xml		    |	32 +++
 doc/spec/hal-spec-properties.xml		    |	61 +++++-
 fdi/policy/10osvendor/20-acl-management.fdi	    |	22 +-
 hald/Makefile.am				    |	 5 +-
 hald/access-check.c				    |  193
 ++++++++++++++++--
 hald/access-check.h				    |	 3 +-
 hald/ci-tracker.c				    |	44 ++++
 hald/ci-tracker.h				    |	 1 +
 hald/ck-tracker.c				    |	16 ++
 hald/ck-tracker.h				    |	 2 +
 hald/device.c					    |	 8 +
 hald/device.h					    |	 2 +
 hald/hald.c					    |	12 +
 hald/hald.h					    |	 8 +
 hald/hald_dbus.c				    |  204
 +++++++++++++++---
 hald/hald_runner.c				    |	65 +++++-
 hald/linux/addons/addon-cpufreq.c		    |  115 ++++-------
 hald/linux/addons/addon-dell-backlight.cpp	    |	56 +++++
 hald/linux/addons/addon-macbook-backlight.c	    |	57 +++++
 hald/linux/addons/addon-macbookpro-backlight.c     |	69 ++++++
 hald/linux/addons/addon-omap-backlight.c	    |	57 +++++
 hald/run-hald.sh				    |	 3 +
 libhal/libhal.c				    |  219
 +++++++++++++------
 libhal/libhal.h				    |	 7 +
 privileges/Makefile.am				    |	31 ++-
 privileges/hal-device-file.priv		    |	70 +++++++
 privileges/hal-killswitch.priv			    |	28 +++
 privileges/hal-power-cpufreq.privilege		    |	12 -
 privileges/hal-power-hibernate.privilege	    |	11 -
 privileges/hal-power-poweroff.privilege	    |	11 -
 privileges/hal-power-reboot.privilege		    |	12 -
 privileges/hal-power-suspend.privilege		    |	12 -
 privileges/hal-power.priv			    |	91 ++++++++
 .../hal-storage-fixed-mount-all-options.privilege  |	14 --
 privileges/hal-storage-fixed-mount.privilege	    |	16 --
 ...l-storage-removable-mount-all-options.privilege |	14 --
 privileges/hal-storage-removable-mount.privilege   |	15 --
 privileges/hal-storage.priv			    |	49 +++++
 tools/Makefile.am				    |	14 +-
 tools/hal-acl-tool.c				    |  131 ++++++++----
 tools/hal-functions				    |	50 +++++
 tools/hal-is-caller-privileged.c		    |  181
 ++++++++++++++++
 tools/hal-luks-setup				    |	12 +-
 tools/hal-luks-teardown			    |	11 +-
 tools/hal-storage-closetray.c			    |	16 --
 tools/hal-storage-eject.c			    |	19 --
 tools/hal-storage-mount.c			    |	64 ++----
 tools/hal-storage-shared.c			    |	64 +++++--
 tools/hal-storage-shared.h			    |	 9 -
 tools/hal-storage-unmount.c			    |	19 --
 tools/hal-system-killswitch-get-power		    |	13 +-
 tools/hal-system-killswitch-set-power		    |	15 +-
 tools/hal-system-lcd-get-brightness		    |	13 +-
 tools/hal-system-lcd-set-brightness		    |	13 +-
 tools/hal-system-power-hibernate		    |	24 +--
 tools/hal-system-power-reboot			    |	25 +--
 tools/hal-system-power-set-power-save		    |	16 +-
 tools/hal-system-power-shutdown		    |	25 +--
 tools/hal-system-power-suspend			    |	24 +--
 tools/hal-system-power-suspend-hybrid		    |	56 +-----
 tools/linux/Makefile.am			    |	 1 +
 tools/linux/hal-system-power-hibernate-linux	    |	 3 +
 tools/linux/hal-system-power-reboot-linux	    |	 3 +
 tools/linux/hal-system-power-shutdown-linux	    |	 3 +
 tools/linux/hal-system-power-suspend-hybrid-linux  |	41 ++++
 tools/linux/hal-system-power-suspend-linux	    |	15 +-
 69 files changed, 1908 insertions(+), 736 deletions(-)

commit 6538c9f78e2a3ef499c10923ecdee777d31e1fd3
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Wed Apr 4 18:48:10 2007 -0400

    fix problem with repeated property-changed signals

    > On Mittwoch, 4. April 2007, Richard Hughes wrote:
    > > With git I'm getting the following when I remove AC:
    > >
    > > 15:56:02.865: acpi_ACAD property ac_adapter.present = false
    > > 15:56:03.041: acpi_ACAD property ac_adapter.present = false
    > > 15:56:03.048: acpi_BAT1 property battery.charge_level.percentage
    = 96
    > > (0x60) 15:56:03.051: acpi_BAT1 property
    battery.charge_level.percentage =
    > > 96 (0x60)
    > >
    > > acpi_listen seems to think that there is one event from either
    device,
    > > so I'm unsure what the problem is here.
    >
    > I can confirm this, I take a look at the problem. It is IMO
    something in
    > the acpi code, could not see this atm for other devices.

    This is a general problem. The signal for device_property_changed
    is listed
    twice in hald.c in function hald_get_gdl().

 hald/hald.c |	  3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 98454a5d597a3f96e3c683067ed9ca671b0b5b71
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Apr 3 13:18:23 2007 -0400

    fix lock checking for LUKS setup/teardown

    Reported here

     http://lists.freedesktop.org/archives/hal/2007-April/007936.html

 tools/hal-luks-setup	 |   14 +++++++-------
 tools/hal-luks-teardown |   14 +++++++-------
 2 files changed, 14 insertions(+), 14 deletions(-)

commit 542826d2851affabcda1b58dbb454c4004540550
Author: Richard Hughes <richard@hughsie.com>
Date:	Tue Apr 3 17:43:36 2007 +0100

    trivial, don't try to make device-manager

    Don't try to build device-manager, cleanup from the removal.

 tools/Makefile.am |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4ba7d3df5d02d24c7448a43922ce81016a6e89f0
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Apr 3 03:11:18 2007 -0400

    remove TODO about about deleting hal-device-manager

    It now sleeps with the fishes.

 doc/TODO |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit e9c16140b6a66f83649a9ccc1ff1ad9a357bc9b7
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Apr 3 03:10:01 2007 -0400

    remove hal-device-manager

    gnome-device-manager provides equivalent functionality

     http://lists.freedesktop.org/archives/hal/2007-April/007926.html

 configure.in				       |    2 -
 tools/Makefile.am			       |    3 +-
 tools/device-manager/.gitignore	       |    7 -
 tools/device-manager/Const.py.in	       |   48 -
 tools/device-manager/Device.py		       |   68 --
 tools/device-manager/DeviceManager.py	       |  499 ---------
 tools/device-manager/GtkAttributesFacade.py   |   63 --
 tools/device-manager/LibGladeApplication.py   |   65 --
 tools/device-manager/Makefile.am	       |   55 -
 tools/device-manager/Representation.py        |  104 --
 tools/device-manager/fdo-logo.png	       |  Bin 6963 -> 0 bytes
 tools/device-manager/hal-abstract.png	       |  Bin 455 -> 0 bytes
 tools/device-manager/hal-audio.png	       |  Bin 4017 -> 0 bytes
 tools/device-manager/hal-bus-pci.png	       |  Bin 3766 -> 0 bytes
 tools/device-manager/hal-bus-usb.png	       |  Bin 483 -> 0 bytes
 tools/device-manager/hal-camera.png	       |  Bin 3595 -> 0 bytes
 tools/device-manager/hal-cat-cardbus.png      |  Bin 675 -> 0 bytes
 tools/device-manager/hal-cat-keyboard.png     |  Bin 2962 -> 0 bytes
 tools/device-manager/hal-cat-mouse.png        |  Bin 3047 -> 0 bytes
 tools/device-manager/hal-cdrom.png	       |  Bin 676 -> 0 bytes
 tools/device-manager/hal-computer.png	       |  Bin 2274 -> 0 bytes
 tools/device-manager/hal-device-manager.glade | 1340
 -------------------------
 tools/device-manager/hal-device-manager.in    |   21 -
 tools/device-manager/hal-flash.png	       |  Bin 2550 -> 0 bytes
 tools/device-manager/hal-floppy.png	       |  Bin 504 -> 0 bytes
 tools/device-manager/hal-harddisk.png	       |  Bin 3913 -> 0 bytes
 tools/device-manager/hal-network.png	       |  Bin 1241 -> 0 bytes
 tools/device-manager/hal-serial-port.png      |  Bin 2338 -> 0 bytes
 tools/device-manager/hal-unknown.png	       |  Bin 1302 -> 0 bytes
 tools/device-manager/hal-video.png	       |  Bin 2814 -> 0 bytes
 30 files changed, 1 insertions(+), 2274 deletions(-)

commit 3bab0b8083071e9bdf15ffe13679095e8ced1ab5
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Apr 3 02:46:55 2007 -0400

    remove i18n support

    It just doesn't make sense for a system-wide daemon to have
    translations. The only reasons it's here is that

     1. deprecated functions in libhal-storage uses it
	(officially deprecated since 0.5.8 but people have been advised
	 for long to not use it)

     2. hal-device-manager uses it
	(and that will be replaced by gnome-device-manager shortly;
	 other desktops are encouraged to write their own replacements
	 too.)

 Makefile.am	 |    2 +-
 autogen.sh	 |    3 -
 configure.in	 |   12 --
 doc/TODO	 |    4 -
 libhal/libhal.c |   11 --
 po/.gitignore	 |   10 --
 po/ChangeLog	 |  171 --------------------
 po/POTFILES.in  |    4 -
 po/ca.po	 |  482
 -------------------------------------------------------
 po/cs.po	 |  382 -------------------------------------------
 po/da.po	 |  381 -------------------------------------------
 po/de.po	 |  359 -----------------------------------------
 po/el.po	 |  379 -------------------------------------------
 po/es.po	 |  468
 -----------------------------------------------------
 po/et.po	 |  328 -------------------------------------
 po/eu.po	 |  406 ----------------------------------------------
 po/fi.po	 |  378 -------------------------------------------
 po/fr.po	 |  409 ----------------------------------------------
 po/hu.po	 |  378 -------------------------------------------
 po/it.po	 |  403 ----------------------------------------------
 po/ja.po	 |  378 -------------------------------------------
 po/km.po	 |  379 -------------------------------------------
 po/ko.po	 |  477
 ------------------------------------------------------
 po/lt.po	 |  378 -------------------------------------------
 po/nb.po	 |  383 -------------------------------------------
 po/nl.po	 |  450
 ---------------------------------------------------
 po/pa.po	 |  392 --------------------------------------------
 po/pl.po	 |  378 -------------------------------------------
 po/pt.po	 |  378 -------------------------------------------
 po/pt_BR.po	 |  378 -------------------------------------------
 po/ru.po	 |  354 ----------------------------------------
 po/sl_SI.po	 |  380 -------------------------------------------
 po/sv.po	 |  326 -------------------------------------
 po/tr.po	 |  327 -------------------------------------
 po/uk.po	 |  388 --------------------------------------------
 po/zh_CN.po	 |  381 -------------------------------------------
 po/zh_TW.po	 |  405 ----------------------------------------------
 37 files changed, 1 insertions(+), 11501 deletions(-)

commit 0391cb5e4e9a26d1c9494727999d38714cb3af18
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Apr 3 02:18:04 2007 -0400

    update spec to mention input.* capabilities

 doc/spec/hal-spec-properties.xml |   63
 ++++++++++++++++++++++++++++++++++++++
 1 files changed, 63 insertions(+), 0 deletions(-)

commit 10066e8aecdc92e6c6460b2d5c4817ad13e4e83e
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Tue Apr 3 02:10:36 2007 -0400

    generalize keyboard detection code

    Some devices do not have a proper keyboard, still they have keys,
    those
    should be handled by the input addon, but should not be considered a
    keyboard. This patch thus adds two new input capabilities, input.keys
    and input.keypad. A device with more than two keys will have the
    input.keys set and it might have input.keyboard, input.keypad or
    neither depending on the supported keys.

 fdi/policy/10osvendor/10-input-policy.fdi |	2 +-
 hald/freebsd/probing/probe-hiddev.c	   |   10 ++++-
 hald/linux/device.c			   |   60
 ++++++++++++++++++++++++-----
 3 files changed, 60 insertions(+), 12 deletions(-)

commit 435bb36fe2425f16ab73a1f52d866172163ded5c
Author: Guillem Jover <guillem.jover@nokia.com>
Date:	Tue Apr 3 02:02:32 2007 -0400

    rename hal-addon-keyboard to hal-addon-input

    The keyboard addon is now handling the generic Linux input layer,
    so it
    seems less confusing to have it renamed.

 fdi/policy/10osvendor/10-input-policy.fdi    |   19 ++
 fdi/policy/10osvendor/10-keyboard-policy.fdi |   19 --
 fdi/policy/10osvendor/Makefile.am	      |    2 +-
 hald/linux/addons/.gitignore		      |    2 +-
 hald/linux/addons/Makefile.am		      |    6 +-
 hald/linux/addons/addon-input.c	      |  325
 ++++++++++++++++++++++++++
 hald/linux/addons/addon-keyboard.c	      |  325
 --------------------------
 7 files changed, 349 insertions(+), 349 deletions(-)

commit 34b1b1343944dcd9a29144eb059c2d286ea4e6e3
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Apr 3 01:36:26 2007 -0400

    post-release version bump to version 0.5.10

 NEWS	      |   25 +++++++++++++++++++++++++
 configure.in |    4 ++--
 2 files changed, 27 insertions(+), 2 deletions(-)

commit 711ef20af382f643fc35e9ce422f7200d8d1f31b
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Apr 3 01:04:30 2007 -0400

    update NEWS for 0.5.9 release

 NEWS |  524
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 519 insertions(+), 5 deletions(-)

commit 5c6ab7dac2fc26f4c9f22ec9be73cddad6370ee7
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Apr 3 01:02:59 2007 -0400

    print docdir in configure summary

 configure.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 5b0259c389939421af9648090ab13ed22288d3ab
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Apr 2 23:56:48 2007 -0400

    ran 'make update-po'

 po/ca.po    |	 99 +++++++++++++++++++++---------------
 po/cs.po    |	 99 +++++++++++++++++++++---------------
 po/da.po    |	 99 +++++++++++++++++++++---------------
 po/de.po    |	163
 ++++++++++++++++++++++++++++++-----------------------------
 po/el.po    |	 99 +++++++++++++++++++++---------------
 po/es.po    |	 99 +++++++++++++++++++++---------------
 po/et.po    |	 99 +++++++++++++++++++++---------------
 po/eu.po    |	 99 +++++++++++++++++++++---------------
 po/fi.po    |	 99 +++++++++++++++++++++---------------
 po/fr.po    |	 99 +++++++++++++++++++++---------------
 po/hu.po    |	 99 +++++++++++++++++++++---------------
 po/it.po    |	 99 +++++++++++++++++++++---------------
 po/ja.po    |	 99 +++++++++++++++++++++---------------
 po/km.po    |	 99 +++++++++++++++++++++---------------
 po/ko.po    |	 99 +++++++++++++++++++++---------------
 po/lt.po    |	 99 +++++++++++++++++++++---------------
 po/nb.po    |	 99 +++++++++++++++++++++---------------
 po/nl.po    |	 99 +++++++++++++++++++++---------------
 po/pa.po    |	 99 +++++++++++++++++++++---------------
 po/pl.po    |	 99 +++++++++++++++++++++---------------
 po/pt.po    |	 99 +++++++++++++++++++++---------------
 po/pt_BR.po |	 99 +++++++++++++++++++++---------------
 po/ru.po    |	 99 +++++++++++++++++++++---------------
 po/sl_SI.po |	 99 +++++++++++++++++++++---------------
 po/sv.po    |	  3 +-
 po/tr.po    |	 99 +++++++++++++++++++++---------------
 po/uk.po    |	 99 +++++++++++++++++++++---------------
 po/zh_CN.po |	 99 +++++++++++++++++++++---------------
 po/zh_TW.po |	 99 +++++++++++++++++++++---------------
 29 files changed, 1650 insertions(+), 1189 deletions(-)

commit 83a0e8377baec901632c67cdd06b3344501bb872
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Apr 2 23:27:41 2007 -0400

    document the RF killswitch namespace and interface

 doc/spec/hal-spec-interfaces.xml |   49
 ++++++++++++++++++++++++++++++++++++
 doc/spec/hal-spec-properties.xml |   51
 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 100 insertions(+), 0 deletions(-)

commit ef656049d054186308372532b55aa440b9ed0c36
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Apr 2 23:01:25 2007 -0400

    fix typo

 doc/spec/hal-spec-access-control.xml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9bdb799815bb13d4f3cdb9ea7b9637439e99bb1f
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Apr 2 22:57:40 2007 -0400

    reword bit of the spec

 doc/spec/hal-spec-access-control.xml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit df05ad6981dbd2158386c1e9a0190a973f7f4f45
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Apr 2 22:50:12 2007 -0400

    add docs for access_control namespace

    Also add missing id's to Docbook sections

 doc/spec/Makefile.am		      |    3 +-
 doc/spec/hal-spec-access-control.xml |   75 +++++++++++++++++++++++++++++
 doc/spec/hal-spec-fdi-files.xml      |    6 +-
 doc/spec/hal-spec-introduction.xml   |    6 +-
 doc/spec/hal-spec-properties.xml     |   87
 ++++++++++++++++++++++++++++++++++
 doc/spec/hal-spec.xml.in.in	      |    3 +-
 6 files changed, 172 insertions(+), 8 deletions(-)

commit 1a08f8d8d9612647d53571b87c2049b0e7099cde
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Apr 2 21:05:48 2007 -0400

    mention umount helper as default options to use

 HACKING |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 4afe161e6a81028564b95b16122319ff1d20b4ff
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Apr 2 21:05:13 2007 -0400

    require autoconfig 2.59c or newer

    Michael Biebl <mbiebl@gmail.com>:
    $docdir was introduced in 2.59c (2006-04-12).

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b31784daae8ec58c8fe16aed1a413087857bb7ac
Author: Michael Biebl <mbiebl@gmail.com>
Date:	Mon Apr 2 21:03:17 2007 -0400

    as_ac_removal

 acinclude.m4			   |   45
 -------------------------------------
 configure.in			   |   38 +++++++++----------------------
 hald-runner/Makefile.am	   |	3 +-
 hald/Makefile.am		   |   21 ++++++++++++++--
 hald/dummy/Makefile.am		   |	2 +-
 hald/freebsd/Makefile.am	   |	2 +-
 hald/freebsd/addons/Makefile.am   |	2 +-
 hald/freebsd/libprobe/Makefile.am |	2 +-
 hald/freebsd/probing/Makefile.am  |	2 +-
 hald/haldaemon.in		   |   10 ++++----
 hald/linux/Makefile.am		   |	2 +-
 hald/linux/addons/Makefile.am	   |	2 +-
 hald/linux/probing/Makefile.am    |	2 +-
 hald/solaris/Makefile.am	   |	2 +-
 hald/solaris/addons/Makefile.am   |	2 +-
 hald/solaris/probing/Makefile.am  |	2 +-
 libhal-storage/Makefile.am	   |	2 +-
 libhal/Makefile.am		   |	2 +-
 tools/Makefile.am		   |	2 +-
 19 files changed, 50 insertions(+), 95 deletions(-)

commit 4a2fdce129bc9300e1931ae4c8f3d449c70c4a71
Author: Michael Biebl <mbiebl@gmail.com>
Date:	Mon Apr 2 21:01:57 2007 -0400

    properly use $(docdir)

    * Bump autoconf dependency to 2.59 so we have $(docdir)
    * Remove custom $(DOCDIR) from configure.in and use $(docdir) in
      doc/spec/Makefile.am instead
    * Generate man pages during make time using sed as recommended [1].
    * Use $(docdir), $(sbindir) and $(sysconfdir) instead of fixed paths.
    * Generate man_MANS list automatically from MAN_IN_FILES

    [1] http://tinyurl.com/yueld5

 configure.in			       |   22 +---------------------
 doc/man/Makefile.am		       |   11 ++++++++++-
 doc/man/hal-disable-polling.1.in      |    2 +-
 doc/man/hal-find-by-capability.1.in   |    2 +-
 doc/man/hal-find-by-property.1.in     |    2 +-
 doc/man/hal-get-property.1.in	       |    2 +-
 doc/man/hal-is-caller-locked-out.1.in |    2 +-
 doc/man/hal-lock.1.in		       |    2 +-
 doc/man/hal-set-property.1.in	       |    2 +-
 doc/man/hald.8.in		       |    8 ++++----
 doc/man/lshal.1.in		       |    2 +-
 doc/spec/Makefile.am		       |    2 +-
 12 files changed, 24 insertions(+), 35 deletions(-)

commit 23bf8e38fde374ed21419f299887c9ebd22b4413
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Apr 2 12:22:27 2007 +0200

    updated German translation file

    Updated German translation file, added new/missing strings, fixed
    fuzzy marked strings and reactivated outcommented strings.

 po/de.po |  152
 ++++++++++++++++++++++++-------------------------------------
 1 files changed, 60 insertions(+), 92 deletions(-)

commit a18b5ba5f4afe4439b182fee7a7ec11984f5fc4a
Author: Daniel Nylander <po@danielnylander.se>
Date:	Mon Apr 2 12:05:40 2007 +0200

    added Swedish translation file

    Added Swedish translation file (from fd.o bug # 10496).

 configure.in |    2 +-
 po/sv.po     |  327
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 328 insertions(+), 1 deletions(-)

commit 9e04dee76ae5f46c1292dcea094b6fdcc38c68a5
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Apr 2 00:20:47 2007 +0200

    update .gitignore

    Updated .gitignore entries.

 doc/man/.gitignore |	 3 ++-
 tools/.gitignore   |	 1 +
 2 files changed, 3 insertions(+), 1 deletions(-)

commit e0e264fc0caf8312d49c0bec10659fc1b08747b3
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Apr 1 17:52:57 2007 -0400

    use UTF-8 for the generated HTML

    Credit goes to Richard Hughes for figuring this out.

 doc/spec/config.xsl |	  1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 51ee8eb98ac8de413d2a5b2df8d78d663f2e01c6
Author: Michael Biebl <mbiebl@gmail.com>
Date:	Sun Apr 1 17:32:43 2007 -0400

    fix section for hald man page

    2007/4/1, David Zeuthen <david@fubar.dk>:
    > On Sun, 2007-04-01 at 22:11 +0200, Michael Biebl wrote:
    > > hald is a system daemon (installed in /usr/sbin). The correct
    section
    > > for the man page is 8 in that case (current one is 1)
    > > The attached patch fixes that.
    >
    > OK, I'm fine with this, but
    >
    >  - need to patch configure.in
    >  - need to change all the references from hald(1) to hald(8)
    >	 in the other man pages
    >
    > Is it possible you can attach a new patch that does this? Thanks.

    Sure, updated patch attached.

 configure.in			       |    2 +-
 doc/man/Makefile.am		       |    6 +-
 doc/man/hal-disable-polling.1.in      |    2 +-
 doc/man/hal-find-by-capability.1.in   |    2 +-
 doc/man/hal-find-by-property.1.in     |    2 +-
 doc/man/hal-get-property.1.in	       |    2 +-
 doc/man/hal-is-caller-locked-out.1.in |    2 +-
 doc/man/hal-lock.1.in		       |    2 +-
 doc/man/hal-set-property.1.in	       |    2 +-
 doc/man/hald.1.in		       |  105
 ---------------------------------
 doc/man/hald.8.in		       |  105
 +++++++++++++++++++++++++++++++++
 doc/man/lshal.1.in		       |    2 +-
 12 files changed, 117 insertions(+), 117 deletions(-)

commit d3aaf33d66443c0f18743a78511caf16df36cb69
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Apr 1 15:08:52 2007 -0400

    teach fdi.dtd about contains_not, rip out RNG scheme

    Also add a note to the TODO list that we should have a
    hal-fdi-file-validate tool much like desktop-file-validate

 doc/TODO	 |    3 ++
 fdi/Makefile.am |    4 +-
 fdi/fdi.dtd	 |    1 +
 fdi/fdi.rng	 |   82
 -------------------------------------------------------
 4 files changed, 6 insertions(+), 84 deletions(-)

commit 6992f57a90e9e2a5b9f9c008204f2ef953d4db63
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Apr 1 13:27:45 2007 -0400

    update TODO list

 doc/TODO |  138
 +++++++++++++++++++++++++++-----------------------------------
 1 files changed, 60 insertions(+), 78 deletions(-)

commit ac8bf1edd90549875c2c0a9d8601a6f8a9d3e8c7
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Apr 1 13:27:08 2007 -0400

    update hal-info requirement to 20070328

 NEWS |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e0d3327b68fc043e6ac8a1b0bdf97249476a3968
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Apr 1 04:48:35 2007 -0400

    give back the "button" capability to keyboards

    Without this, gnome-power-manager will not react to buttons on some
    keyboards.

 fdi/policy/10osvendor/10-keyboard-policy.fdi |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 5f7fc3562838aa8c44cfa3f0227cdac077c0f64f
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Sun Apr 1 03:08:17 2007 -0400

    add more cdrom information

    On Samstag, 31. März 2007, David Zeuthen wrote:
    > On Tue, 2007-03-20 at 20:53 -0400, David Zeuthen wrote:
    > > On Mon, 2007-03-12 at 22:48 +0100, Danny Kukawka wrote:
    > > > Hi,
    > > >
    > > > this patch adds more information about CD/DVD device
    capabilities.
    > >
    > > Looks good to me (although with s/CDC_MO/CDC_MO_DRIVE/ as you
    noted in a
    > > private mail) if you also include the bits for
    libhal-storage.[ch].
    > > Thanks.
    >
    > Did we want this for 0.5.9? Thanks.

    Attached updated version of the patch including updated libstorage.

 doc/spec/hal-spec-properties.xml   |	32
 ++++++++++++++++++++++++++++++++
 hald/linux/probing/probe-storage.c |	19 ++++++++++++++++++-
 hald/linux/probing/probe-volume.c  |	11 ++++++-----
 libhal-storage/libhal-storage.c    |	26 ++++++++++++++++++++++++++
 libhal-storage/libhal-storage.h    |	16 ++++++++++++----
 5 files changed, 94 insertions(+), 10 deletions(-)

commit c003685ace0936d4c813bf1ba422d521c72d4d62
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Apr 1 02:56:53 2007 -0400

    add hal-disable-polling(1) program along with a man page

 configure.in			  |    1 +
 doc/man/Makefile.am		  |    4 +-
 doc/man/hal-disable-polling.1.in |  137 +++++++++++++++++++
 tools/Makefile.am		  |    6 +-
 tools/hal-disable-polling.c	  |  276
 ++++++++++++++++++++++++++++++++++++++
 5 files changed, 421 insertions(+), 3 deletions(-)

commit 6d5d221b3130a8b30b05313ba69e0d7ec77fbdd6
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Apr 1 00:43:38 2007 -0400

    update hal-lock(1)'s man page and fix usage()

 doc/man/hal-lock.1.in |    5 +++++
 tools/hal-lock.c      |    2 +-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit dfef8c679fd3f46c64b257cce7edb1872e467de8
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Apr 1 00:41:50 2007 -0400

    make hal-lock(1) provide an --exit-with-dev option

 tools/hal-lock.c |   37 +++++++++++++++++++++++++++++++------
 1 files changed, 31 insertions(+), 6 deletions(-)

commit a3b09f0ed8364e74405538dfecf1cebbaa8773b8
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Apr 1 00:41:23 2007 -0400

    avoid polling when a drive is locked

    Also update the proc title if the device file is locked using O_EXCL

 hald/linux/addons/addon-storage.c |  113
 +++++++++++++++++++++++++++++++++++--
 1 files changed, 108 insertions(+), 5 deletions(-)

commit 9548dacbb323101ca0a9dcbb45678eb58acc3a5d
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Apr 1 00:40:13 2007 -0400

    avoid crash if an addon is using IsLockedByOthers()

 hald/access-check.c |	  6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 4a36ab4a5c0b0b9b9c7e593e8d227af99cd3a5dc
Author: David Zeuthen <davidz@redhat.com>
Date:	Sat Mar 31 22:37:48 2007 -0400

    change locking semantics slightly and add missing locking bits

 HACKING			       |    8 +
 configure.in			       |    1 +
 doc/man/Makefile.am		       |    2 +-
 doc/man/hal-find-by-capability.1.in   |    2 +-
 doc/man/hal-find-by-property.1.in     |    2 +-
 doc/man/hal-get-property.1.in	       |    2 +-
 doc/man/hal-is-caller-locked-out.1.in |    2 +-
 doc/man/hal-lock.1.in		       |    7 +-
 doc/man/hal-set-property.1.in	       |    2 +-
 doc/spec/hal-spec-interfaces.xml      |   64 +++++++-
 doc/spec/hal-spec-locking.xml	       |   27 +++-
 examples/interface-locking-test.py    |   10 +-
 hald/access-check.c		       |  122 ++++++++++++--
 hald/access-check.h		       |    5 +
 hald/ci-tracker.c		       |   26 +++
 hald/ci-tracker.h		       |    1 +
 hald/device.c			       |   77 +++++++--
 hald/device.h			       |   10 +
 hald/device_store.c		       |   63 +++++++
 hald/device_store.h		       |   10 +
 hald/hald.c			       |   35 ++++
 hald/hald_dbus.c		       |  305
 +++++++++++++++++++++++++++++++--
 hald/hald_dbus.h		       |    6 +
 hald/hald_marshal.list		       |    2 +
 libhal/libhal.c		       |  281
 ++++++++++++++++++++++++++++++-
 libhal/libhal.h		       |   79 +++++++++
 tools/hal-lock.c		       |  116 +++++++++++--
 tools/lshal.c			       |   75 ++++++++
 28 files changed, 1272 insertions(+), 70 deletions(-)

commit 975a4defadb47ec8d3d6156f3eb20f6a67ec3009
Author: David Zeuthen <davidz@redhat.com>
Date:	Sat Mar 31 18:07:59 2007 -0400

    change locking semantics a bit and add guidelines for
    SystemPowerManagement

    The change in locking semantics is that a lock-holder can now access a
    device even if other processes have locks on the device.

 doc/spec/hal-spec-interfaces.xml   |	 6 ++
 doc/spec/hal-spec-locking.xml	    |  172
 +++++++++++++++++++++++++++++++----
 examples/interface-locking-test.py |	15 +++-
 hald/access-check.c		    |	85 ++++++++++--------
 4 files changed, 217 insertions(+), 61 deletions(-)

commit 154c2bac8ec500eba9a4f15a9e5ea244be1c9e5d
Author: Kay Sievers <kay.sievers@vrfy.org>
Date:	Sat Mar 31 21:28:02 2007 +0200

    fix scsi-device-handling for devices we probe but don't add

 hald/linux/device.c  |   43 +++++++++++++++++++++++++++++++++++--------
 hald/linux/hotplug.c |    1 +
 hald/linux/hotplug.h |    1 +
 3 files changed, 37 insertions(+), 8 deletions(-)

commit 41182327af66bbaf81b031c6e2f045bdad519f8d
Author: Joe Marcus Clarke <marcus@FreeBSD.org>
Date:	Sat Mar 31 12:50:09 2007 -0400

    ensure there are no embedded slashes in UDI components

    Add a new utility function, hf_str_no_slashes(), that converts '/'
    into '_'
    for purposes of UDI constructions.	UDI path components cannot contain
    embedded slashes, and a trailing slash will cause hald to crash.

 hald/freebsd/hf-util.c |   19 ++++++++++++++++++-
 hald/freebsd/hf-util.h |    4 +++-
 2 files changed, 21 insertions(+), 2 deletions(-)

commit 8154d3177af11c06f6699e5fb7ed171c5f42c853
Author: Jean-Yves Lefort <jylefort@FreeBSD.org>
Date:	Sat Mar 31 12:47:22 2007 -0400

    ensure that UDIs of ATA and SCSI devices are unique

    Ensure that UDIs of ATA and SCSI devices are unique.

 hald/freebsd/hf-util.c |   51
 ++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 49 insertions(+), 2 deletions(-)

commit b707ce8d6c3595c1ca996cb51048288dacd1a337
Author: Jean-Yves Lefort <jylefort@FreeBSD.org>
Date:	Sat Mar 31 12:41:51 2007 -0400

    avoid an infinite loop with buggy PCI firmware

    * Avoid an infinite loop with buggy PCI firmware
    * Simplify the PCI probing mechanism

 hald/freebsd/hf-pci.c |  164
 +++++++++++++++++++++++--------------------------
 1 files changed, 76 insertions(+), 88 deletions(-)

commit 694f701426c477c2c845cddd4c423ca1e3554cde
Author: Jean-Yves Lefort <jylefort@FreeBSD.org>
Date:	Sat Mar 31 12:29:19 2007 -0400

    power down instead of halting the system

    Power down the system rather than simply shutting it down.

 tools/freebsd/hal-system-power-shutdown-freebsd |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 1d1808644eba767828c294232085a2fd34b399a5
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Mar 30 19:35:34 2007 -0400

    remove unused variables

 hald/linux/addons/addon-acpi.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit e7010183bf3a052f13bd735669cfc4b5e846bdab
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Mar 30 15:44:12 2007 -0400

    clarify search path for callouts, addons and method calls.

 doc/spec/hal-spec-properties.xml |   54
 ++++++++++++++++++++++++++++++++-----
 1 files changed, 46 insertions(+), 8 deletions(-)

commit 992dbc1929d036195d144e8051fddfd1e5c71779
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Mar 30 15:13:50 2007 -0400

    fix IBM, Toshiba ACPI hotkey handling

 configure.in				      |  143
 +++++++++++++++-----------
 fdi/policy/10osvendor/10-ibm-buttons.fdi     |   14 +++
 fdi/policy/10osvendor/10-laptop-buttons.fdi  |   20 ----
 fdi/policy/10osvendor/10-toshiba-buttons.fdi |   15 +++
 fdi/policy/10osvendor/Makefile.am	      |    9 ++-
 hald/linux/addons/addon-acpi.c		      |   13 +--
 6 files changed, 122 insertions(+), 92 deletions(-)

commit 51572e8d102bb9cc73f797e1edd9f179ab37f4dd
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Fri Mar 30 16:18:09 2007 +0200

    added configure option to enable build Toshiba ACPI button addon

    Added configure option (--enable-acpi-toshiba) to enable build the
    Toshiba ACPI button addon. By default the build is disabled, it need
    to get enabled to build.

    Fixed little typo in IBM ACPI related configure block.

 configure.in		       |    5 ++++-
 hald/linux/addons/Makefile.am |    7 ++++++-
 2 files changed, 10 insertions(+), 2 deletions(-)

commit 9afee233753225e4884bc4caef58da048f07b4ef
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Fri Mar 30 15:44:08 2007 +0200

    added optional support for IBM ACPI (hotkey) events.

    Added support for optional IBM ACPI (hotkey) events to HAL. This
    feature is disabled by default and need to get enabled by using the
    configure option --enable-acpi-ibm. This include also support for the
    display rotation events of IBM Tablet PCs.

 configure.in				      |    9 +++
 fdi/policy/10osvendor/10-laptop-buttons.fdi  |   20 +++++
 fdi/policy/10osvendor/10-toshiba-buttons.fdi |   15 ----
 fdi/policy/10osvendor/Makefile.am	      |    2 +-
 hald/linux/addons/addon-acpi.c		      |  100
 +++++++++++++++++++++++++-
 5 files changed, 129 insertions(+), 17 deletions(-)

commit 6ea370ecbc29638a40bd991909e7ae401243f520
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Mar 29 10:23:06 2007 +0200

    update several .gitignore files

    Updated several .gitignore files.

 doc/man/.gitignore  |	  1 +
 doc/spec/.gitignore |	  1 +
 tools/.gitignore    |	  2 ++
 3 files changed, 4 insertions(+), 0 deletions(-)

commit 88680b55673e5237600d3e4864c8d9a2effafa0f
Author: Kristian HÃ¸gsberg <krh@redhat.com>
Date:	Tue Mar 27 13:23:55 2007 -0400

    use sysfs attributes instead of parsing config rom file.

    The new firewire stack now exports sysfs attributes corresponding to
    the key contained in the config rom.  With this change, HAL doesn't
    have
    to parse the config rom but can parse the device properties by reading
    attribute files.

    Signed-off-by: Kristian HÃ¸gsberg <krh@redhat.com>

 hald/linux/device.c |	324
 +++++++++------------------------------------------
 1 files changed, 56 insertions(+), 268 deletions(-)

commit 7eec6d10132bb48f890a66816f9fecc703a22ae4
Author: Kristian HÃ¸gsberg <krh@redhat.com>
Date:	Tue Mar 27 13:24:32 2007 -0400

    report AV/C subunits instead of AV/C unit in ieee1394 probe.

    Listing the AV/C subunits as capabilities make a lot more sense,
    since the unit type is typically just one of the subunits picked
    more or less at random.  This way we expose all the interfaces of the
    AV/C device.

    Signed-off-by: Kristian HÃ¸gsberg <krh@redhat.com>

 hald/linux/probing/probe-ieee1394-unit.c |   31
 +++++++++++++++++++----------
 1 files changed, 20 insertions(+), 11 deletions(-)

commit 550ff2dd124d31c0fb2b9517e725ecfea0df1067
Author: Kristian HÃ¸gsberg <krh@redhat.com>
Date:	Tue Mar 27 13:24:20 2007 -0400

    update ieee1394 prober to ioctl interface changes.

    Signed-off-by: Kristian HÃ¸gsberg <krh@redhat.com>

 hald/linux/probing/probe-ieee1394-unit.c |   78
 ++++++++++++++++++++++++-----
 1 files changed, 64 insertions(+), 14 deletions(-)

commit 935e9b8e8d0003c1bf41e26764fae277b48d97e0
Author: Kristian HÃ¸gsberg <krh@redhat.com>
Date:	Tue Mar 27 18:05:10 2007 -0400

    initialize pollfd array correctly.

    Signed-off-by: Kristian HÃ¸gsberg <krh@redhat.com>

 hald/linux/probing/probe-ieee1394-unit.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9c288cbfe84cbe0bda3827b7e0e5537eb7d1a224
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 27 15:04:43 2007 -0400

    use the right interface in the example in hal-lock.1

 doc/man/hal-lock.1.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dcaf890fd991c9b2ea2afaee794c8ec754e4546c
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 27 14:59:19 2007 -0400

    clarify locking on the Volume.Crypto interface

 doc/spec/hal-spec-interfaces.xml |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 6f5b3987d668863d1b1338bcac3a9e6390dbcaf7
Author: Frederic Peters <fpeters@0d.be>
Date:	Tue Mar 27 13:17:02 2007 -0400

    use VOLUME_ID_CFLAGS

    GNOME is in the process of updating hal requirement from 0.5.7.1 to
    0.5.8.1; main blocker was libvolume_id which could not be built with
    jhbuild (this is bug 415694[1]).

    Once this bug is fixed there are three problems with 0.5.8.1 (see [2])
    but two of them have already been fixed in git.

    The remaining problem is hald/linux/probing/Makefile.am missing
    @VOLUME_ID_CFLAGS@ in its INCLUDES= line.

    Patch attached.

    Regards,

	    Frederic

    [1] http://bugzilla.gnome.org/show_bug.cgi?id=415694
    [2] http://bugzilla.gnome.org/show_bug.cgi?id=415694#c11

 hald/linux/probing/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 32f7eae981dd186ec5eb2a3fdeec1fc9c11c0436
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 27 13:10:21 2007 -0400

    specify path to eject at build time

    Based on a patch from Gabriel C <nix.or.die@googlemail.com>.

 configure.in		    |	10 ++++++++++
 tools/hal-storage-shared.c |	12 +++++-------
 2 files changed, 15 insertions(+), 7 deletions(-)

commit 7bd4095673b35af8ce1b09b0f1e141ece2e8d7e5
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 27 12:56:56 2007 -0400

    don't build docs by default as it breaks distcheck

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 774aa786f33dcd57135ca478cd5f153b78dca63d
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 27 12:45:31 2007 -0400

    fix up hal-lock manpage

 doc/man/hal-lock.1.in |   11 +++++------
 1 files changed, 5 insertions(+), 6 deletions(-)

commit 1932745b7a467adeb4d4c23700998160c8161c20
Merge: 020bccd... af0658e...
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 27 12:39:00 2007 -0400

    Merge branch 'master' of ssh://david@git.freedesktop.org/git/hal

commit 020bccd8fa1e96d2b20b4b8b2e47820511044ac1
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 27 12:38:49 2007 -0400

    add new hal-lock(1) utility

    Before anyone starts complaining about 0.5.9 freeze, it's OK to add
    this for 0.5.9 as such a utility is key to making legacy apps work
    well. It also helped me uncover bugs in the libhal API and locking
    logic.

 configure.in			       |    1 +
 doc/man/Makefile.am		       |    4 +-
 doc/man/hal-is-caller-locked-out.1.in |   11 +-
 doc/man/hal-lock.1.in		       |   89 +++++++++++++
 tools/Makefile.am		       |    6 +-
 tools/hal-lock.c		       |  232
 +++++++++++++++++++++++++++++++++
 6 files changed, 334 insertions(+), 9 deletions(-)

commit 298285e2a279e81368dddee604b1884628e66b29
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 27 12:36:52 2007 -0400

    only acquire a lock exclusively if no-one else is holding the lock

 hald/device.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit fb5db0c9fb1c85c2ee513053354e302bb16d0375
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 27 12:36:03 2007 -0400

    make libhal locking API take 'bool exclusive' and fix a bug

 libhal/libhal.c |    8 ++++++--
 libhal/libhal.h |    2 ++
 2 files changed, 8 insertions(+), 2 deletions(-)

commit af0658e1afae94aebcaf00fcffa8fccdec1d5cba
Merge: 8220fb7... 916c9b2...
Author: Holger Macht <holger@homac.de>
Date:	Tue Mar 27 17:41:27 2007 +0200

    Merge branch 'master' of git+ssh://homac@git.freedesktop.org/git/hal

commit 8220fb7a1fc3e17470bde7161de6cc66f3fdd0f9
Author: Holger Macht <holger@homac.de>
Date:	Tue Mar 27 17:40:09 2007 +0200

    allow hibernate, suspend and CPUFreq for the root user independent
    of desktop-console

    This changes the logic how privileges for hibernate, suspend and
    cpufreq
    are determined. Now, the root user is granted to do hibernate,
    suspend and
    all CPUFreq methods with no regard to the desktop-console
    privilege. In the
    past, the application/script checking if the caller is allowed to do
    something, had to explicitly grant access for the root user with
    checking
    for uid == 0. The new method exclusively grants access for the
    root user,
    but specifies that others can possess the privilege as soon as
    they possess
    the desktop-console privilege. This way, the lower lever
    application/script
    does not have to handle any special case, it just has to check if the
    caller (whether root or not) possesses the specific privilege.

 privileges/hal-power-cpufreq.privilege   |    6 +++---
 privileges/hal-power-hibernate.privilege |    6 +++---
 privileges/hal-power-suspend.privilege   |    6 +++---
 3 files changed, 9 insertions(+), 9 deletions(-)

commit 916c9b2d7291561ef53cc1a96f28c4801d1eb0b7
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Mar 27 17:27:19 2007 +0200

    added .gitignore to new doc/man dir

    Added .gitignore to new doc/man dir.

 doc/man/.gitignore |	12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 37e05be988f6f0bb65b840aed560bd42a4fde850
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Mar 27 17:13:16 2007 +0200

    fixed quoting and added allowed libparted versions to error output

    Fixed quoting in AC_MSG_CHECKING() blocks and added allowed version
    numbers of libparted to error-output.

 configure.in |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit ad99a02cbc46cccf6ca7aa13dc02c13ff9ae4253
Author: Richard Hughes <hughsient@gmail.com>
Date:	Tue Mar 27 17:01:42 2007 +0200

    add libparted v1.8.6 to configure

    Added libparted v1.8.6 to configure check.

 configure.in |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 28fc2fa7c6bbde540d4f17e810ab59fda0c186ba
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 27 02:33:05 2007 -0400

    make LUKS setup/teardown respect the standard .Volume and .Storage
    locks

    This required a new tool hal-is-caller-locked-out. Also add a manual
    page for this tool.

 configure.in			       |    1 +
 doc/man/Makefile.am		       |    4 +-
 doc/man/hal-is-caller-locked-out.1.in |   68 ++++++++++++
 doc/man/hald.1.in		       |    3 +-
 hald/hald_dbus.c		       |    6 +-
 tools/Makefile.am		       |    6 +-
 tools/hal-is-caller-locked-out.c      |  183
 +++++++++++++++++++++++++++++++++
 tools/hal-luks-setup		       |   23 ++++
 tools/hal-luks-teardown	       |   23 ++++
 9 files changed, 310 insertions(+), 7 deletions(-)

commit 583de1e89c8043180814921c860f85c4cd9ed58b
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 27 01:35:49 2007 -0400

    fix up ReleaseGlobalInterfaceLock() and improve locking example

 examples/interface-locking-test.py |	 9 ++++++++-
 hald/hald_dbus.c		    |	 2 +-
 2 files changed, 9 insertions(+), 2 deletions(-)

commit 6c4e1b748beba80a564262c9b877803833b851aa
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 27 01:22:35 2007 -0400

    clean up locking example

 examples/interface-locking-test.py |	39
 ++---------------------------------
 1 files changed, 3 insertions(+), 36 deletions(-)

commit 56eff0f1824c26ef6d2580957b10889f17add691
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 27 01:19:15 2007 -0400

    allow mount options 'acl' and 'user_xattr' for ext3

 fdi/policy/10osvendor/20-storage-methods.fdi |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 986edbba7af0b846dbbfcae319f9fbe18e32eeb6
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 27 00:26:26 2007 -0400

    fix up SEE ALSO section in lshal's man page

 doc/man/lshal.1.in |	 6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 7bb331ff82a796c0b6fc59017d72799f5b732822
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 27 00:13:45 2007 -0400

    use AM_PROG_CC_C_O to avoid warning when configuring sources

    hald/freebsd/probing/Makefile.am:32: compiling
    `freebsd_dvd_rw_utils.c'
    with per-target flags requires `AM_PROG_CC_C_O' in `configure.in'

 configure.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit bbbfbae47eb3c9dcaa8d59cf6aec7f796772b0b3
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 27 00:11:13 2007 -0400

    enable docbook docs by default

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0bf343fc00b0c30e7284729cf1d8ac68d3948397
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 27 00:10:41 2007 -0400

    improve wording in note about --enable-umount-helper

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2990946172751344782330d9a16d5b830c250b29
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 27 00:07:49 2007 -0400

    hint that a patch to util-linux is needed when using
    --enable-umount-helper

 configure.in |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit da3c08720658f65cb19edf08112ae1d865165253
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Mar 26 23:50:03 2007 -0400

    add manual pages

 configure.in			     |	 10 +++
 doc/Makefile.am		     |	  2 +-
 doc/man/Makefile.am		     |	 13 ++++
 doc/man/hal-find-by-capability.1.in |	 66 ++++++++++++++++++++++
 doc/man/hal-find-by-property.1.in   |	 69 +++++++++++++++++++++++
 doc/man/hal-get-property.1.in	     |	 72 +++++++++++++++++++++++
 doc/man/hal-set-property.1.in	     |	106
 +++++++++++++++++++++++++++++++++++
 doc/man/hald.1.in		     |	104
 ++++++++++++++++++++++++++++++++++
 doc/man/lshal.1.in		     |	 61 ++++++++++++++++++++
 9 files changed, 502 insertions(+), 1 deletions(-)

commit 35d4c8d611c76c65d8e0126785ee65f937570925
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Mar 26 21:18:08 2007 -0400

    fix up spec generation a bit more

 configure.in		     |	  2 +-
 doc/spec/hal-spec.xml.in    |	 28 ----------------------------
 doc/spec/hal-spec.xml.in.in |	 28 ++++++++++++++++++++++++++++
 3 files changed, 29 insertions(+), 29 deletions(-)

commit 89d144da2f8cf835532fda85315762f34fcfcaf4
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Mar 26 21:08:53 2007 -0400

    fix build rules for spec

 doc/spec/Makefile.am |   11 +++++------
 1 files changed, 5 insertions(+), 6 deletions(-)

commit 5fb4263f3267cc34964e67a4c0ce2d45476eed10
Merge: e200f15... 6277127...
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Mar 26 20:10:49 2007 -0400

    Merge branch 'master' of ssh://david@git.freedesktop.org/git/hal

commit e200f1541c39bd90faa277c506eb9b4fe4c9a7cb
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Mar 26 20:10:17 2007 -0400

    create entire fdi file hierarchy according to spec including
    /etc/hal/fdi bits

 configure.in				   |   11 ++++++-----
 fdi/Makefile.am			   |	2 +-
 fdi/information/10freedesktop/Makefile.am |   23 +++++++++++++++++++++++
 fdi/information/20thirdparty/Makefile.am  |   23 +++++++++++++++++++++++
 fdi/information/Makefile.am		   |	6 ++++++
 fdi/policy/30user/.gitignore		   |	4 ----
 fdi/policy/30user/Makefile.am		   |	7 -------
 fdi/policy/Makefile.am			   |	4 +++-
 fdi/preprobe/30user/.gitignore		   |	4 ----
 fdi/preprobe/30user/Makefile.am	   |	7 -------
 fdi/preprobe/Makefile.am		   |	4 +++-
 11 files changed, 65 insertions(+), 30 deletions(-)

commit 01c29b8d538047d742ff51da2488e3194def8979
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Mar 26 20:02:05 2007 -0400

    ran 'make update-po'

 po/ca.po    |	151 ++++++------
 po/cs.po    |	392 +++++++++++++++-------------
 po/da.po    |	389 +++++++++++++++-------------
 po/de.po    |	390 +++++++++++++++-------------
 po/el.po    |	390 +++++++++++++++-------------
 po/es.po    |	388 +++++++++++++--------------
 po/et.po    |	  6 +-
 po/eu.po    |	390 +++++++++++++++-------------
 po/fi.po    |	389 +++++++++++++++-------------
 po/fr.po    |	392 +++++++++++++++-------------
 po/hu.po    |	387 +++++++++++++++------------
 po/it.po    |	390 +++++++++++++++-------------
 po/ja.po    |	390 +++++++++++++++-------------
 po/km.po    |	389 +++++++++++++++-------------
 po/ko.po    |	422 ++++++++++++++----------------
 po/lt.po    |	387 +++++++++++++++------------
 po/nb.po    |	378 +++++++++------------------
 po/nl.po    |	845
 ++++++++++++++++++++++++++++++-----------------------------
 po/pa.po    |	389 +++++++++++++++-------------
 po/pl.po    |	390 +++++++++++++++-------------
 po/pt.po    |	389 +++++++++++++++-------------
 po/pt_BR.po |	390 +++++++++++++++-------------
 po/ru.po    |	292 +++++++++++++++++----
 po/sl_SI.po |	392 +++++++++++++++-------------
 po/tr.po    |	 37 ++--
 po/uk.po    |	406 ++++++++++++++++-------------
 po/zh_CN.po |	390 +++++++++++++++-------------
 po/zh_TW.po |	390 +++++++++++++++-------------
 28 files changed, 5545 insertions(+), 4785 deletions(-)

commit d4d055c5e0271e67382ea1e30fa1ee795f1a33c7
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Mar 26 19:59:34 2007 -0400

    clarify search paths for device information files

 doc/spec/hal-spec-fdi-files.xml |  111
 +++++++++++++++++++++++++++++++++++++-
 1 files changed, 108 insertions(+), 3 deletions(-)

commit 62771274a0440865d80c96c13cb77f56f8b9e70b
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Mar 26 23:00:01 2007 +0200

    fix configure for DELL stuff

    Fixed Dell releated libsmbios part in configure:

     Build the Dell backlight addon also for x86_64. No reason why
     we should
     build only for x86, libsmbios also build on x86_64 and the addon
     build
     also on 64bit.

     Removed BUILD_DELL_RFKILL related stuff since this has no effect
     because it
     get never used. We don't build a own version of the dellWirelessCtl
     (If we do
     this anytime, we can readd this to configure) in 0.5.9, hence there
     is no
     need to do anything for this on configure.

 configure.in |   27 +--------------------------
 1 files changed, 1 insertions(+), 26 deletions(-)

commit d6daf8fb1b5005e06062236f0795cfa76a5ce1d8
Merge: e172b22... 5052a31...
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Mar 26 22:51:49 2007 +0200

    Merge branch 'master' of ssh://dkukawka@git.freedesktop.org/git/hal

commit e172b224c8de6016121b4768c8f214048223dfd7
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Mar 26 22:51:22 2007 +0200

    fix for new pciutils which need to link against zlib

    Fixed build Macbook/Macbook Pro backlight addons which use libpci.
    Actual versions of libpci need to link against zlib. Added -lz where
    needed and check in configure if zlib available.

 configure.in		       |   24 ++++++++----------------
 hald/linux/addons/Makefile.am |    4 ++--
 2 files changed, 10 insertions(+), 18 deletions(-)

commit 5052a31363655207771767fed4793566b774b585
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Mar 26 16:43:07 2007 -0400

    mention that dellWirelessCtl is optional

 NEWS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 49e7d0686b3fb49c6fbf2d9ccb1ab962f8cf702f
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Mar 26 16:40:45 2007 -0400

    check that dellWirelessCtl exists before using it

 tools/linux/hal-system-killswitch-get-power-linux |	8 ++++----
 tools/linux/hal-system-killswitch-set-power-linux |   12 ++++++------
 2 files changed, 10 insertions(+), 10 deletions(-)

commit c4f14a5ca83357d7607ae0bc76030a0254337478
Merge: 068fbba... 81dccee...
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Mar 26 16:15:58 2007 -0400

    Merge branch 'master' of ssh://david@git.freedesktop.org/git/hal

commit 068fbbaaf1a74e4f175cb5595112f4c6966fea1c
Author: Sjoerd Simons <sjoerd@luon.net>
Date:	Mon Mar 26 16:15:31 2007 -0400

    work around cdrom devices giving invalid TOC info

    A friend of mine has a silly dvd drive, which gives a wrong offset for
    certain discs[0] causing hal to fail when trying to detect a file
    system.

    Attached patches (one for master, one for 0.5.8) work around this be
    retrying detection at offset 0 when it fails at the reported offset.

      Sjoerd

    0: All dvd's we tried had an offset of 0 for their (only) session,
    but the drive
    indicated an offset of -150.

 hald/linux/probing/probe-volume.c |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

commit 81dccee799c57a6507321459cb08244db37a8e8d
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Mar 26 22:00:12 2007 +0200

    void hal-device-manager to open multiple about dialogs

    A quick-and-dirty patch for hal-device-manager to avoid open multiple
    'About'
    dialogs. This fix also fd.o bug #9592.

 tools/device-manager/DeviceManager.py |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 66bc00e332f4c99576d6c05c7cf5e9ad1d321404
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Mar 26 15:42:16 2007 +0200

    updated requirements in NEWS file

    Updated requirementes in NEWS file for 0.5.9:
     - D-Bus	 >= 0.61    as in configure
     - libsmbios >= 0.13.4  (optional)
     - pm-utils is only optional

 NEWS |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 076e0bdd76734161f669ed4fd325b17acd2e6425
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Mar 26 15:37:26 2007 +0200

    fixed libsmbios search output to correct version

    Fixed libsmbios search output to correct version >= 0.13.4..

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d75618d5abbcd8f7218d65bbe99744d9052bb61b
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Mar 26 01:12:44 2007 -0400

    remove doc/conf and remember to install the CSS stylesheet

 configure.in			      |    1 -
 doc/Makefile.am		      |    2 +-
 doc/conf/.gitignore		      |    4 ---
 doc/conf/Makefile.am		      |    9 -------
 doc/conf/match-USB-camera.fdi	      |   18 ---------------
 doc/conf/match-USB-mp3-player.fdi    |   20 ----------------
 doc/conf/match-cardreader.fdi	      |   27 ----------------------
 doc/conf/storage-non-fixed.fdi       |   17 --------------
 doc/conf/storage-policy-examples.fdi |   41
 ----------------------------------
 doc/conf/storage-skip-all.fdi	      |   10 --------
 doc/spec/Makefile.am		      |    2 +-
 11 files changed, 2 insertions(+), 149 deletions(-)

commit e10554d1c15eb1e6513d8199d8433fc9574d8351
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Mar 26 00:22:34 2007 -0400

    try usbclass handler before usb and try all handlers until we find
    something

    This solves the problem of not detecting hiddev and lp usb "class"
    devices. Why on earth the Linux kernel classifies these as belonging
    to the "usb" subsystem is beyond me; other USB drivers
    e.g. snd-usb-audio and the "Phillips webcam" driver (sic!) from the
    pwc module don't set the subsystem to "usb".... Well, enough ranting.

 hald/linux/device.c |	  9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit da4a25449f973b065fbb3b390b913829c28d263c
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Mar 25 23:45:48 2007 -0400

    don't dist hal-linux26.dia either since it has gone the way of the
    Dodo too

 doc/spec/Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 67ab47b568a5c30be03b318806ef0c4277646348
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Mar 25 23:23:53 2007 -0400

    don't disk example-manager.py as it doesn't exist anymore

 doc/spec/Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit de830cac4e4e4dcf4a21fbd08b12b87bbda1057f
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Mar 25 23:22:41 2007 -0400

    for Dell, disable physical killswitch when setting power

    If we don't do this we can't turn on the power.

 tools/linux/hal-system-killswitch-set-power-linux |   14 ++++++++++----
 1 files changed, 10 insertions(+), 4 deletions(-)

commit ecc0342a2ebca8b1c5fa802385c8721feee7ada6
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Mar 25 21:22:59 2007 -0400

    fixup speling

 doc/spec/hal-spec-locking.xml |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit efb4c3a5722d59d2635cbac055087f8418f791b4
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Mar 25 21:11:56 2007 -0400

    add docs for how locking work

 doc/spec/Makefile.am		  |    5 +-
 doc/spec/hal-spec-interfaces.xml |   54 ++++++++++---
 doc/spec/hal-spec-locking.xml	  |  160
 ++++++++++++++++++++++++++++++++++++++
 doc/spec/hal-spec.xml.in	  |    3 +-
 4 files changed, 206 insertions(+), 16 deletions(-)

commit 16a87091fc6da9190feae9e19d4eb99165d5328c
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Mar 25 19:04:19 2007 -0400

    don't set INVOKED_BY_SYSTEMBUS_CONNECTION_NAME unless call is from bus

 hald/hald_dbus.c	    |	10 +---------
 libhal/libhal.c	    |	 8 ++++----
 tools/hal-storage-mount.c  |	34 ++++++++++++++++++----------------
 tools/hal-storage-shared.c |	 2 +-
 4 files changed, 24 insertions(+), 30 deletions(-)

commit ce1a29366fa816ade302159db0f64efe8000d310
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Mar 25 18:25:32 2007 -0400

    add interface locking and remove generic locking API committed
    yesterday

    Now to write some docs how all this works...

 examples/interface-locking-test.py |	51 +++++
 examples/mandatory-locking-test.py |	20 --
 hald/access-check.c		    |  113 ++++++++++
 hald/access-check.h		    |	 4 +
 hald/device.c			    |	36 +++-
 hald/device.h			    |	 4 +-
 hald/hald_dbus.c		    |  400
 ++++++++++++++++++++++++++++++------
 hald/hald_dbus.h		    |	 4 -
 libhal/libhal.c		    |  243 ++++++++++++++++++++++
 libhal/libhal.h		    |	30 +++
 tools/hal-storage-mount.c	    |	 2 +
 tools/hal-storage-shared.c	    |	23 ++
 tools/hal-storage-shared.h	    |	 2 +
 13 files changed, 843 insertions(+), 89 deletions(-)

commit f7cb7e7828ae6d54f06dad49b63b0f8c0a553a41
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Mar 25 15:37:29 2007 -0400

    refactor access control checks into separate files

 hald/Makefile.am    |	  3 +-
 hald/access-check.c |	171 ++++++++++++++++++++++++++
 hald/access-check.h |	 40 ++++++
 hald/hald_dbus.c    |	330
 +++++++++++++++++---------------------------------
 4 files changed, 325 insertions(+), 219 deletions(-)

commit 77770b83f17122ba6ddb6b4cd484291a90d647d1
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Mar 25 14:31:48 2007 -0400

    move caller tracking into it's own class

 hald/Makefile.am  |	3 +-
 hald/ci-tracker.c |  324
 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 hald/ci-tracker.h |   70 ++++++++++++
 hald/hald_dbus.c  |  296
 ++++++++-----------------------------------------
 4 files changed, 441 insertions(+), 252 deletions(-)

commit f3d4d470bfaa221038ee400166d43fbdbe8ec165
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Mar 25 13:31:09 2007 -0400

    more spec changes

 doc/spec/hal-spec-introduction.xml |	29 +++++++++++++++++++++++------
 1 files changed, 23 insertions(+), 6 deletions(-)

commit c82997e6bc2ca71aceffc27951747855ab9ab3d7
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Mar 25 01:53:37 2007 -0400

    fix up introspection bits

 doc/spec/example-manager.py	   |   32 ---
 doc/spec/hal-fdi-example1.png	   |  Bin 109771 -> 0 bytes
 doc/spec/hal-fdi-example2.png	   |  Bin 110108 -> 0 bytes
 doc/spec/hal-fdi-example3.png	   |  Bin 103893 -> 0 bytes
 doc/spec/hal-linux26.dia	   |  Bin 4653 -> 0 bytes
 doc/spec/hal-linux26.png	   |  Bin 56039 -> 0 bytes
 doc/spec/hal-sequence-diagram.dia |  Bin 2530 -> 0 bytes
 doc/spec/hal-sequence-diagram.png |  Bin 75494 -> 0 bytes
 doc/spec/hal-spec-examples.xml    |  536
 -------------------------------------
 hald/hald_dbus.c		   |   23 ++-
 10 files changed, 22 insertions(+), 569 deletions(-)

commit 10a2acb986e2c07a26d7224dcdcef9c4c3db0018
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Mar 25 01:53:01 2007 -0400

    switch to xmlto and heavily fix up the spec

    - remove lots of superfluous text and diagrams
    - add documentation for most of our D-Bus interfaces

 configure.in			    |	16 +-
 doc/spec/Makefile.am		    |	17 +-
 doc/spec/hal-arch.dia		    |  Bin 2708 -> 2710 bytes
 doc/spec/hal-arch.png		    |  Bin 54640 -> 39250 bytes
 doc/spec/hal-spec-fdi-files.xml    |  660 ++++++++---------
 doc/spec/hal-spec-interfaces.xml   | 1099 ++++++++++++++++++++++++++++
 doc/spec/hal-spec-introduction.xml |  324 ++++-----
 doc/spec/hal-spec-properties.xml   | 1404
 ++++++++++++++----------------------
 doc/spec/hal-spec.xml.in	    |	 4 +-
 9 files changed, 2086 insertions(+), 1438 deletions(-)

commit 8e00f386dd4af855116cb1082c0ae6fd8db7ce5e
Author: Alex Kanavin <ak@sensi.org>
Date:	Sat Mar 24 18:37:01 2007 -0400

    provide textual interface description for USB devices

    Many USB devices provide textual descriptions for their interfaces and
    configurations. Currently HAL ignores them. For example, I have a
    Nokia 6680
    phone which has two OBEX interfaces that provide different services,
    but the
    only way to tell that is to read interface descriptions:

	Interface Descriptor:
	  bLength		  9
	  bDescriptorType	  4
	  bInterfaceNumber	  4
	  bAlternateSetting	  0
	  bNumEndpoints		  0
	  bInterfaceClass	  2 Communications
	  bInterfaceSubClass	 11 OBEX
	  bInterfaceProtocol	  0
	  iInterface		  5 SYNCML-SYNC
	  CDC Header:
	    bcdCDC		 1.10
	  CDC OBEX:
	    bcdVersion		 1.00
	  CDC Union:
	    bMasterInterface	    4
	    bSlaveInterface	    5
    ....
	Interface Descriptor:
	  bLength		  9
	  bDescriptorType	  4
	  bInterfaceNumber	  6
	  bAlternateSetting	  0
	  bNumEndpoints		  0
	  bInterfaceClass	  2 Communications
	  bInterfaceSubClass	 11 OBEX
	  bInterfaceProtocol	  0
	  iInterface		  6 PC Suite Services
	  CDC Header:
	    bcdCDC		 1.10
	  CDC OBEX:
	    bcdVersion		 1.00
	  CDC Union:
	    bMasterInterface	    6
	    bSlaveInterface	    7

    From reading the source code, it seems like an easy to fix thing to
    me. At least
    on Linux these descriptions are available as 'interface' and
    'configuration'
    files in sysfs directories for the USB interfaces and devices
    respectively. The
    specification should be corrected also of course. If you want,
    I can write the
    patch.

 doc/spec/hal-spec-properties.xml |   17 +++++++++++++++++
 hald/freebsd/hf-usb.c		  |   25 +++++++++++++++++++++++++
 hald/linux/device.c		  |    2 ++
 3 files changed, 44 insertions(+), 0 deletions(-)

commit a087639568372d531d6214f9ddfe6cdab36d1f28
Author: David Zeuthen <davidz@redhat.com>
Date:	Sat Mar 24 14:04:27 2007 -0400

    remove dead code

 hald/hald_dbus.c |  174
 ------------------------------------------------------
 1 files changed, 0 insertions(+), 174 deletions(-)

commit 0499ff730d61ac8e2991a8089ebc96dd10f95e43
Author: David Zeuthen <davidz@redhat.com>
Date:	Sat Mar 24 13:59:13 2007 -0400

    add named mandatory locking API

    This provides a mechanism for clients to acquire (and release) named
    locks on device objects. More than one client can hold a named lock on
    a device, this is by design. If a client disconnects from the bus, it
    locks will be removed.

    The rationale for this new API is to allow clients to lock out other
    clients of service on given device objects; this is applicable for

     - installers (inhibit mount requests)

     - partitioning/formatting tools (inhibit mount requests)

     - multi-seat power management (inhibit suspend/hibernate
     etc. requests
       from idle (e.g. the user is idle) active (e.g. it is in the
       foreground
       on some seat) sessions that wants to suspend due to user
       preferences.)

    The next series of patches will make the various mechanisms use this
    API by defining well-known locks.

 examples/mandatory-locking-test.py |	20 +++
 hald/device.c			    |  171 +++++++++++++++++++
 hald/device.h			    |	 9 +
 hald/hald_dbus.c		    |  324
 ++++++++++++++++++++++++++++++++++++
 hald/hald_dbus.h		    |	 4 +
 5 files changed, 528 insertions(+), 0 deletions(-)

commit da2f627fa4683728346df492b302697406bc9ac8
Author: David Zeuthen <davidz@redhat.com>
Date:	Sat Mar 24 13:52:32 2007 -0400

    fix segfault in lshal where strlist prop was removed just after
    it changed

 tools/lshal.c |   23 +++++++++++++----------
 1 files changed, 13 insertions(+), 10 deletions(-)

commit a98d7e20b41469dc43e67842d45a45c26ebf2c2e
Author: David Zeuthen <davidz@redhat.com>
Date:	Sat Mar 24 12:20:34 2007 -0400

    avoid logging when client asks for non-existant property

 hald/hald_dbus.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fca55ae474f6d3736a190741e222b2cd1a91322d
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Mar 23 20:03:35 2007 -0400

    forgot to add 10-rfkill-switch.fdi (renamed from
    10-bluetooth-switch.fdi)

 fdi/policy/10osvendor/10-rfkill-switch.fdi |	21 +++++++++++++++++++++
 1 files changed, 21 insertions(+), 0 deletions(-)

commit 1e8845e9ad0a2583b21d962c1a683597ead69c65
Author: David Zeuthen <davidz@redhat.com>
Date:	Fri Mar 23 20:02:43 2007 -0400

    use libsmbios to add support for bluetooth, wlan RF kill on Dell
    laptops

 NEWS						   |	2 +-
 configure.in					   |   31 ++++++++++-
 fdi/policy/10osvendor/10-bluetooth-switch.fdi	   |   21 -------
 fdi/policy/10osvendor/Makefile.am		   |	2 +-
 tools/Makefile.am				   |	4 +-
 tools/hal-system-bluetooth-get-power		   |   26 ---------
 tools/hal-system-bluetooth-set-power		   |   30 ----------
 tools/hal-system-killswitch-get-power		   |   26 +++++++++
 tools/hal-system-killswitch-set-power		   |   30 ++++++++++
 tools/linux/Makefile.am			   |	4 +-
 tools/linux/hal-system-bluetooth-get-power-linux  |   22 --------
 tools/linux/hal-system-bluetooth-set-power-linux  |   22 --------
 tools/linux/hal-system-killswitch-get-power-linux |   59
 ++++++++++++++++++++
 tools/linux/hal-system-killswitch-set-power-linux |   61
 +++++++++++++++++++++
 14 files changed, 210 insertions(+), 130 deletions(-)

commit 0cd8dccc8382f26d3b3f68f6131aefd08b134232
Author: David Zeuthen <davidz@redhat.com>
Date:	Thu Mar 22 16:48:02 2007 -0400

    fix umount.hal so correct return value is passed

 tools/umount-hal.c |	 2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6f117fbaa40241be557c603e531c2af30d59fabc
Author: Kareem Dana <kareemy@gmail.com>
Date:	Thu Mar 22 16:36:11 2007 -0400

    fix probe-storage and addon-storage competing for O_EXCL on cdrom
    device

    I am attaching a quick patch I wrote based on retry code in
    hal-storage-shared.c. This patch appears to solve the problem for me,
    but I've only tested it a few times on my own machine.

    On 3/7/07, kareemy <kareemy@gmail.com> wrote:
    > I am trying hal 0.5.9rc1 and have had a problem where most of
    the times when I insert a new cdrom disk into my cdrom, no volume
    namespace is created for the cd. I did some debugging and found out
    this happens when open (device_file, ORDONLY | O_NONBLOCK | O_EXCL)
    fails and sets EBUSY in  probe-storage.c around line 287.
    >
    > Inside the EBUSY if conditional, hal correctly determines that the
    device is not mounted and then does a goto out, so it never opens
    the device and never setups a volume namespace or anything like that.
    >
    > I added some debugging output to probe-storage.c and addon-storage.c
    that prints when each one successfully opens the device and then
    closes it again. A lot of times on my system, addon-storage.c does
    a O_EXCL on the cdrom device, probe-storage attempts an O_EXCL and
    fails, then addon-storage closes the device.
    >
    > I'm attaching a log of hald --daemon=no --verbose=yes with
    my additional debugging comments that illustrates this. At the
    beginning of the file, it shows addon-storage polling the cdrom
    device every 2 seconds as usual, then once I insert a new media,
    addon-storage locks the cdrom, probe-storage trys to do an open,
    it fails, and then addon-storage closes the lock.
    >
    > I figure it is possible to have probe-storage keep trying if it
    gets an EBUSY error until it can open the device, but I'm not sure
    if that is the best solution. Ideas?
    >
    > Some more system specs:
    > Linux  2.6.19.2 SMP
    > Hal 0.5.9rc1
    > dbus 1.0.2
    >

 hald/linux/probing/probe-storage.c |	22 +++++++++++++++-------
 1 files changed, 15 insertions(+), 7 deletions(-)

commit 0bae506ffcaab4e64cb2c595469211df58a31dff
Author: David Zeuthen <davidz@redhat.com>
Date:	Thu Mar 22 16:14:59 2007 -0400

    fix typo

 libhal/libhal.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6707997f7c0dbcdd1033709feb7cae273bbe5990
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Wed Mar 21 10:30:39 2007 +0100

    added hal-system-power-pm-is-supported to .gitignore

    Added hal-system-power-pm-is-supported to .gitignore.

 tools/.gitignore |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit bef598c725c48223174e9dfc172f927fb0c274cb
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Wed Mar 21 10:28:12 2007 +0100

    change usb*.version_bcd/usb*.speed_bcd to new double keys

    This adds two new keys which store the version and the speed of a USB
    device as double values and not in BCD. This looks better in lshal and
    should also be easier to handle by applications which consume this
    information.

    Set the old usb*.*_bcd properties in the spec to deprecated.

 doc/spec/hal-spec-properties.xml |   24 ++++++++++++++++++------
 hald/linux/device.c		  |    2 ++
 hald/util.c			  |   19 +++++++++++++++++++
 hald/util.h			  |    2 ++
 tools/lshal.c			  |    3 ++-
 5 files changed, 43 insertions(+), 7 deletions(-)

commit ce6d8df0c1be9518df9187660915890415287e4a
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 20 17:46:30 2007 -0400

    add support for SuspendHybrid and make use of pm-is-supported

 NEWS						|    1 +
 fdi/policy/10osvendor/10-power-mgmt-policy.fdi |    5 ++
 hald/linux/osspec.c				|   47 +++++++++----
 tools/Makefile.am				|    7 ++-
 tools/hal-system-power-pm-is-supported.c	|   88
 ++++++++++++++++++++++++
 tools/hal-system-power-suspend-hybrid		|   56 +++++++++++++++
 6 files changed, 189 insertions(+), 15 deletions(-)

commit a48af028e1e48dcd89740153a3da2bfebbec0867
Author: Frederic Crozat <fcrozat@mandriva.com>
Date:	Tue Mar 20 16:37:31 2007 -0400

    handle system bus restarts

    the following patch is preventing hald to exit when system bus is
    restarted (I won't troll^W comment on whether it should survive
    or not),
    just like previous release of hal.

    As a side note, I've noticed upstream dbus (as well as Fedora package)
    is shipping with fatal_warning_on_check (I'll let interested people to
    refer to flamewa^Wdiscussion about that last november on dbus mailing
    list), in the hope of getting dbus based applications to fix their
    incorrect usage of dbus API, which is why we are seeing hald exiting a
    lot. Debian / Ubuntu (as now Mandriva) are shipping with those checks
    disabled, so this might explain why not everybody sees hald exiting
    more
    than it should.

 hald/hald_dbus.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit f10aff4fe085ac9f07dd053e2067dde3b1fcdcca
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Mar 19 22:51:11 2007 -0400

    add ACL's for scanners

 fdi/policy/10osvendor/20-acl-management.fdi |	  8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 5840b9a5296af0790334c7261eadfa5e21b432b0
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Mar 19 22:48:37 2007 -0400

    define 'scanner' capability

 doc/spec/hal-spec-properties.xml |   51
 ++++++++++++++++++++++++++++++++++++++
 1 files changed, 51 insertions(+), 0 deletions(-)

commit ca868fc31b6bad489b34cf6c66f023db94909f4d
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Mar 19 20:07:13 2007 -0400

    fix up memory handling of exp_detail and remove dead code

 hald/hald_dbus.c |   12 ++++--------
 1 files changed, 4 insertions(+), 8 deletions(-)

commit f038b39e6eddb393c6793b3932eb978346fa528b
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Mar 19 19:48:21 2007 -0400

    validate error D-Bus names returned on stderror

    Attached a patch to validate the error name and workaround the
    problem in HAL.
    Because there is no funtion in the D-Bus libraries to check if a
    interface or
    error name is valid, I adapted the D-Bus internal funtion for
    util.h. If the
    check fail and the error name is not valid the patch set the error
    name to:

	    org.freedesktop.Hal.Device.UnknownError

    The invalid error name get prepend to the error message to avoid
    lost information.

    Maybe we should change the error name to:

	    org.freedesktop.Hal.Device.MalformedError

 hald/hald_dbus.c |    5 ++++
 hald/util.c	  |   61
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 hald/util.h	  |    2 +
 3 files changed, 68 insertions(+), 0 deletions(-)

commit c84928ec1c799e58dfe6c39bd9c3f2400249077c
Merge: 769c604... 7f278b8...
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Mar 19 19:43:31 2007 -0400

    Merge branch 'master' of ssh://david@git.freedesktop.org/git/hal

commit 769c604d617e6daa3e7e9ee4f76376c1a6559970
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Mar 19 19:43:23 2007 -0400

    avoid setting pci.vendor, pci.product, usb.vendor to useless "Unknown
    (XXX)"

 hald/linux/device.c |	 50
 +++++++++++++++++++++++++-------------------------
 1 files changed, 25 insertions(+), 25 deletions(-)

commit 7f278b8a9d38a5c0851f20f12a4709684571d3d1
Author: Richard Hughes <richard@hughsie.com>
Date:	Mon Mar 19 21:14:11 2007 +0000

    add support for the macbook backlight

    Apply a patch from Ryan Lortie <desrt@desrt.ca> to support the Macbook
    backlight.
    The code was written after the AppleIntelIntegratedFramebuffer.kext
    kernel
    extension was reverse engineered by Ryan.

    Rebased to master, and CodingStyle corrected by me, no other changes.

 configure.in					|   25 +++
 fdi/policy/10osvendor/10-macbook-backlight.fdi |   23 ++
 fdi/policy/10osvendor/Makefile.am		|    4 +
 hald/linux/addons/.gitignore			|    1 +
 hald/linux/addons/Makefile.am			|    6 +
 hald/linux/addons/addon-macbook-backlight.c	|  274
 ++++++++++++++++++++++++
 6 files changed, 333 insertions(+), 0 deletions(-)

commit a0af30e5d063ca863713d365b54bb0ca45814341
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Mar 19 14:53:24 2007 +0100

    added support for ALSA MIDI devices

    Added support for ALSA MIDI devices (/sys/class/sound/midiC*). Updated
    SPEC for alsa.type property.

 doc/spec/hal-spec-properties.xml |   10 ++++++++++
 hald/linux/device.c		  |   15 ++++++++++-----
 2 files changed, 20 insertions(+), 5 deletions(-)

commit f3dec3b59503d773e65226b2546bded210df98f3
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Thu Mar 15 12:43:30 2007 +0100

    removed not needed string from translation files

    Removed not needed and untranslated string from po files.

 po/ca.po |    9 ++-------
 po/nb.po |    6 ------
 po/tr.po |    6 ------
 3 files changed, 2 insertions(+), 19 deletions(-)

commit fa452f4bd1f5d761be8edf6d1d1a5d619c8674c3
Author: Priit Laes <amd@store20.com>
Date:	Thu Mar 15 12:39:39 2007 +0100

    removed translatable tag from value field of capabilties

    Removed translatable tag from value field of capabilties in
    hal-device-manager. (see fd.o bug #8798)

 tools/device-manager/hal-device-manager.glade |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 503c80697c4ff57f28af3f4396f108b9cab614a2
Author: Priit Laes <amd@store20.com>
Date:	Thu Mar 15 12:24:08 2007 +0100

    added Estonian translation

    Added Estonian translation file. (fd.o bug #8798)

 configure.in |    2 +-
 po/et.po     |  313
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 314 insertions(+), 1 deletions(-)

commit c9cde9a767168fe9151695142baaae06d5e0827b
Author: Richard Hughes <richard@hughsie.com>
Date:	Tue Mar 13 21:35:56 2007 +0000

    added hal-acl-tool executable to .gitignore

 tools/.gitignore |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 96913a4c7a7f29de904d151d1d3487de0bdd9f7c
Author: Richard Hughes <richard@hughsie.com>
Date:	Tue Mar 13 21:34:21 2007 +0000

    Fix error initialisation in acpi addon to fix ac adapter event
    reporting

    Using HAL master I do not get AC adapter events anymore. Debugging
    this I found:

    [15262]: 21:04:42.717 [D] addon-acpi.c:105: event is 'ac_adapter
    ACAD 00000080 00000000'
    [15262]: 21:04:42.717 [D] addon-acpi.c:133: ac_adapter event
    This is normally a bug in some application using the D-Bus library.
      D-Bus not built with -rdynamic so unable to print a backtrace

    Attaching to the hald-addon-acpi process, and running /usr/sbin/hald:

    #0	0x00406402 in __kernel_vsyscall ()
    #1	0x006fbf60 in raise () from /lib/libc.so.6
    #2	0x006fd7b1 in abort () from /lib/libc.so.6
    #3	0x02df8f55 in ?? () from /lib/libdbus-1.so.3
    #4	0x02df4ee6 in ?? () from /lib/libdbus-1.so.3
    #5	0x02dde6e8 in dbus_connection_send_with_reply_and_block ()
    from /lib/libdbus-1.so.3
    #6	0x00f0d5bd in libhal_device_rescan () from /usr/lib/libhal.so.1
    #7	0x08049082 in ?? ()
    #8	0x08049234 in ?? ()
    #9	0x006e8ec0 in __libc_start_main () from /lib/libc.so.6
    #10 0x08048d31 in ?? ()

    This fixes up the error initialisation, and fixes the issue for me.

    Richard.

 hald/linux/addons/addon-acpi.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 37e9138258bcd891308cf8d56c1c1cbb553ddb77
Author: William Jon McCann <mccann@jhu.edu>
Date:	Tue Mar 13 16:29:49 2007 -0400

    hal updates for latest ConsoleKit

    Here is a patch that updates the HAL ck-tracker for two changes in
    method names in git CK.  The changes are:

     * Change GetHostName to GetRemoteHostName (and respective properties)
       There is no fallback or compatibility since we got the patch in to
       GDM before the release.

     * Prefer GetUnixUser over GetUser
       I've marked GetUser() and "user" property as deprecated.  I can't
       change it because GDM uses it.  But since I'll sync a CK release
       with
       HAL we should use the new name.

 hald/ck-tracker.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 494b0e2cf6c739d2963d47c2ce576f0e8f6c8495
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 13 16:23:43 2007 -0400

    also make sure libhal.types is empty

 0 files changed, 0 insertions(+), 0 deletions(-)

commit a65848ad7560cebb7fa78e5f1a97b9e101938aed
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 13 16:07:29 2007 -0400

    add workaround for gtk-doc for now (bgo #386508)

    Suggested by William Jon McCann <mccann@jhu.edu>.

 0 files changed, 0 insertions(+), 0 deletions(-)

commit fa195b8c58a1667e57233b7e1a5d28ded0049c06
Author: Michael Biebl <mbiebl@gmail.com>
Date:	Tue Mar 13 15:58:09 2007 -0400

    inotify support for systems without sys/inotify.h

 configure.in		|    2 +-
 hald/linux/Makefile.am |    3 ++-
 hald/linux/osspec.c	|    5 +++++
 3 files changed, 8 insertions(+), 2 deletions(-)

commit bdf5a371843a08cfb1ca6993bce61d046431dd8e
Author: Michael Biebl <mbiebl@gmail.com>
Date:	Tue Mar 13 14:47:50 2007 -0400

    inotify support for systems without sys/inotify.h

 hald/linux/inotify_local.h |  192
 ++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 192 insertions(+), 0 deletions(-)

commit 5a9d47a3a691cfd7a740f900a647468d59763e63
Author: David Zeuthen <davidz@redhat.com>
Date:	Tue Mar 13 02:24:42 2007 -0400

    avoid "Not Specified" values as these stem from dmidecode itself

 hald/linux/probing/probe-smbios.c |	4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 197d4a00f756ffab651b77cc52901b04df650a86
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Mar 13 01:00:38 2007 +0100

    added some files to .gitignore

    Added some files to .gitignore.

 doc/api/libhal-storage/.gitignore |	1 +
 doc/api/libhal/.gitignore	   |	1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 01993756f05c65842838faebb6b3d3ed8e48fc3c
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Mar 13 00:57:48 2007 +0100

    fixed code documentation

    Fixed code documentation (fixed parameter name in comment block).

 libhal-storage/libhal-storage.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8b45f1229fe9490b263fbabbfbd0beaa9f904493
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Mar 12 21:15:08 2007 +0100

    fix expat detection in configure

    Fix the expat detection in configure. Since HAL really need expat
    to work configure should stop if expat.h or the expat library is
    missing.

    This fixes also the fd.o bug #10230.

 configure.in |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit b31483c694da396c42944bec24f37182488a9bb7
Author: William Jon McCann <mccann@jhu.edu>
Date:	Mon Mar 12 15:32:43 2007 -0400

    fix api docs even more

    Here's a patch to fix up some gtk-doc issues.
     * It installs separate manuals for each of the libraries
     * Adds GLIB_CFLAGS/LIBS so it builds
     * Avoids scanning the hald directory (by using separate manuals)
     * Adds some licence info to the manuals
     * Adds an index to each manual
     * Fixes up maintainer-clean

 configure.in	      |    4 ++++
 doc/Makefile.am      |    4 ++++
 doc/api/.gitignore   |   13 -------------
 doc/api/Makefile.am  |   48
 +++++-------------------------------------------
 doc/api/hal-docs.xml |   19 -------------------
 fdi/fdi.dtd	      |    1 +
 6 files changed, 14 insertions(+), 75 deletions(-)

commit 66871d2a413f447ef8d89a763a0362ce38383801
Author: William Jon McCann <mccann@jhu.edu>
Date:	Mon Mar 12 15:30:16 2007 -0400

    improve api docs

    Here's a patch to fix up some gtk-doc issues.
     * It installs separate manuals for each of the libraries
     * Adds GLIB_CFLAGS/LIBS so it builds
     * Avoids scanning the hald directory (by using separate manuals)
     * Adds some licence info to the manuals
     * Adds an index to each manual
     * Fixes up maintainer-clean

 doc/api/libhal-storage/.gitignore		|   15 +++
 doc/api/libhal-storage/Makefile.am		|   67 +++++++++++++++
 doc/api/libhal-storage/libhal-storage-docs.xml |  109
 ++++++++++++++++++++++++
 doc/api/libhal-storage/version.xml.in		|    1 +
 doc/api/libhal/.gitignore			|   15 +++
 doc/api/libhal/Makefile.am			|   67 +++++++++++++++
 doc/api/libhal/libhal-docs.xml			|  109
 ++++++++++++++++++++++++
 doc/api/libhal/version.xml.in			|    1 +
 8 files changed, 384 insertions(+), 0 deletions(-)

commit b53fd153f48c55ac9fcb677f1ecaea47b6f9ca3a
Author: David Zeuthen <davidz@redhat.com>
Date:	Wed Mar 7 17:00:31 2007 -0500

    make the fdi cache test stricter by not allowing skipped fdi files

 hald/cache_test.c   |	  5 ++-
 hald/create_cache.c |	 84
 +++++++++++++++++++++++++++++++++++----------------
 hald/device_info.h  |	  2 +-
 hald/mmap_cache.c   |	  7 +++-
 hald/mmap_cache.h   |	  4 +-
 5 files changed, 70 insertions(+), 32 deletions(-)

commit e1c4bad1177ac7578d38bb4b4f242f5c4cdead3c
Merge: 5219e87... 7177074...
Author: Kay Sievers <kay.sievers@vrfy.org>
Date:	Wed Mar 7 19:16:06 2007 +0100

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/hal

commit 5219e873e199eb8e0d555df966fe9cc3061859f4
Author: Kay Sievers <kay.sievers@vrfy.org>
Date:	Wed Mar 7 19:14:55 2007 +0100

    fix scsi_host parent relationship

    The new dumb coldplug can't fake class-devices as parents
    of bus-devices, so we need to work around the broken SCSI-sysfs
    now, by synthesizing the host-events when we need it for the
    scsi disks.

 hald/linux/device.c |	 94
 ++++++++++++++++++++++++++++++++++++++++----------
 1 files changed, 75 insertions(+), 19 deletions(-)

commit 71770748b84f512e6b98e2dcf0cbaacdfe7f70da
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Wed Mar 7 10:31:41 2007 +0100

    libhal: validate parameter to be != NULL

    This fixes fd.o bug #10133 and check several function parameter for
    != NULL to aviod problems with D-Bus calls where e.g. given udi or
    key is NULL (it's at least the same code as check for a valid
    LibHalContext).

 libhal/libhal.c |  100
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 libhal/libhal.h |    7 ++++
 2 files changed, 106 insertions(+), 1 deletions(-)

commit 37f8d5c25623b2de70a5b60e19ea86210b119161
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Wed Mar 7 10:06:43 2007 +0100

    added hald-probe-ieee1394-unit to .gitignore

    Added hald-probe-ieee1394-unit binary to .gitignore.

 hald/linux/probing/.gitignore |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit f284167711acb400aff1b22c16b9cc5368ca00ff
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Wed Mar 7 10:05:22 2007 +0100

    added new fdi match attribute 'contains_not' for strings and strlist

    Added a new attribute for FDI file match tag for string lists
    (strlist)
    and strings. The new attribute named contains_not and allow you
    to match
    if a given string is not contained in the string list/strins as
    in such
    cases for example:

     <match key="info.callouts" contains_not="foobar">
      <append key="info.callouts" type="strlist">foobar</append>
     </match>

    This allow you to add e.g. callouts to the list without to double
    entries
    and allow some kind of if/else clause in FDI files

 doc/spec/hal-spec-fdi-files.xml |   10 ++++++++++
 hald/create_cache.c		 |    2 ++
 hald/device_info.c		 |   13 ++++++++++---
 hald/rule.h			 |    3 ++-
 4 files changed, 24 insertions(+), 4 deletions(-)

commit c31c32b8b7c0fed9c871da947f35922e03ad6ed3
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Mar 6 12:27:08 2007 +0100

    fixed uid datatype in CallerInfo to unsigned long

    Fixed uid datatype in struct CallerInfo to avoid problems on 64bit
    archs. dbus_bus_get_unix_user() returns 'unsigned long' and
    CallerInfo->uid is uid_t (unsigned int) which cause a compiler
    warning:

       'comparison is always false due to limited range of data type'.

 hald/hald_dbus.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit f21d765994e4db15e43d339fa8c7d7d0e6e36c12
Author: Dan Nicholson <dbn.lists@gmail.com>
Date:	Mon Mar 5 12:46:25 2007 -0800

    POSIX shells do not support '==' tests

    Some of the scripts in tools are using '==' for string tests but
    have #!/bin/sh for the shebang. This is alright for bash, but it's
    not part of the POSIX spec for shells.

 tools/hal-system-power-hibernate      |    2 +-
 tools/hal-system-power-reboot	       |    2 +-
 tools/hal-system-power-set-power-save |    2 +-
 tools/hal-system-power-shutdown       |    2 +-
 tools/hal-system-power-suspend        |    2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

commit 0bdf05e77d4551d4a52d6f6753d0d62d6fe5f740
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Mar 6 00:22:48 2007 +0100

    typo fix

 hald/create_cache.c |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 34809dfc0912577b6bf85eeca59736200b6a909d
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Tue Mar 6 00:19:05 2007 +0100

    fixed commit 882085a0, forgot cast to unsigned long

    Fixed commit 882085a0, forgot cast to unsigned long for %lu.

 hald/create_cache.c |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 882085a0517934c656ab56aa161fdf514d2cfae6
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Mar 5 23:55:03 2007 +0100

    fixed compiler warning in create_cache.c

    Fixed compiler warning related to format arguments.

 hald/create_cache.c |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b555e22e7418e7f77b6cf5cdf91bba2113282f22
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Mar 5 23:51:44 2007 +0100

    fix compiler warning in libhal

    Fixed compiler warning in libhal within fprintf().

 libhal/libhal.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit f1a782ba96ce5a555c606170c23792ab31e6980c
Merge: fb66e4b... 12972f5...
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Mar 5 14:39:32 2007 -0500

    Merge branch 'master' of ssh://david@git.freedesktop.org/git/hal

commit fb66e4beb50c06ae082dff53a6e312da1fd83af0
Author: William Jon McCann <mccann@jhu.edu>
Date:	Mon Mar 5 14:39:16 2007 -0500

    sizing fixes for device manager

    Was using the device manager to debug some stuff today and noticed
    that it hardcodes the size of all the label widgets and uses
    inconsistent alignment.  Here's the fix.

 tools/device-manager/hal-device-manager.glade |  400
 +++++++++++++++----------
 1 files changed, 249 insertions(+), 151 deletions(-)

commit 12972f5cda4ef153e4aa70dc910c2e893bd7b712
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Mar 5 20:29:54 2007 +0100

    fixed compiler warning

    Fixed compiler warning about too many arguments for format.

 tools/hal-storage-cleanup-mountpoint.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7edc1f6587e7b5a0c463a738fc4508921f99bb94
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Mar 5 20:28:09 2007 +0100

    fixed compiler warning in addon-dell-backlight

    Fixed compiler warnings about comparison between signed and unsigned
    integer expressions.

 hald/linux/addons/addon-dell-backlight.cpp |	 6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit e8275a44406339dfe5bd8550698c280bc6d8e173
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Mar 5 13:38:44 2007 -0500

    fix build

 configure.in |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 50fde8d2c6b9b5cf93ac8ea30f67f7409f0df326
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	Mon Mar 5 17:22:09 2007 +0000

    Move COMPARE_NE to end of match_type enum.

    Move COMPARE_NE to end of match_type enum.

 hald/rule.h |	  4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit f69a06d85817c1930ce0bbbae6ba6647633b9277
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	Mon Mar 5 17:19:53 2007 +0000

    add compare_ne to possible matchrules

    Adds compare_ne attribute, which is like compare_lt but matches when
    not equal.

 doc/spec/hal-spec-fdi-files.xml |    6 ++++++
 fdi/fdi.dtd			 |    1 +
 hald/create_cache.c		 |    2 ++
 hald/device_info.c		 |   13 +++++++++++++
 hald/rule.h			 |    1 +
 5 files changed, 23 insertions(+), 0 deletions(-)

commit af17d3f405cbf8ca1166e7707aa20db690f88f42
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	Tue Feb 27 18:57:19 2007 +0000

    add option to build without libpci

    Adds a configure option --without-pci to build without libpci.

 configure.in |   22 ++++++++++++++++------
 1 files changed, 16 insertions(+), 6 deletions(-)

commit 1858b05e8e93593707006571a6e1f17efecc043f
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	Mon Mar 5 17:16:29 2007 +0000

    ignore *.py[oc] and *.gcno

    Ignore *.py[oc] and *.gcno

 .gitignore |	 4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit abae38633af21ef4a2f784f9cd6de3c9247c3e1c
Merge: 7db7f14... 6a82c2e...
Author: David Zeuthen <davidz@redhat.com>
Date:	Mon Mar 5 11:07:24 2007 -0500

    Merge branch 'master' of ssh://david@git.freedesktop.org/git/hal

commit 6a82c2e0e1d1cf52fd812a26ceafc571c38aa4e0
Author: Danny Kukawka <danny.kukawka@web.de>
Date:	Mon Mar 5 12:14:06 2007 +0100

    add copy_property FDI directive for stringlist properties

    This adds support of the copy_property FDI directive for stringlist
    properties. This would allow to copy/overwrite a stringlist with
    values from e.g. an other device.

 doc/spec/hal-spec-fdi-files.xml |    4 ++-
 hald/device.c			 |   64
 +++++++++++++++++++++++++++++++++++++++
 hald/device.h			 |    3 ++
 3 files changed, 70 insertions(+), 1 deletions(-)

commit 7db7f143228a78a0f8f6e955a934f705969e0e3f
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Mar 4 21:24:33 2007 -0500

    some fixes to make distcheck work again

 hald/create_cache.c		  |    2 +-
 hald/hald-cache-test.sh	  |   16 +++++++++-------
 tools/device-manager/Makefile.am |    2 ++
 3 files changed, 12 insertions(+), 8 deletions(-)

commit 0c16761e61064979daa7b39ce0083f064676e578
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Mar 4 20:52:15 2007 -0500

    instead of assuming they're blank, probe unknown discs if they're
    large

    This should take care of

     https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=186334

 hald/linux/probing/probe-volume.c |   21 +++++++++++++++++++--
 1 files changed, 19 insertions(+), 2 deletions(-)

commit f1f5d0e4389c0d2c8b86eb21d0d4681ad3cb739a
Author: Andreas Hanke <andreas.hanke@gmx-topmail.de>
Date:	Sun Mar 4 19:39:33 2007 -0500

    fixes for AS_AC_EXPAND usage breaks hal-device-manager

    https://bugs.freedesktop.org/show_bug.cgi?id=10108

 configure.in			  |    2 --
 tools/device-manager/Makefile.am |   13 +++++++++++++
 2 files changed, 13 insertions(+), 2 deletions(-)

commit 13e11b6bf1126ec0a439459da5a4b1f2c8b02e97
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Mar 4 15:17:54 2007 -0500

    stop using noexec by default on Linux

    It doesn't give any extra security whatsoever, is easily circumvented
    (copy file to $HOME or /tmp) and is just a pain in the butt for
    various autorun features.

 tools/hal-storage-mount.c |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 42174283c756d377d2f1f2f346d32aec502d4769
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Mar 4 14:34:34 2007 -0500

    Revert "without PolicyKit, allow only root to mount fixed disks"

    This reverts commit 9d607e21cac65dddaf0c8cb2443865d9ae509393.

    Conflicts:

 tools/hal-storage-mount.c |	9 ++-------
 1 files changed, 2 insertions(+), 7 deletions(-)

commit da20ca8c49b76c0917bd822803b0b20ebf6aa280
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Mar 4 12:42:19 2007 -0500

    don't give ACL's to uid 0

 tools/hal-acl-tool.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit a914508956fdf66c232b41eec4ba3bd7779701fc
Author: David Zeuthen <davidz@redhat.com>
Date:	Sun Mar 4 12:16:00 2007 -0500

    fix up debug- and valgrind- scripts to actually work

 hald/debug-hald.sh    |   10 +++++++++-
 hald/valgrind-hald.sh |   10 +++++++++-
 2 files changed, 18 insertions(+), 2 deletions(-)

commit 3cfc81b52931009aad2dd2115374233ab212b968
Author: David Zeuthen <davidz@redhat.com>
Date:	Sat Mar 3 23:13:55 2007 -0500

    relax error handling for fdi files

     - hald should never ever DIE() if cache generation fails
     - report fdi syntax and semantic errors via the syslog facility
     - if a single fdi file is bad, just skip it
     - remove some options for verbose and "use syslog"; in general only
       hald will invoke the cache generator

 hald/create_cache.c |	248
 ++++++++++++++++++++++++++++++++-------------------
 hald/mmap_cache.c   |	  2 +-
 2 files changed, 156 insertions(+), 94 deletions(-)

commit 495ef758750134a335bb95cd1456d217ec63b7e0
Author: David Zeuthen <davidz@redhat.com>
Date:	Sat Mar 3 21:51:04 2007 -0500

    avoid old .bak files for the fdi cache

 hald/create_cache.c |	 23 ++++++++++++-----------
 1 files changed, 12 insertions(+), 11 deletions(-)

commit e58d6361eb14817c216ce2475ec4503f25d87b8d
Author: David Zeuthen <davidz@redhat.com>
Date:	Sat Mar 3 21:35:55 2007 -0500

    generate the fdi cache synchronously

    This should avoid some "interesting" race conditions and reentrancy
    issues since iterating the mainloop might pop out new hotplug events.

 hald/hald_runner.c |	81
 ++++++++++++++++++++++++++++++++++++++++++++++------
 hald/hald_runner.h |	18 ++++++++---
 hald/mmap_cache.c  |	18 ++++-------
 3 files changed, 92 insertions(+), 25 deletions(-)

commit 61dea57bbe4c47479505e550325214013df8248b
Author: Richard Hughes <richard@hughsie.com>
Date:	Thu Mar 1 20:22:41 2007 +0000

    fix acpi detection for very new kernels

    Apply patch from S.Ã‡aÄŸlar Onur <caglar@pardus.org.tr> to make
    HAL detect the presence of ACPI not from the info file, but
    the acpi directory as the info file is not in sysfs.
    Slightly tweaked by me to remove a warning.

    You will need to use HAL 0.5.9 with >2.6.21 if you are not using the
    configuration option CONFIG_ACPI_PROCFS.

 hald/linux/acpi.c |   14 +++++++++++---
 1 files changed, 11 insertions(+), 3 deletions(-)

commit eb21c07c30222aa05fd006ecc4f242f2a0598303
Author: David Zeuthen <davidz@redhat.com>
Date:	Thu Mar 1 14:51:53 2007 -0500

    assign ACL's to Firewire IIDC (including iSight) and AVC devices

 fdi/policy/10osvendor/20-acl-management.fdi |	  9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 5158e179937a70ebed6bc9436d00ffa37ff3707a
Author: David Zeuthen <davidz@redhat.com>
Date:	Thu Mar 1 12:51:27 2007 -0500

    on Rescan() for ACPI batteries, retrieve all properties (slow path)

    This is needed for hibernation where we don't get events on thaw that
    the some battery might have been removed. Pointed out by Peter Jones
    <pjones@redhat.com>.

 hald/linux/acpi.c |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit f5b862f5690106bb3d5500b1091d12f089bae070
Author: David Zeuthen <davidz@redhat.com>
Date:	Thu Mar 1 04:02:57 2007 -0500

    fix device removal when mounted devices not mounted by HAL are
    yanked out

    See RH #227593

     https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=227593

    The fix was trivial as the bug was so obvious - we simply forget
    to process
    hotplug events when we detect that HAL didn't mount the device.

